/*!
 * @overview es6-promise - a tiny implementation of Promises/A+.
 * @copyright Copyright (c) 2014 Yehuda Katz, Tom Dale, Stefan Penner and contributors (Conversion to ES6 API by Jake Archibald)
 * @license   Licensed under MIT license
 *            See https://raw.githubusercontent.com/stefanpenner/es6-promise/master/LICENSE
 * @version   4.0.5
 */
(function(c,d){typeof exports==="object"&&typeof module!=="undefined"?module.exports=d():typeof define==="function"&&define.amd?define(d):(c.ES6Promise=d())}(this,(function(){function bb(a){return typeof a==="function"||typeof a==="object"&&a!==null}function a3(a){return typeof a==="function"}var aK=undefined;if(!Array.isArray){aK=function(a){return Object.prototype.toString.call(a)==="[object Array]"}}else{aK=Array.isArray}var aH=aK;var a1=0;var aV=undefined;var a6=undefined;var aq=function aq(a,b){bi[a1]=a;bi[a1+1]=b;a1+=2;if(a1===2){if(a6){a6(ba)}else{aF()}}};function av(a){a6=a}function bh(a){aq=a}var al=typeof window!=="undefined"?window:undefined;var aE=al||{};var am=aE.MutationObserver||aE.WebKitMutationObserver;var bg=typeof self==="undefined"&&typeof process!=="undefined"&&({}).toString.call(process)==="[object process]";var a8=typeof Uint8ClampedArray!=="undefined"&&typeof importScripts!=="undefined"&&typeof MessageChannel!=="undefined";function aN(){return function(){return process.nextTick(ba)}}function aT(){if(typeof aV!=="undefined"){return function(){aV(ba)}}return bd()}function bl(){var a=0;var c=new am(ba);var b=document.createTextNode("");c.observe(b,{characterData:true});return function(){b.data=a=++a%2}}function be(){var a=new MessageChannel();a.port1.onmessage=ba;return function(){return a.port2.postMessage(0)}}function bd(){var a=setTimeout;return function(){return a(ba,1)}}var bi=new Array(1000);function ba(){for(var b=0;b<a1;b+=2){var a=bi[b];var c=bi[b+1];a(c);bi[b]=undefined;bi[b+1]=undefined}a1=0}function a5(){try{var b=require;var c=b("vertx");aV=c.runOnLoop||c.runOnContext;return aT()}catch(a){return bd()}}var aF=undefined;if(bg){aF=aN()}else{if(am){aF=bl()}else{if(a8){aF=be()}else{if(al===undefined&&typeof require==="function"){aF=a5()}else{aF=bd()}}}}function aL(b,c){var d=arguments;var e=this;var a=new this.constructor(aR);if(a[ar]===undefined){aU(a)}var f=e._state;if(f){(function(){var g=d[f-1];aq(function(){return bc(f,a,g,e._result)})})()}else{a9(e,a,b,c)}return a}function aX(c){var a=this;if(c&&typeof c==="object"&&c.constructor===a){return c}var b=new a(aR);aW(b,c);return b}var ar=Math.random().toString(36).substring(16);function aR(){}var an=void 0;var aD=1;var aP=2;var a7=new ax();function aS(){return new TypeError("You cannot resolve a promise with itself")}function az(){return new TypeError("A promises callback cannot return that same promise.")}function aM(a){try{return a.then}catch(b){a7.error=b;return a7}}function a4(a,c,d,e){try{a.call(c,d,e)}catch(b){return b}}function bj(a,c,b){aq(function(d){var e=false;var f=a4(b,c,function(g){if(e){return}e=true;if(c!==g){aW(d,g)}else{aY(d,g)}},function(g){if(e){return}e=true;ao(d,g)},"Settle: "+(d._label||" unknown promise"));if(!e&&f){e=true;ao(d,f)}},a)}function aw(a,b){if(b._state===aD){aY(a,b._result)}else{if(b._state===aP){ao(a,b._result)}else{a9(b,undefined,function(c){return aW(a,c)},function(c){return ao(a,c)})}}}function aB(a,b,c){if(b.constructor===a.constructor&&c===aL&&b.constructor.resolve===aX){aw(a,b)}else{if(c===a7){ao(a,a7.error)}else{if(c===undefined){aY(a,b)}else{if(a3(c)){bj(a,b,c)}else{aY(a,b)}}}}}function aW(a,b){if(a===b){ao(a,aS())}else{if(bb(b)){aB(a,b,aM(b))}else{aY(a,b)}}}function aG(a){if(a._onerror){a._onerror(a._result)}aZ(a)}function aY(a,b){if(a._state!==an){return}a._result=b;a._state=aD;if(a._subscribers.length!==0){aq(aZ,a)}}function ao(a,b){if(a._state!==an){return}a._state=aP;a._result=b;aq(aG,a)}function a9(e,a,b,c){var f=e._subscribers;var d=f.length;e._onerror=null;f[d]=a;f[d+aD]=b;f[d+aP]=c;if(d===0&&e._state){aq(aZ,e)}}function aZ(c){var d=c._subscribers;var g=c._state;if(d.length===0){return}var a=undefined,b=undefined,e=c._result;for(var f=0;f<d.length;f+=3){a=d[f];b=d[f+g];if(a){bc(g,a,b,e)}else{b(e)}}c._subscribers.length=0}function ax(){this.error=null}var a2=new ax();function aQ(a,c){try{return a(c)}catch(b){a2.error=b;return a2}}function bc(c,a,d,g){var i=a3(d),e=undefined,f=undefined,b=undefined,h=undefined;if(i){e=aQ(d,g);if(e===a2){h=true;f=e.error;e=null}else{b=true}if(a===e){ao(a,az());return}}else{e=g;b=true}if(a._state!==an){}else{if(i&&b){aW(a,e)}else{if(h){ao(a,f)}else{if(c===aD){aY(a,e)}else{if(c===aP){ao(a,e)}}}}}}function at(a,b){try{b(function e(f){aW(a,f)},function c(f){ao(a,f)})}catch(d){ao(a,d)}}var ap=0;function bk(){return ap++}function aU(a){a[ar]=ap++;a._state=undefined;a._result=undefined;a._subscribers=[]}function aC(a,b){this._instanceConstructor=a;this.promise=new a(aR);if(!this.promise[ar]){aU(this.promise)}if(aH(b)){this._input=b;this.length=b.length;this._remaining=b.length;this._result=new Array(this.length);if(this.length===0){aY(this.promise,this._result)}else{this.length=this.length||0;this._enumerate();if(this._remaining===0){aY(this.promise,this._result)}}}else{ao(this.promise,aJ())}}function aJ(){return new Error("Array Methods must be provided an Array")}aC.prototype._enumerate=function(){var b=this.length;var a=this._input;for(var c=0;this._state===an&&c<b;c++){this._eachEntry(a[c],c)}};aC.prototype._eachEntry=function(d,e){var a=this._instanceConstructor;var f=a.resolve;if(f===aX){var c=aM(d);if(c===aL&&d._state!==an){this._settledAt(d._state,e,d._result)}else{if(typeof c!=="function"){this._remaining--;this._result[e]=d}else{if(a===au){var b=new a(aR);aB(b,d,c);this._willSettleAt(b,e)}else{this._willSettleAt(new a(function(g){return g(d)}),e)}}}}else{this._willSettleAt(f(d),e)}};aC.prototype._settledAt=function(b,d,c){var a=this.promise;if(a._state===an){this._remaining--;if(b===aP){ao(a,c)}else{this._result[d]=c}}if(this._remaining===0){aY(a,this._result)}};aC.prototype._willSettleAt=function(b,c){var a=this;a9(b,undefined,function(d){return a._settledAt(aD,c,d)},function(d){return a._settledAt(aP,c,d)})};function a0(a){return new aC(this,a).promise}function bf(b){var a=this;if(!aH(b)){return new a(function(d,c){return c(new TypeError("You must pass an array to race."))})}else{return new a(function(c,d){var e=b.length;for(var f=0;f<e;f++){a.resolve(b[f]).then(c,d)}})}}function aI(c){var a=this;var b=new a(aR);ao(b,c);return b}function aA(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}function ay(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}function au(a){this[ar]=bk();this._result=this._state=undefined;this._subscribers=[];if(aR!==a){typeof a!=="function"&&aA();this instanceof au?at(this,a):ay()}}au.all=a0;au.race=bf;au.resolve=aX;au.reject=aI;au._setScheduler=av;au._setAsap=bh;au._asap=aq;au.prototype={constructor:au,then:aL,"catch":function aO(a){return this.then(null,a)}};function bm(){var d=undefined;if(typeof global!=="undefined"){d=global}else{if(typeof self!=="undefined"){d=self}else{try{d=Function("return this")()}catch(b){throw new Error("polyfill failed because global object is unavailable in this environment")}}}var c=d.Promise;if(c){var a=null;try{a=Object.prototype.toString.call(c.resolve())}catch(b){}if(a==="[object Promise]"&&!c.cast){return}}d.Promise=au}au.polyfill=bm;au.Promise=au;return au})));ES6Promise.polyfill();
/*!
 * jQuery JavaScript Library v1.7.2
 * http://jquery.com/
 *
 * Copyright 2011, John Resig
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * Includes Sizzle.js
 * http://sizzlejs.com/
 * Copyright 2011, The Dojo Foundation
 * Released under the MIT, BSD, and GPL Licenses.
 *
 * Date: Wed Mar 21 12:46:34 2012 -0700
 */
(function(ci,cs){var cE=ci.document,bR=ci.navigator,b1=ci.location;var bS=(function(){var B=function(I,H){return new B.fn.init(I,H,D)},g=ci.jQuery,x=ci.$,D,b=/^(?:[^#<]*(<[\w\W]+>)[^>]*$|#([\w\-]*)$)/,o=/\S/,v=/^\s+/,C=/\s+$/,G=/^<(\w+)\s*\/?>(?:<\/\1>)?$/,n=/^[\],:{}\s]*$/,d=/\\(?:["\\\/bfnrt]|u[0-9a-fA-F]{4})/g,l=/"[^"\\\n\r]*"|true|false|null|-?\d+(?:\.\d*)?(?:[eE][+\-]?\d+)?/g,s=/(?:^|:|,)(?:\s*\[)+/g,t=/(webkit)[ \/]([\w.]+)/,j=/(opera)(?:.*version)?[ \/]([\w.]+)/,k=/(msie) ([\w.]+)/,i=/(mozilla)(?:.*? rv:([\w.]+))?/,F=/-([a-z]|[0-9])/ig,a=/^-ms-/,h=function(I,H){return(H+"").toUpperCase()},c=bR.userAgent,f,E,A,p=Object.prototype.toString,z=Object.prototype.hasOwnProperty,r=Array.prototype.push,q=Array.prototype.slice,m=String.prototype.trim,y=Array.prototype.indexOf,u={};B.fn=B.prototype={constructor:B,init:function(L,H,I){var J,N,K,M;if(!L){return this}if(L.nodeType){this.context=this[0]=L;this.length=1;return this}if(L==="body"&&!H&&cE.body){this.context=cE;this[0]=cE.body;this.selector=L;this.length=1;return this}if(typeof L==="string"){if(L.charAt(0)==="<"&&L.charAt(L.length-1)===">"&&L.length>=3){J=[null,L,null]}else{J=b.exec(L)}if(J&&(J[1]||!H)){if(J[1]){H=H instanceof B?H[0]:H;M=(H?H.ownerDocument||H:cE);K=G.exec(L);if(K){if(B.isPlainObject(H)){L=[cE.createElement(K[1])];B.fn.attr.call(L,H,true)}else{L=[M.createElement(K[1])]}}else{K=B.buildFragment([J[1]],[M]);L=(K.cacheable?B.clone(K.fragment):K.fragment).childNodes}return B.merge(this,L)}else{N=cE.getElementById(J[2]);if(N&&N.parentNode){if(N.id!==J[2]){return I.find(L)}this.length=1;this[0]=N}this.context=cE;this.selector=L;return this}}else{if(!H||H.jquery){return(H||I).find(L)}else{return this.constructor(H).find(L)}}}else{if(B.isFunction(L)){return I.ready(L)}}if(L.selector!==cs){this.selector=L.selector;this.context=L.context}return B.makeArray(L,this)},selector:"",jquery:"1.7.2",length:0,size:function(){return this.length},toArray:function(){return q.call(this,0)},get:function(H){return H==null?this.toArray():(H<0?this[this.length+H]:this[H])},pushStack:function(J,H,K){var I=this.constructor();if(B.isArray(J)){r.apply(I,J)}else{B.merge(I,J)}I.prevObject=this;I.context=this.context;if(H==="find"){I.selector=this.selector+(this.selector?" ":"")+K}else{if(H){I.selector=this.selector+"."+H+"("+K+")"}}return I},each:function(H,I){return B.each(this,H,I)},ready:function(H){B.bindReady();E.add(H);return this},eq:function(H){H=+H;return H===-1?this.slice(H):this.slice(H,H+1)},first:function(){return this.eq(0)},last:function(){return this.eq(-1)},slice:function(){return this.pushStack(q.apply(this,arguments),"slice",q.call(arguments).join(","))},map:function(H){return this.pushStack(B.map(this,function(I,J){return H.call(I,J,I)}))},end:function(){return this.prevObject||this.constructor(null)},push:r,sort:[].sort,splice:[].splice};B.fn.init.prototype=B.fn;B.extend=B.fn.extend=function(){var H,O,Q,P,K,J,L=arguments[0]||{},M=1,N=arguments.length,I=false;if(typeof L==="boolean"){I=L;L=arguments[1]||{};M=2}if(typeof L!=="object"&&!B.isFunction(L)){L={}}if(N===M){L=this;--M}for(;M<N;M++){if((H=arguments[M])!=null){for(O in H){Q=L[O];P=H[O];if(L===P){continue}if(I&&P&&(B.isPlainObject(P)||(K=B.isArray(P)))){if(K){K=false;J=Q&&B.isArray(Q)?Q:[]}else{J=Q&&B.isPlainObject(Q)?Q:{}}L[O]=B.extend(I,J,P)}else{if(P!==cs){L[O]=P}}}}}return L};B.extend({noConflict:function(H){if(ci.$===B){ci.$=x}if(H&&ci.jQuery===B){ci.jQuery=g}return B},isReady:false,readyWait:1,holdReady:function(H){if(H){B.readyWait++}else{B.ready(true)}},ready:function(H){if((H===true&&!--B.readyWait)||(H!==true&&!B.isReady)){if(!cE.body){return setTimeout(B.ready,1)}B.isReady=true;if(H!==true&&--B.readyWait>0){return}E.fireWith(cE,[B]);if(B.fn.trigger){B(cE).trigger("ready").off("ready")}}},bindReady:function(){if(E){return}E=B.Callbacks("once memory");if(cE.readyState==="complete"){return setTimeout(B.ready,1)}if(cE.addEventListener){cE.addEventListener("DOMContentLoaded",A,false);ci.addEventListener("load",B.ready,false)}else{if(cE.attachEvent){cE.attachEvent("onreadystatechange",A);ci.attachEvent("onload",B.ready);var I=false;try{I=ci.frameElement==null}catch(H){}if(cE.documentElement.doScroll&&I){w()}}}},isFunction:function(H){return B.type(H)==="function"},isArray:Array.isArray||function(H){return B.type(H)==="array"},isWindow:function(H){return H!=null&&H==H.window},isNumeric:function(H){return !isNaN(parseFloat(H))&&isFinite(H)},type:function(H){return H==null?String(H):u[p.call(H)]||"object"},isPlainObject:function(H){if(!H||B.type(H)!=="object"||H.nodeType||B.isWindow(H)){return false}try{if(H.constructor&&!z.call(H,"constructor")&&!z.call(H.constructor.prototype,"isPrototypeOf")){return false}}catch(I){return false}var J;for(J in H){}return J===cs||z.call(H,J)},isEmptyObject:function(H){for(var I in H){return false}return true},error:function(H){throw new Error(H)},parseJSON:function(H){if(typeof H!=="string"||!H){return null}H=B.trim(H);if(ci.JSON&&ci.JSON.parse){return ci.JSON.parse(H)}if(n.test(H.replace(d,"@").replace(l,"]").replace(s,""))){return(new Function("return "+H))()}B.error("Invalid JSON: "+H)},parseXML:function(I){if(typeof I!=="string"||!I){return null}var K,J;try{if(ci.DOMParser){J=new DOMParser();K=J.parseFromString(I,"text/xml")}else{K=new ActiveXObject("Microsoft.XMLDOM");K.async="false";K.loadXML(I)}}catch(H){K=cs}if(!K||!K.documentElement||K.getElementsByTagName("parsererror").length){B.error("Invalid XML: "+I)}return K},noop:function(){},globalEval:function(H){if(H&&o.test(H)){(ci.execScript||function(I){ci["eval"].call(ci,I)})(H)}},camelCase:function(H){return H.replace(a,"ms-").replace(F,h)},nodeName:function(H,I){return H.nodeName&&H.nodeName.toUpperCase()===I.toUpperCase()},each:function(I,M,J){var K,H=0,N=I.length,L=N===cs||B.isFunction(I);if(J){if(L){for(K in I){if(M.apply(I[K],J)===false){break}}}else{for(;H<N;){if(M.apply(I[H++],J)===false){break}}}}else{if(L){for(K in I){if(M.call(I[K],K,I[K])===false){break}}}else{for(;H<N;){if(M.call(I[H],H,I[H++])===false){break}}}}return I},trim:m?function(H){return H==null?"":m.call(H)}:function(H){return H==null?"":H.toString().replace(v,"").replace(C,"")},makeArray:function(H,J){var K=J||[];if(H!=null){var I=B.type(H);if(H.length==null||I==="string"||I==="function"||I==="regexp"||B.isWindow(H)){r.call(K,H)}else{B.merge(K,H)}}return K},inArray:function(I,H,J){var K;if(H){if(y){return y.call(H,I,J)}K=H.length;J=J?J<0?Math.max(0,K+J):J:0;for(;J<K;J++){if(J in H&&H[J]===I){return J}}}return -1},merge:function(H,J){var I=H.length,K=0;if(typeof J.length==="number"){for(var L=J.length;K<L;K++){H[I++]=J[K]}}else{while(J[K]!==cs){H[I++]=J[K++]}}H.length=I;return H},grep:function(K,M,L){var J=[],N;L=!!L;for(var I=0,H=K.length;I<H;I++){N=!!M(K[I],I);if(L!==N){J.push(K[I])}}return J},map:function(P,I,H){var K,J,L=[],N=0,O=P.length,M=P instanceof B||O!==cs&&typeof O==="number"&&((O>0&&P[0]&&P[O-1])||O===0||B.isArray(P));if(M){for(;N<O;N++){K=I(P[N],N,H);if(K!=null){L[L.length]=K}}}else{for(J in P){K=I(P[J],J,H);if(K!=null){L[L.length]=K}}}return L.concat.apply([],L)},guid:1,proxy:function(H,I){if(typeof I==="string"){var J=H[I];I=H;H=J}if(!B.isFunction(H)){return cs}var L=q.call(arguments,2),K=function(){return H.apply(I,L.concat(q.call(arguments)))};K.guid=H.guid=H.guid||K.guid||B.guid++;return K},access:function(R,L,I,K,N,H,J){var P,M=I==null,O=0,Q=R.length;if(I&&typeof I==="object"){for(O in I){B.access(R,L,O,I[O],1,H,K)}N=1}else{if(K!==cs){P=J===cs&&B.isFunction(K);if(M){if(P){P=L;L=function(U,S,T){return P.call(B(U),T)}}else{L.call(R,K);L=null}}if(L){for(;O<Q;O++){L(R[O],I,P?K.call(R[O],O,L(R[O],I)):K,J)}}N=1}}return N?R:M?L.call(R):Q?L(R[0],I):H},now:function(){return(new Date()).getTime()},uaMatch:function(H){H=H.toLowerCase();var I=t.exec(H)||j.exec(H)||k.exec(H)||H.indexOf("compatible")<0&&i.exec(H)||[];return{browser:I[1]||"",version:I[2]||"0"}},sub:function(){function J(L,K){return new J.fn.init(L,K)}B.extend(true,J,this);J.superclass=this;J.fn=J.prototype=this();J.fn.constructor=J;J.sub=this.sub;J.fn.init=function H(L,K){if(K&&K instanceof B&&!(K instanceof J)){K=J(K)}return B.fn.init.call(this,L,K,I)};J.fn.init.prototype=J.fn;var I=J(cE);return J},browser:{}});B.each("Boolean Number String Function Array Date RegExp Object".split(" "),function(H,I){u["[object "+I+"]"]=I.toLowerCase()});f=B.uaMatch(c);if(f.browser){B.browser[f.browser]=true;B.browser.version=f.version}if(B.browser.webkit){B.browser.safari=true}if(o.test("\xA0")){v=/^[\s\xA0]+/;C=/[\s\xA0]+$/}D=B(cE);if(cE.addEventListener){A=function(){cE.removeEventListener("DOMContentLoaded",A,false);B.ready()}}else{if(cE.attachEvent){A=function(){if(cE.readyState==="complete"){cE.detachEvent("onreadystatechange",A);B.ready()}}}}function w(){if(B.isReady){return}try{cE.documentElement.doScroll("left")}catch(H){setTimeout(w,1);return}B.ready()}return B})();var dA={};function b7(b){var a=dA[b]={},d,c;b=b.split(/\s+/);for(d=0,c=b.length;d<c;d++){a[b[d]]=true}return a}bS.Callbacks=function(g){g=g?(dA[g]||b7(g)):{};var m=[],l=[],f,c,d,h,b,a,j=function(q){var p,s,n,o,r;for(p=0,s=q.length;p<s;p++){n=q[p];o=bS.type(n);if(o==="array"){j(n)}else{if(o==="function"){if(!g.unique||!k.has(n)){m.push(n)}}}}},i=function(n,o){o=o||[];f=!g.memory||[n,o];c=true;d=true;a=h||0;h=0;b=m.length;for(;m&&a<b;a++){if(m[a].apply(n,o)===false&&g.stopOnFalse){f=true;break}}d=false;if(m){if(!g.once){if(l&&l.length){f=l.shift();k.fireWith(f[0],f[1])}}else{if(f===true){k.disable()}else{m=[]}}}},k={add:function(){if(m){var n=m.length;j(arguments);if(d){b=m.length}else{if(f&&f!==true){h=n;i(f[0],f[1])}}}return this},remove:function(){if(m){var q=arguments,o=0,n=q.length;for(;o<n;o++){for(var p=0;p<m.length;p++){if(q[o]===m[p]){if(d){if(p<=b){b--;if(p<=a){a--}}}m.splice(p--,1);if(g.unique){break}}}}}return this},has:function(o){if(m){var p=0,n=m.length;for(;p<n;p++){if(o===m[p]){return true}}}return false},empty:function(){m=[];return this},disable:function(){m=l=f=cs;return this},disabled:function(){return !m},lock:function(){l=cs;if(!f||f===true){k.disable()}return this},locked:function(){return !l},fireWith:function(n,o){if(l){if(d){if(!g.once){l.push([n,o])}}else{if(!(g.once&&f)){i(n,o)}}}return this},fire:function(){k.fireWith(this,arguments);return this},fired:function(){return !!c}};return k};var di=[].slice;bS.extend({Deferred:function(f){var g=bS.Callbacks("once memory"),h=bS.Callbacks("once memory"),i=bS.Callbacks("memory"),d="pending",b={resolve:g,reject:h,notify:i},j={done:g.add,fail:h.add,progress:i.add,state:function(){return d},isResolved:g.fired,isRejected:h.fired,then:function(l,m,k){a.done(l).fail(m).progress(k);return this},always:function(){a.done.apply(a,arguments).fail.apply(a,arguments);return this},pipe:function(k,l,m){return bS.Deferred(function(n){bS.each({done:[k,"resolve"],fail:[l,"reject"],progress:[m,"notify"]},function(p,r){var q=r[0],s=r[1],o;if(bS.isFunction(q)){a[p](function(){o=q.apply(this,arguments);if(o&&bS.isFunction(o.promise)){o.promise().then(n.resolve,n.reject,n.notify)}else{n[s+"With"](this===a?n:this,[o])}})}else{a[p](n[s])}})}).promise()},promise:function(k){if(k==null){k=j}else{for(var l in j){k[l]=j[l]}}return k}},a=j.promise({}),c;for(c in b){a[c]=b[c].fire;a[c+"With"]=b[c].fireWith}a.done(function(){d="resolved"},h.disable,i.lock).fail(function(){d="rejected"},g.disable,i.lock);if(f){f.call(a,a)}return a},when:function(b){var g=di.call(arguments,0),i=0,d=g.length,a=new Array(d),h=d,f=d,l=d<=1&&b&&bS.isFunction(b.promise)?b:bS.Deferred(),j=l.promise();function k(m){return function(n){g[m]=arguments.length>1?di.call(arguments,0):n;if(!(--h)){l.resolveWith(l,g)}}}function c(m){return function(n){a[m]=arguments.length>1?di.call(arguments,0):n;l.notifyWith(j,a)}}if(d>1){for(;i<d;i++){if(g[i]&&g[i].promise&&bS.isFunction(g[i].promise)){g[i].promise().then(k(i),l.reject,c(i))}else{--h}}if(!h){l.resolveWith(l,g)}}else{if(l!==b){l.resolveWith(l,d?[b]:[])}}return j}});bS.support=(function(){var i,k,n,m,g,o,p,c,f,b,d,h,j=cE.createElement("div"),l=cE.documentElement;j.setAttribute("className","t");j.innerHTML="   <link/><table></table><a href='/a' style='top:1px;float:left;opacity:.55;'>a</a><input type='checkbox'/>";k=j.getElementsByTagName("*");n=j.getElementsByTagName("a")[0];if(!k||!k.length||!n){return{}}m=cE.createElement("select");g=m.appendChild(cE.createElement("option"));o=j.getElementsByTagName("input")[0];i={leadingWhitespace:(j.firstChild.nodeType===3),tbody:!j.getElementsByTagName("tbody").length,htmlSerialize:!!j.getElementsByTagName("link").length,style:/top/.test(n.getAttribute("style")),hrefNormalized:(n.getAttribute("href")==="/a"),opacity:/^0.55/.test(n.style.opacity),cssFloat:!!n.style.cssFloat,checkOn:(o.value==="on"),optSelected:g.selected,getSetAttribute:j.className!=="t",enctype:!!cE.createElement("form").enctype,html5Clone:cE.createElement("nav").cloneNode(true).outerHTML!=="<:nav></:nav>",submitBubbles:true,changeBubbles:true,focusinBubbles:false,deleteExpando:true,noCloneEvent:true,inlineBlockNeedsLayout:false,shrinkWrapBlocks:false,reliableMarginRight:true,pixelMargin:true};bS.boxModel=i.boxModel=(cE.compatMode==="CSS1Compat");o.checked=true;i.noCloneChecked=o.cloneNode(true).checked;m.disabled=true;i.optDisabled=!g.disabled;try{delete j.test}catch(a){i.deleteExpando=false}if(!j.addEventListener&&j.attachEvent&&j.fireEvent){j.attachEvent("onclick",function(){i.noCloneEvent=false});j.cloneNode(true).fireEvent("onclick")}o=cE.createElement("input");o.value="t";o.setAttribute("type","radio");i.radioValue=o.value==="t";o.setAttribute("checked","checked");o.setAttribute("name","t");j.appendChild(o);p=cE.createDocumentFragment();p.appendChild(j.lastChild);i.checkClone=p.cloneNode(true).cloneNode(true).lastChild.checked;i.appendChecked=o.checked;p.removeChild(o);p.appendChild(j);if(j.attachEvent){for(d in {submit:1,change:1,focusin:1}){b="on"+d;h=(b in j);if(!h){j.setAttribute(b,"return;");h=(typeof j[b]==="function")}i[d+"Bubbles"]=h}}p.removeChild(j);p=m=g=j=o=null;bS(function(){var A,r,q,s,y,x,v,C,D,w,z,B,t,u=cE.getElementsByTagName("body")[0];if(!u){return}C=1;t="padding:0;margin:0;border:";z="position:absolute;top:0;left:0;width:1px;height:1px;";B=t+"0;visibility:hidden;";D="style='"+z+t+"5px solid #000;";w="<div "+D+"display:block;'><div style='"+t+"0;display:block;overflow:hidden;'></div></div><table "+D+"' cellpadding='0' cellspacing='0'><tr><td></td></tr></table>";A=cE.createElement("div");A.style.cssText=B+"width:0;height:0;position:static;top:0;margin-top:"+C+"px";u.insertBefore(A,u.firstChild);j=cE.createElement("div");A.appendChild(j);j.innerHTML="<table><tr><td style='"+t+"0;display:none'></td><td>t</td></tr></table>";c=j.getElementsByTagName("td");h=(c[0].offsetHeight===0);c[0].style.display="";c[1].style.display="none";i.reliableHiddenOffsets=h&&(c[0].offsetHeight===0);if(ci.getComputedStyle){j.innerHTML="";v=cE.createElement("div");v.style.width="0";v.style.marginRight="0";j.style.width="2px";j.appendChild(v);i.reliableMarginRight=(parseInt((ci.getComputedStyle(v,null)||{marginRight:0}).marginRight,10)||0)===0}if(typeof j.style.zoom!=="undefined"){j.innerHTML="";j.style.width=j.style.padding="1px";j.style.border=0;j.style.overflow="hidden";j.style.display="inline";j.style.zoom=1;i.inlineBlockNeedsLayout=(j.offsetWidth===3);j.style.display="block";j.style.overflow="visible";j.innerHTML="<div style='width:5px;'></div>";i.shrinkWrapBlocks=(j.offsetWidth!==3)}j.style.cssText=z+B;j.innerHTML=w;r=j.firstChild;q=r.firstChild;y=r.nextSibling.firstChild.firstChild;x={doesNotAddBorder:(q.offsetTop!==5),doesAddBorderForTableAndCells:(y.offsetTop===5)};q.style.position="fixed";q.style.top="20px";x.fixedPosition=(q.offsetTop===20||q.offsetTop===15);q.style.position=q.style.top="";r.style.overflow="hidden";r.style.position="relative";x.subtractsBorderForOverflowNotVisible=(q.offsetTop===-5);x.doesNotIncludeMarginInBodyOffset=(u.offsetTop!==C);if(ci.getComputedStyle){j.style.marginTop="1%";i.pixelMargin=(ci.getComputedStyle(j,null)||{marginTop:0}).marginTop!=="1%"}if(typeof A.style.zoom!=="undefined"){A.style.zoom=1}u.removeChild(A);v=j=A=null;bS.extend(i,x)});return i})();var c9=/^(?:\{.*\}|\[.*\])$/,dt=/([A-Z])/g;bS.extend({cache:{},uuid:0,expando:"jQuery"+(bS.fn.jquery+Math.random()).replace(/\D/g,""),noData:{embed:true,object:"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000",applet:true},hasData:function(a){a=a.nodeType?bS.cache[a[bS.expando]]:a[bS.expando];return !!a&&!ch(a)},data:function(g,i,d,f){if(!bS.acceptData(g)){return}var j,b,m,l=bS.expando,n=typeof i==="string",k=g.nodeType,c=k?bS.cache:g,h=k?g[l]:g[l]&&l,a=i==="events";if((!h||!c[h]||(!a&&!f&&!c[h].data))&&n&&d===cs){return}if(!h){if(k){g[l]=h=++bS.uuid}else{h=l}}if(!c[h]){c[h]={};if(!k){c[h].toJSON=bS.noop}}if(typeof i==="object"||typeof i==="function"){if(f){c[h]=bS.extend(c[h],i)}else{c[h].data=bS.extend(c[h].data,i)}}j=b=c[h];if(!f){if(!b.data){b.data={}}b=b.data}if(d!==cs){b[bS.camelCase(i)]=d}if(a&&!b[i]){return j.events}if(n){m=b[i];if(m==null){m=b[bS.camelCase(i)]}}else{m=b}return m},removeData:function(g,i,f){if(!bS.acceptData(g)){return}var a,b,d,k=bS.expando,j=g.nodeType,c=j?bS.cache:g,h=j?g[k]:k;if(!c[h]){return}if(i){a=f?c[h]:c[h].data;if(a){if(!bS.isArray(i)){if(i in a){i=[i]}else{i=bS.camelCase(i);if(i in a){i=[i]}else{i=i.split(" ")}}}for(b=0,d=i.length;b<d;b++){delete a[i[b]]}if(!(f?ch:bS.isEmptyObject)(a)){return}}}if(!f){delete c[h].data;if(!ch(c[h])){return}}if(bS.support.deleteExpando||!c.setInterval){delete c[h]}else{c[h]=null}if(j){if(bS.support.deleteExpando){delete g[k]}else{if(g.removeAttribute){g.removeAttribute(k)}else{g[k]=null}}}},_data:function(a,b,c){return bS.data(a,b,c,true)},acceptData:function(a){if(a.nodeName){var b=bS.noData[a.nodeName.toLowerCase()];if(b){return !(b===true||a.getAttribute("classid")!==b)}}return true}});bS.fn.extend({data:function(j,k){var f,i,a,d,g,h=this[0],b=0,c=null;if(j===cs){if(this.length){c=bS.data(h);if(h.nodeType===1&&!bS._data(h,"parsedAttrs")){a=h.attributes;for(g=a.length;b<g;b++){d=a[b].name;if(d.indexOf("data-")===0){d=bS.camelCase(d.substring(5));dx(h,d,c[d])}}bS._data(h,"parsedAttrs",true)}}return c}if(typeof j==="object"){return this.each(function(){bS.data(this,j)})}f=j.split(".",2);f[1]=f[1]?"."+f[1]:"";i=f[1]+"!";return bS.access(this,function(l){if(l===cs){c=this.triggerHandler("getData"+i,[f[0]]);if(c===cs&&h){c=bS.data(h,j);c=dx(h,j,c)}return c===cs&&f[1]?this.data(f[0]):c}f[1]=l;this.each(function(){var m=bS(this);m.triggerHandler("setData"+i,f);bS.data(this,j,l);m.triggerHandler("changeData"+i,f)})},null,k,arguments.length>1,null,false)},removeData:function(a){return this.each(function(){bS.removeData(this,a)})}});function dx(d,f,c){if(c===cs&&d.nodeType===1){var a="data-"+f.replace(dt,"-$1").toLowerCase();c=d.getAttribute(a);if(typeof c==="string"){try{c=c==="true"?true:c==="false"?false:c==="null"?null:bS.isNumeric(c)?+c:c9.test(c)?bS.parseJSON(c):c}catch(b){}bS.data(d,f,c)}else{c=cs}}return c}function ch(a){for(var b in a){if(b==="data"&&bS.isEmptyObject(a[b])){continue}if(b!=="toJSON"){return false}}return true}function b6(d,g,f){var h=g+"defer",a=g+"queue",c=g+"mark",b=bS._data(d,h);if(b&&(f==="queue"||!bS._data(d,a))&&(f==="mark"||!bS._data(d,c))){setTimeout(function(){if(!bS._data(d,a)&&!bS._data(d,c)){bS.removeData(d,h,true);b.fire()}},0)}}bS.extend({_mark:function(a,b){if(a){b=(b||"fx")+"mark";bS._data(a,b,(bS._data(a,b)||0)+1)}},_unmark:function(c,d,a){if(c!==true){a=d;d=c;c=false}if(d){a=a||"fx";var b=a+"mark",f=c?0:((bS._data(d,b)||1)-1);if(f){bS._data(d,b,f)}else{bS.removeData(d,b,true);b6(d,a,"mark")}}},queue:function(a,b,c){var d;if(a){b=(b||"fx")+"queue";d=bS._data(a,b);if(c){if(!d||bS.isArray(c)){d=bS._data(a,b,bS.makeArray(c))}else{d.push(c)}}return d||[]}},dequeue:function(c,d){d=d||"fx";var a=bS.queue(c,d),f=a.shift(),b={};if(f==="inprogress"){f=a.shift()}if(f){if(d==="fx"){a.unshift("inprogress")}bS._data(c,d+".run",b);f.call(c,function(){bS.dequeue(c,d)},b)}if(!a.length){bS.removeData(c,d+"queue "+d+".run",true);b6(c,d,"queue")}}});bS.fn.extend({queue:function(b,a){var c=2;if(typeof b!=="string"){a=b;b="fx";c--}if(arguments.length<c){return bS.queue(this[0],b)}return a===cs?this:this.each(function(){var d=bS.queue(this,b,a);if(b==="fx"&&d[0]!=="inprogress"){bS.dequeue(this,b)}})},dequeue:function(a){return this.each(function(){bS.dequeue(this,a)})},delay:function(a,b){a=bS.fx?bS.fx.speeds[a]||a:a;b=b||"fx";return this.queue(b,function(d,f){var c=setTimeout(d,a);f.stop=function(){clearTimeout(c)}})},clearQueue:function(a){return this.queue(a||"fx",[])},promise:function(k,h){if(typeof k!=="string"){h=k;k=cs}k=k||"fx";var c=bS.Deferred(),i=this,f=i.length,a=1,d=k+"defer",b=k+"queue",l=k+"mark",g;function j(){if(!(--a)){c.resolveWith(i,[i])}}while(f--){if((g=bS.data(i[f],d,cs,true)||(bS.data(i[f],b,cs,true)||bS.data(i[f],l,cs,true))&&bS.data(i[f],d,bS.Callbacks("once memory"),true))){a++;g.add(j)}}j();return c.promise(h)}});var dc=/[\n\t\r]/g,cW=/\s+/,c7=/\r/g,bN=/^(?:button|input)$/i,cI=/^(?:button|input|object|select|textarea)$/i,bI=/^a(?:rea)?$/i,cO=/^(?:autofocus|autoplay|async|checked|controls|defer|disabled|hidden|loop|multiple|open|readonly|required|scoped|selected)$/i,cD=bS.support.getSetAttribute,ce,c3,dm;bS.fn.extend({attr:function(b,a){return bS.access(this,bS.attr,b,a,arguments.length>1)},removeAttr:function(a){return this.each(function(){bS.removeAttr(this,a)})},prop:function(b,a){return bS.access(this,bS.prop,b,a,arguments.length>1)},removeProp:function(a){a=bS.propFix[a]||a;return this.each(function(){try{this[a]=cs;delete this[a]}catch(b){}})},addClass:function(f){var h,i,a,g,b,d,c;if(bS.isFunction(f)){return this.each(function(j){bS(this).addClass(f.call(this,j,this.className))})}if(f&&typeof f==="string"){h=f.split(cW);for(i=0,a=this.length;i<a;i++){g=this[i];if(g.nodeType===1){if(!g.className&&h.length===1){g.className=f}else{b=" "+g.className+" ";for(d=0,c=h.length;d<c;d++){if(!~b.indexOf(" "+h[d]+" ")){b+=h[d]+" "}}g.className=bS.trim(b)}}}}return this},removeClass:function(b){var h,i,a,f,g,d,c;if(bS.isFunction(b)){return this.each(function(j){bS(this).removeClass(b.call(this,j,this.className))})}if((b&&typeof b==="string")||b===cs){h=(b||"").split(cW);for(i=0,a=this.length;i<a;i++){f=this[i];if(f.nodeType===1&&f.className){if(b){g=(" "+f.className+" ").replace(dc," ");for(d=0,c=h.length;d<c;d++){g=g.replace(" "+h[d]+" "," ")}f.className=bS.trim(g)}else{f.className=""}}}}return this},toggleClass:function(c,a){var d=typeof c,b=typeof a==="boolean";if(bS.isFunction(c)){return this.each(function(f){bS(this).toggleClass(c.call(this,f,this.className,a),a)})}return this.each(function(){if(d==="string"){var j,g=0,i=bS(this),h=a,f=c.split(cW);while((j=f[g++])){h=b?h:!i.hasClass(j);i[h?"addClass":"removeClass"](j)}}else{if(d==="undefined"||d==="boolean"){if(this.className){bS._data(this,"__className__",this.className)}this.className=this.className||c===false?"":bS._data(this,"__className__")||""}}})},hasClass:function(b){var c=" "+b+" ",d=0,a=this.length;for(;d<a;d++){if(this[d].nodeType===1&&(" "+this[d].className+" ").replace(dc," ").indexOf(c)>-1){return true}}return false},val:function(d){var c,a,b,f=this[0];if(!arguments.length){if(f){c=bS.valHooks[f.type]||bS.valHooks[f.nodeName.toLowerCase()];if(c&&"get" in c&&(a=c.get(f,"value"))!==cs){return a}a=f.value;return typeof a==="string"?a.replace(c7,""):a==null?"":a}return}b=bS.isFunction(d);return this.each(function(i){var g=bS(this),h;if(this.nodeType!==1){return}if(b){h=d.call(this,i,g.val())}else{h=d}if(h==null){h=""}else{if(typeof h==="number"){h+=""}else{if(bS.isArray(h)){h=bS.map(h,function(j){return j==null?"":j+""})}}}c=bS.valHooks[this.type]||bS.valHooks[this.nodeName.toLowerCase()];if(!c||!("set" in c)||c.set(this,h,"value")===cs){this.value=h}})}});bS.extend({valHooks:{option:{get:function(b){var a=b.attributes.value;return !a||a.specified?b.value:b.text}},select:{get:function(c){var b,i,d,g,f=c.selectedIndex,a=[],j=c.options,h=c.type==="select-one";if(f<0){return null}i=h?f:0;d=h?f+1:j.length;for(;i<d;i++){g=j[i];if(g.selected&&(bS.support.optDisabled?!g.disabled:g.getAttribute("disabled")===null)&&(!g.parentNode.disabled||!bS.nodeName(g.parentNode,"optgroup"))){b=bS(g).val();if(h){return b}a.push(b)}}if(h&&!a.length&&j.length){return bS(j[f]).val()}return a},set:function(a,c){var b=bS.makeArray(c);bS(a).find("option").each(function(){this.selected=bS.inArray(bS(this).val(),b)>=0});if(!b.length){a.selectedIndex=-1}return b}}},attrFn:{val:true,css:true,html:true,text:true,data:true,width:true,height:true,offset:true},attr:function(h,g,f,b){var i,d,c,a=h.nodeType;if(!h||a===3||a===8||a===2){return}if(b&&g in bS.attrFn){return bS(h)[g](f)}if(typeof h.getAttribute==="undefined"){return bS.prop(h,g,f)}c=a!==1||!bS.isXMLDoc(h);if(c){g=g.toLowerCase();d=bS.attrHooks[g]||(cO.test(g)?c3:ce)}if(f!==cs){if(f===null){bS.removeAttr(h,g);return}else{if(d&&"set" in d&&c&&(i=d.set(h,f,g))!==cs){return i}else{h.setAttribute(g,""+f);return f}}}else{if(d&&"get" in d&&c&&(i=d.get(h,g))!==null){return i}else{i=h.getAttribute(g);return i===null?cs:i}}},removeAttr:function(f,h){var b,d,i,c,a,g=0;if(h&&f.nodeType===1){d=h.toLowerCase().split(cW);c=d.length;for(;g<c;g++){i=d[g];if(i){b=bS.propFix[i]||i;a=cO.test(i);if(!a){bS.attr(f,i,"")}f.removeAttribute(cD?i:b);if(a&&b in f){f[b]=false}}}}},attrHooks:{type:{set:function(b,a){if(bN.test(b.nodeName)&&b.parentNode){bS.error("type property can't be changed")}else{if(!bS.support.radioValue&&a==="radio"&&bS.nodeName(b,"input")){var c=b.value;b.setAttribute("type",a);if(c){b.value=c}return a}}}},value:{get:function(a,b){if(ce&&bS.nodeName(a,"button")){return ce.get(a,b)}return b in a?a.value:null},set:function(a,c,b){if(ce&&bS.nodeName(a,"button")){return ce.set(a,c,b)}a.value=c}}},propFix:{tabindex:"tabIndex",readonly:"readOnly","for":"htmlFor","class":"className",maxlength:"maxLength",cellspacing:"cellSpacing",cellpadding:"cellPadding",rowspan:"rowSpan",colspan:"colSpan",usemap:"useMap",frameborder:"frameBorder",contenteditable:"contentEditable"},prop:function(b,g,f){var h,d,c,a=b.nodeType;if(!b||a===3||a===8||a===2){return}c=a!==1||!bS.isXMLDoc(b);if(c){g=bS.propFix[g]||g;d=bS.propHooks[g]}if(f!==cs){if(d&&"set" in d&&(h=d.set(b,f,g))!==cs){return h}else{return(b[g]=f)}}else{if(d&&"get" in d&&(h=d.get(b,g))!==null){return h}else{return b[g]}}},propHooks:{tabIndex:{get:function(a){var b=a.getAttributeNode("tabindex");return b&&b.specified?parseInt(b.value,10):cI.test(a.nodeName)||bI.test(a.nodeName)&&a.href?0:cs}}}});bS.attrHooks.tabindex=bS.propHooks.tabIndex;c3={get:function(a,b){var c,d=bS.prop(a,b);return d===true||typeof d!=="boolean"&&(c=a.getAttributeNode(b))&&c.nodeValue!==false?b.toLowerCase():cs},set:function(a,c,b){var d;if(c===false){bS.removeAttr(a,b)}else{d=bS.propFix[b]||b;if(d in a){a[d]=true}a.setAttribute(b,b.toLowerCase())}return b}};if(!cD){dm={name:true,id:true,coords:true};ce=bS.valHooks.button={get:function(c,a){var b;b=c.getAttributeNode(a);return b&&(dm[a]?b.nodeValue!=="":b.specified)?b.nodeValue:cs},set:function(d,c,a){var b=d.getAttributeNode(a);if(!b){b=cE.createAttribute(a);d.setAttributeNode(b)}return(b.nodeValue=c+"")}};bS.attrHooks.tabindex.set=ce.set;bS.each(["width","height"],function(a,b){bS.attrHooks[b]=bS.extend(bS.attrHooks[b],{set:function(d,c){if(c===""){d.setAttribute(b,"auto");return c}}})});bS.attrHooks.contenteditable={get:ce.get,set:function(a,c,b){if(c===""){c="false"}ce.set(a,c,b)}}}if(!bS.support.hrefNormalized){bS.each(["href","src","width","height"],function(a,b){bS.attrHooks[b]=bS.extend(bS.attrHooks[b],{get:function(c){var d=c.getAttribute(b,2);return d===null?cs:d}})})}if(!bS.support.style){bS.attrHooks.style={get:function(a){return a.style.cssText.toLowerCase()||cs},set:function(b,a){return(b.style.cssText=""+a)}}}if(!bS.support.optSelected){bS.propHooks.selected=bS.extend(bS.propHooks.selected,{get:function(a){var b=a.parentNode;if(b){b.selectedIndex;if(b.parentNode){b.parentNode.selectedIndex}}return null}})}if(!bS.support.enctype){bS.propFix.enctype="encoding"}if(!bS.support.checkOn){bS.each(["radio","checkbox"],function(){bS.valHooks[this]={get:function(a){return a.getAttribute("value")===null?"on":a.value}}})}bS.each(["radio","checkbox"],function(){bS.valHooks[this]=bS.extend(bS.valHooks[this],{set:function(b,a){if(bS.isArray(a)){return(b.checked=bS.inArray(bS(b).val(),a)>=0)}}})});var cg=/^(?:textarea|input|select)$/i,bG=/^([^\.]*)?(?:\.(.+))?$/,cu=/(?:^|\s)hover(\.\S+)?\b/,dd=/^key/,cc=/^(?:mouse|contextmenu)|click/,cf=/^(?:focusinfocus|focusoutblur)$/,cd=/^(\w*)(?:#([\w\-]+))?(?:\.([\w\-]+))?$/,b5=function(b){var a=cd.exec(b);if(a){a[1]=(a[1]||"").toLowerCase();a[3]=a[3]&&new RegExp("(?:^|\\s)"+a[3]+"(?:\\s|$)")}return a},bK=function(c,b){var a=c.attributes||{};return((!b[1]||c.nodeName.toLowerCase()===b[1])&&(!b[2]||(a.id||{}).value===b[2])&&(!b[3]||b[3].test((a["class"]||{}).value)))},bT=function(a){return bS.event.special.hover?a:a.replace(cu,"mouseenter$1 mouseleave$1")};bS.event={add:function(h,r,i,b,g){var q,a,f,k,m,o,d,n,l,c,j,p;if(h.nodeType===3||h.nodeType===8||!r||!i||!(q=bS._data(h))){return}if(i.handler){l=i;i=l.handler;g=l.selector}if(!i.guid){i.guid=bS.guid++}f=q.events;if(!f){q.events=f={}}a=q.handle;if(!a){q.handle=a=function(s){return typeof bS!=="undefined"&&(!s||bS.event.triggered!==s.type)?bS.event.dispatch.apply(a.elem,arguments):cs};a.elem=h}r=bS.trim(bT(r)).split(" ");for(k=0;k<r.length;k++){m=bG.exec(r[k])||[];o=m[1];d=(m[2]||"").split(".").sort();p=bS.event.special[o]||{};o=(g?p.delegateType:p.bindType)||o;p=bS.event.special[o]||{};n=bS.extend({type:o,origType:m[1],data:b,handler:i,guid:i.guid,selector:g,quick:g&&b5(g),namespace:d.join(".")},l);j=f[o];if(!j){j=f[o]=[];j.delegateCount=0;if(!p.setup||p.setup.call(h,b,d,a)===false){if(h.addEventListener){h.addEventListener(o,a,false)}else{if(h.attachEvent){h.attachEvent("on"+o,a)}}}}if(p.add){p.add.call(h,n);if(!n.handler.guid){n.handler.guid=i.guid}}if(g){j.splice(j.delegateCount++,0,n)}else{j.push(n)}bS.event.global[o]=true}h=null},global:{},remove:function(d,o,m,i,r){var g=bS.hasData(d)&&bS._data(d),n,h,c,a,q,s,l,j,f,b,p,k;if(!g||!(j=g.events)){return}o=bS.trim(bT(o||"")).split(" ");for(n=0;n<o.length;n++){h=bG.exec(o[n])||[];c=a=h[1];q=h[2];if(!c){for(c in j){bS.event.remove(d,c+o[n],m,i,true)}continue}f=bS.event.special[c]||{};c=(i?f.delegateType:f.bindType)||c;p=j[c]||[];s=p.length;q=q?new RegExp("(^|\\.)"+q.split(".").sort().join("\\.(?:.*\\.)?")+"(\\.|$)"):null;for(l=0;l<p.length;l++){k=p[l];if((r||a===k.origType)&&(!m||m.guid===k.guid)&&(!q||q.test(k.namespace))&&(!i||i===k.selector||i==="**"&&k.selector)){p.splice(l--,1);if(k.selector){p.delegateCount--}if(f.remove){f.remove.call(d,k)}}}if(p.length===0&&s!==p.length){if(!f.teardown||f.teardown.call(d,q)===false){bS.removeEvent(d,c,g.handle)}delete j[c]}}if(bS.isEmptyObject(j)){b=g.handle;if(b){b.elem=null}bS.removeData(d,["events","handle"],true)}},customEvent:{getData:true,setData:true,changeData:true},trigger:function(l,p,b,h){if(b&&(b.nodeType===3||b.nodeType===8)){return}var m=l.type||l,g=[],d,j,q,k,c,f,n,o,a,i;if(cf.test(m+bS.event.triggered)){return}if(m.indexOf("!")>=0){m=m.slice(0,-1);j=true}if(m.indexOf(".")>=0){g=m.split(".");m=g.shift();g.sort()}if((!b||bS.event.customEvent[m])&&!bS.event.global[m]){return}l=typeof l==="object"?l[bS.expando]?l:new bS.Event(m,l):new bS.Event(m);l.type=m;l.isTrigger=true;l.exclusive=j;l.namespace=g.join(".");l.namespace_re=l.namespace?new RegExp("(^|\\.)"+g.join("\\.(?:.*\\.)?")+"(\\.|$)"):null;f=m.indexOf(":")<0?"on"+m:"";if(!b){d=bS.cache;for(q in d){if(d[q].events&&d[q].events[m]){bS.event.trigger(l,p,d[q].handle.elem,true)}}return}l.result=cs;if(!l.target){l.target=b}p=p!=null?bS.makeArray(p):[];p.unshift(l);n=bS.event.special[m]||{};if(n.trigger&&n.trigger.apply(b,p)===false){return}a=[[b,n.bindType||m]];if(!h&&!n.noBubble&&!bS.isWindow(b)){i=n.delegateType||m;k=cf.test(i+m)?b:b.parentNode;c=null;for(;k;k=k.parentNode){a.push([k,i]);c=k}if(c&&c===b.ownerDocument){a.push([c.defaultView||c.parentWindow||ci,i])}}for(q=0;q<a.length&&!l.isPropagationStopped();q++){k=a[q][0];l.type=a[q][1];o=(bS._data(k,"events")||{})[l.type]&&bS._data(k,"handle");if(o){o.apply(k,p)}o=f&&k[f];if(o&&bS.acceptData(k)&&o.apply(k,p)===false){l.preventDefault()}}l.type=m;if(!h&&!l.isDefaultPrevented()){if((!n._default||n._default.apply(b.ownerDocument,p)===false)&&!(m==="click"&&bS.nodeName(b,"a"))&&bS.acceptData(b)){if(f&&b[m]&&((m!=="focus"&&m!=="blur")||l.target.offsetWidth!==0)&&!bS.isWindow(b)){c=b[f];if(c){b[f]=null}bS.event.triggered=m;b[m]();bS.event.triggered=cs;if(c){b[f]=c}}}}return l.result},dispatch:function(i){i=bS.event.fix(i||ci.event);var p=((bS._data(this,"events")||{})[i.type]||[]),q=p.delegateCount,h=[].slice.call(arguments,0),o=!i.exclusive&&!i.namespace,c=bS.event.special[i.type]||{},l=[],d,k,f,s,b,g,r,j,m,n,a;h[0]=i;i.delegateTarget=this;if(c.preDispatch&&c.preDispatch.call(this,i)===false){return}if(q&&!(i.button&&i.type==="click")){s=bS(this);s.context=this.ownerDocument||this;for(f=i.target;f!=this;f=f.parentNode||this){if(f.disabled!==true){g={};j=[];s[0]=f;for(d=0;d<q;d++){m=p[d];n=m.selector;if(g[n]===cs){g[n]=(m.quick?bK(f,m.quick):s.is(n))}if(g[n]){j.push(m)}}if(j.length){l.push({elem:f,matches:j})}}}}if(p.length>q){l.push({elem:this,matches:p.slice(q)})}for(d=0;d<l.length&&!i.isPropagationStopped();d++){r=l[d];i.currentTarget=r.elem;for(k=0;k<r.matches.length&&!i.isImmediatePropagationStopped();k++){m=r.matches[k];if(o||(!i.namespace&&!m.namespace)||i.namespace_re&&i.namespace_re.test(m.namespace)){i.data=m.data;i.handleObj=m;b=((bS.event.special[m.origType]||{}).handle||m.handler).apply(r.elem,h);if(b!==cs){i.result=b;if(b===false){i.preventDefault();i.stopPropagation()}}}}}if(c.postDispatch){c.postDispatch.call(this,i)}return i.result},props:"attrChange attrName relatedNode srcElement altKey bubbles cancelable ctrlKey currentTarget eventPhase metaKey relatedTarget shiftKey target timeStamp view which".split(" "),fixHooks:{},keyHooks:{props:"char charCode key keyCode".split(" "),filter:function(a,b){if(a.which==null){a.which=b.charCode!=null?b.charCode:b.keyCode}return a}},mouseHooks:{props:"button buttons clientX clientY fromElement offsetX offsetY pageX pageY screenX screenY toElement".split(" "),filter:function(g,h){var d,b,c,a=h.button,f=h.fromElement;if(g.pageX==null&&h.clientX!=null){d=g.target.ownerDocument||cE;b=d.documentElement;c=d.body;g.pageX=h.clientX+(b&&b.scrollLeft||c&&c.scrollLeft||0)-(b&&b.clientLeft||c&&c.clientLeft||0);g.pageY=h.clientY+(b&&b.scrollTop||c&&c.scrollTop||0)-(b&&b.clientTop||c&&c.clientTop||0)}if(!g.relatedTarget&&f){g.relatedTarget=f===g.target?h.toElement:f}if(!g.which&&a!==cs){g.which=(a&1?1:(a&2?3:(a&4?2:0)))}return g}},fix:function(g){if(g[bS.expando]){return g}var a,b,d=g,f=bS.event.fixHooks[g.type]||{},c=f.props?this.props.concat(f.props):this.props;g=bS.Event(d);for(a=c.length;a;){b=c[--a];g[b]=d[b]}if(!g.target){g.target=d.srcElement||cE}if(g.target.nodeType===3){g.target=g.target.parentNode}if(g.metaKey===cs){g.metaKey=g.ctrlKey}return f.filter?f.filter(g,d):g},special:{ready:{setup:bS.bindReady},load:{noBubble:true},focus:{delegateType:"focusin"},blur:{delegateType:"focusout"},beforeunload:{setup:function(c,a,b){if(bS.isWindow(this)){this.onbeforeunload=b}},teardown:function(a,b){if(this.onbeforeunload===b){this.onbeforeunload=null}}}},simulate:function(f,c,d,a){var b=bS.extend(new bS.Event(),d,{type:f,isSimulated:true,originalEvent:{}});if(a){bS.event.trigger(b,null,c)}else{bS.event.dispatch.call(c,b)}if(b.isDefaultPrevented()){d.preventDefault()}}};bS.event.handle=bS.event.dispatch;bS.removeEvent=cE.removeEventListener?function(a,b,c){if(a.removeEventListener){a.removeEventListener(b,c,false)}}:function(a,b,c){if(a.detachEvent){a.detachEvent("on"+b,c)}};bS.Event=function(a,b){if(!(this instanceof bS.Event)){return new bS.Event(a,b)}if(a&&a.type){this.originalEvent=a;this.type=a.type;this.isDefaultPrevented=(a.defaultPrevented||a.returnValue===false||a.getPreventDefault&&a.getPreventDefault())?bL:b3}else{this.type=a}if(b){bS.extend(this,b)}this.timeStamp=a&&a.timeStamp||bS.now();this[bS.expando]=true};function b3(){return false}function bL(){return true}bS.Event.prototype={preventDefault:function(){this.isDefaultPrevented=bL;var a=this.originalEvent;if(!a){return}if(a.preventDefault){a.preventDefault()}else{a.returnValue=false}},stopPropagation:function(){this.isPropagationStopped=bL;var a=this.originalEvent;if(!a){return}if(a.stopPropagation){a.stopPropagation()}a.cancelBubble=true},stopImmediatePropagation:function(){this.isImmediatePropagationStopped=bL;this.stopPropagation()},isDefaultPrevented:b3,isPropagationStopped:b3,isImmediatePropagationStopped:b3};bS.each({mouseenter:"mouseover",mouseleave:"mouseout"},function(a,b){bS.event.special[a]={delegateType:b,bindType:b,handle:function(c){var f=this,h=c.relatedTarget,d=c.handleObj,i=d.selector,g;if(!h||(h!==f&&!bS.contains(f,h))){c.type=d.origType;g=d.handler.apply(this,arguments);c.type=b}return g}}});if(!bS.support.submitBubbles){bS.event.special.submit={setup:function(){if(bS.nodeName(this,"form")){return false}bS.event.add(this,"click._submit keypress._submit",function(b){var c=b.target,a=bS.nodeName(c,"input")||bS.nodeName(c,"button")?c.form:cs;if(a&&!a._submit_attached){bS.event.add(a,"submit._submit",function(d){d._submit_bubble=true});a._submit_attached=true}})},postDispatch:function(a){if(a._submit_bubble){delete a._submit_bubble;if(this.parentNode&&!a.isTrigger){bS.event.simulate("submit",this.parentNode,a,true)}}},teardown:function(){if(bS.nodeName(this,"form")){return false}bS.event.remove(this,"._submit")}}}if(!bS.support.changeBubbles){bS.event.special.change={setup:function(){if(cg.test(this.nodeName)){if(this.type==="checkbox"||this.type==="radio"){bS.event.add(this,"propertychange._change",function(a){if(a.originalEvent.propertyName==="checked"){this._just_changed=true}});bS.event.add(this,"click._change",function(a){if(this._just_changed&&!a.isTrigger){this._just_changed=false;bS.event.simulate("change",this,a,true)}})}return false}bS.event.add(this,"beforeactivate._change",function(b){var a=b.target;if(cg.test(a.nodeName)&&!a._change_attached){bS.event.add(a,"change._change",function(c){if(this.parentNode&&!c.isSimulated&&!c.isTrigger){bS.event.simulate("change",this.parentNode,c,true)}});a._change_attached=true}})},handle:function(a){var b=a.target;if(this!==b||a.isSimulated||a.isTrigger||(b.type!=="radio"&&b.type!=="checkbox")){return a.handleObj.handler.apply(this,arguments)}},teardown:function(){bS.event.remove(this,"._change");return cg.test(this.nodeName)}}}if(!bS.support.focusinBubbles){bS.each({focus:"focusin",blur:"focusout"},function(c,b){var a=0,d=function(f){bS.event.simulate(b,f.target,bS.event.fix(f),true)};bS.event.special[b]={setup:function(){if(a++===0){cE.addEventListener(c,d,true)}},teardown:function(){if(--a===0){cE.removeEventListener(c,d,true)}}}})}bS.fn.extend({on:function(h,d,b,c,a){var g,f;if(typeof h==="object"){if(typeof d!=="string"){b=b||d;d=cs}for(f in h){this.on(f,d,b,h[f],a)}return this}if(b==null&&c==null){c=d;b=d=cs}else{if(c==null){if(typeof d==="string"){c=b;b=cs}else{c=b;b=d;d=cs}}}if(c===false){c=b3}else{if(!c){return this}}if(a===1){g=c;c=function(i){bS().off(i);return g.apply(this,arguments)};c.guid=g.guid||(g.guid=bS.guid++)}return this.each(function(){bS.event.add(this,h,c,b,d)})},one:function(a,b,c,d){return this.on(a,b,c,d,1)},off:function(f,c,b){if(f&&f.preventDefault&&f.handleObj){var a=f.handleObj;bS(f.delegateTarget).off(a.namespace?a.origType+"."+a.namespace:a.origType,a.selector,a.handler);return this}if(typeof f==="object"){for(var d in f){this.off(d,c,f[d])}return this}if(c===false||typeof c==="function"){b=c;c=cs}if(b===false){b=b3}return this.each(function(){bS.event.remove(this,f,b,c)})},bind:function(b,c,a){return this.on(b,null,c,a)},unbind:function(b,a){return this.off(b,null,a)},live:function(b,c,a){bS(this.context).on(b,this.selector,c,a);return this},die:function(b,a){bS(this.context).off(b,this.selector||"**",a);return this},delegate:function(b,a,c,d){return this.on(a,b,c,d)},undelegate:function(b,a,c){return arguments.length==1?this.off(b,"**"):this.off(a,b,c)},trigger:function(b,a){return this.each(function(){bS.event.trigger(b,a,this)})},triggerHandler:function(b,a){if(this[0]){return bS.event.trigger(b,a,this[0],true)}},toggle:function(d){var a=arguments,c=d.guid||bS.guid++,f=0,b=function(g){var h=(bS._data(this,"lastToggle"+d.guid)||0)%f;bS._data(this,"lastToggle"+d.guid,h+1);g.preventDefault();return a[h].apply(this,arguments)||false};b.guid=c;while(f<a.length){a[f++].guid=c}return this.click(b)},hover:function(b,a){return this.mouseenter(b).mouseleave(a||b)}});bS.each(("blur focus focusin focusout load resize scroll unload click dblclick mousedown mouseup mousemove mouseover mouseout mouseenter mouseleave change select submit keydown keypress keyup error contextmenu").split(" "),function(a,b){bS.fn[b]=function(c,d){if(d==null){d=c;c=null}return arguments.length>0?this.on(b,null,c,d):this.trigger(b)};if(bS.attrFn){bS.attrFn[b]=true}if(dd.test(b)){bS.event.fixHooks[b]=bS.event.keyHooks}if(cc.test(b)){bS.event.fixHooks[b]=bS.event.mouseHooks}});
/*!
 * Sizzle CSS Selector Engine
 *  Copyright 2011, The Dojo Foundation
 *  Released under the MIT, BSD, and GPL Licenses.
 *  More information: http://sizzlejs.com/
 */
(function(){var n=/((?:\((?:\([^()]+\)|[^()]+)+\)|\[(?:\[[^\[\]]*\]|['"][^'"]*['"]|[^\[\]'"]+)+\]|\\.|[^ >+~,(\[\\]+)+|[>+~])(\s*,\s*)?((?:.|\r|\n)*)/g,u="sizcache"+(Math.random()+"").replace(".",""),l=0,g=Object.prototype.toString,v=false,w=true,h=/\\/g,c=/\r\n/g,a=/\W/;[0,0].sort(function(){w=false;return 0});var k=function(A,H,x,N){x=x||[];H=H||cE;var L=H;if(H.nodeType!==1&&H.nodeType!==9){return[]}if(!A||typeof A!=="string"){return x}var D,J,F,E,K,G,I,y,B=true,C=k.isXML(H),z=[],M=A;do{n.exec("");D=n.exec(M);if(D){M=D[3];z.push(D[1]);if(D[2]){E=D[3];break}}}while(D);if(z.length>1&&t.exec(A)){if(z.length===2&&s.relative[z[0]]){J=f(z[0]+z[1],H,N)}else{J=s.relative[z[0]]?[H]:k(z.shift(),H);while(z.length){A=z.shift();if(s.relative[A]){A+=z.shift()}J=f(A,J,N)}}}else{if(!N&&z.length>1&&H.nodeType===9&&!C&&s.match.ID.test(z[0])&&!s.match.ID.test(z[z.length-1])){K=k.find(z.shift(),H,C);H=K.expr?k.filter(K.expr,K.set)[0]:K.set[0]}if(H){K=N?{expr:z.pop(),set:r(N)}:k.find(z.pop(),z.length===1&&(z[0]==="~"||z[0]==="+")&&H.parentNode?H.parentNode:H,C);J=K.expr?k.filter(K.expr,K.set):K.set;if(z.length>0){F=r(J)}else{B=false}while(z.length){G=z.pop();I=G;if(!s.relative[G]){G=""}else{I=z.pop()}if(I==null){I=H}s.relative[G](F,I,C)}}else{F=z=[]}}if(!F){F=J}if(!F){k.error(G||A)}if(g.call(F)==="[object Array]"){if(!B){x.push.apply(x,F)}else{if(H&&H.nodeType===1){for(y=0;F[y]!=null;y++){if(F[y]&&(F[y]===true||F[y].nodeType===1&&k.contains(H,F[y]))){x.push(J[y])}}}else{for(y=0;F[y]!=null;y++){if(F[y]&&F[y].nodeType===1){x.push(J[y])}}}}}else{r(F,x)}if(E){k(E,L,x,N);k.uniqueSort(x)}return x};k.uniqueSort=function(x){if(j){v=w;x.sort(j);if(v){for(var y=1;y<x.length;y++){if(x[y]===x[y-1]){x.splice(y--,1)}}}}return x};k.matches=function(y,x){return k(y,null,null,x)};k.matchesSelector=function(y,x){return k(x,null,null,[y]).length>0};k.find=function(y,F,x){var z,D,B,C,A,E;if(!y){return[]}for(D=0,B=s.order.length;D<B;D++){A=s.order[D];if((C=s.leftMatch[A].exec(y))){E=C[1];C.splice(1,1);if(E.substr(E.length-1)!=="\\"){C[1]=(C[1]||"").replace(h,"");z=s.find[A](C,F,x);if(z!=null){y=y.replace(s.match[A],"");break}}}}if(!z){z=typeof F.getElementsByTagName!=="undefined"?F.getElementsByTagName("*"):[]}return{set:z,expr:y}};k.filter=function(L,M,I,B){var z,H,N,F,J,E,C,A,K,D=L,G=[],x=M,y=M&&M[0]&&k.isXML(M[0]);while(L&&M.length){for(N in s.filter){if((z=s.leftMatch[N].exec(L))!=null&&z[2]){E=s.filter[N];C=z[1];H=false;z.splice(1,1);if(C.substr(C.length-1)==="\\"){continue}if(x===G){G=[]}if(s.preFilter[N]){z=s.preFilter[N](z,x,I,G,B,y);if(!z){H=F=true}else{if(z===true){continue}}}if(z){for(A=0;(J=x[A])!=null;A++){if(J){F=E(J,z,A,x);K=B^F;if(I&&F!=null){if(K){H=true}else{x[A]=false}}else{if(K){G.push(J);H=true}}}}}if(F!==cs){if(!I){x=G}L=L.replace(s.match[N],"");if(!H){return[]}break}}}if(L===D){if(H==null){k.error(L)}else{break}}D=L}return x};k.error=function(x){throw new Error("Syntax error, unrecognized expression: "+x)};var o=k.getText=function(x){var z,y,B=x.nodeType,A="";if(B){if(B===1||B===9||B===11){if(typeof x.textContent==="string"){return x.textContent}else{if(typeof x.innerText==="string"){return x.innerText.replace(c,"")}else{for(x=x.firstChild;x;x=x.nextSibling){A+=o(x)}}}}else{if(B===3||B===4){return x.nodeValue}}}else{for(z=0;(y=x[z]);z++){if(y.nodeType!==8){A+=o(y)}}}return A};var s=k.selectors={order:["ID","NAME","TAG"],match:{ID:/#((?:[\w\u00c0-\uFFFF\-]|\\.)+)/,CLASS:/\.((?:[\w\u00c0-\uFFFF\-]|\\.)+)/,NAME:/\[name=['"]*((?:[\w\u00c0-\uFFFF\-]|\\.)+)['"]*\]/,ATTR:/\[\s*((?:[\w\u00c0-\uFFFF\-]|\\.)+)\s*(?:(\S?=)\s*(?:(['"])(.*?)\3|(#?(?:[\w\u00c0-\uFFFF\-]|\\.)*)|)|)\s*\]/,TAG:/^((?:[\w\u00c0-\uFFFF\*\-]|\\.)+)/,CHILD:/:(only|nth|last|first)-child(?:\(\s*(even|odd|(?:[+\-]?\d+|(?:[+\-]?\d*)?n\s*(?:[+\-]\s*\d+)?))\s*\))?/,POS:/:(nth|eq|gt|lt|first|last|even|odd)(?:\((\d*)\))?(?=[^\-]|$)/,PSEUDO:/:((?:[\w\u00c0-\uFFFF\-]|\\.)+)(?:\((['"]?)((?:\([^\)]+\)|[^\(\)]*)+)\2\))?/},leftMatch:{},attrMap:{"class":"className","for":"htmlFor"},attrHandle:{href:function(x){return x.getAttribute("href")},type:function(x){return x.getAttribute("type")}},relative:{"+":function(D,A){var y=typeof A==="string",E=y&&!a.test(A),C=y&&!E;if(E){A=A.toLowerCase()}for(var z=0,B=D.length,x;z<B;z++){if((x=D[z])){while((x=x.previousSibling)&&x.nodeType!==1){}D[z]=C||x&&x.nodeName.toLowerCase()===A?x||false:x===A}}if(C){k.filter(A,D,true)}},">":function(C,A){var D,x=typeof A==="string",z=0,B=C.length;if(x&&!a.test(A)){A=A.toLowerCase();for(;z<B;z++){D=C[z];if(D){var y=D.parentNode;C[z]=y.nodeName.toLowerCase()===A?y:false}}}else{for(;z<B;z++){D=C[z];if(D){C[z]=x?D.parentNode:D.parentNode===A}}if(x){k.filter(A,C,true)}}},"":function(y,A,C){var x,z=l++,B=d;if(typeof A==="string"&&!a.test(A)){A=A.toLowerCase();x=A;B=p}B("parentNode",A,z,y,x,C)},"~":function(y,A,C){var x,z=l++,B=d;if(typeof A==="string"&&!a.test(A)){A=A.toLowerCase();x=A;B=p}B("previousSibling",A,z,y,x,C)}},find:{ID:function(z,y,x){if(typeof y.getElementById!=="undefined"&&!x){var A=y.getElementById(z[1]);return A&&A.parentNode?[A]:[]}},NAME:function(z,C){if(typeof C.getElementsByName!=="undefined"){var A=[],x=C.getElementsByName(z[1]);for(var y=0,B=x.length;y<B;y++){if(x[y].getAttribute("name")===z[1]){A.push(x[y])}}return A.length===0?null:A}},TAG:function(y,x){if(typeof x.getElementsByTagName!=="undefined"){return x.getElementsByTagName(y[1])}}},preFilter:{CLASS:function(y,A,z,C,D,B){y=" "+y[1].replace(h,"")+" ";if(B){return y}for(var x=0,E;(E=A[x])!=null;x++){if(E){if(D^(E.className&&(" "+E.className+" ").replace(/[\t\n\r]/g," ").indexOf(y)>=0)){if(!z){C.push(E)}}else{if(z){A[x]=false}}}}return false},ID:function(x){return x[1].replace(h,"")},TAG:function(x,y){return x[1].replace(h,"").toLowerCase()},CHILD:function(y){if(y[1]==="nth"){if(!y[2]){k.error(y[0])}y[2]=y[2].replace(/^\+|\s*/g,"");var x=/(-?)(\d*)(?:n([+\-]?\d*))?/.exec(y[2]==="even"&&"2n"||y[2]==="odd"&&"2n+1"||!/\D/.test(y[2])&&"0n+"+y[2]||y[2]);y[2]=(x[1]+(x[2]||1))-0;y[3]=x[3]-0}else{if(y[2]){k.error(y[0])}}y[0]=l++;return y},ATTR:function(x,A,z,B,D,C){var y=x[1]=x[1].replace(h,"");if(!C&&s.attrMap[y]){x[1]=s.attrMap[y]}x[4]=(x[4]||x[5]||"").replace(h,"");if(x[2]==="~="){x[4]=" "+x[4]+" "}return x},PSEUDO:function(x,A,z,B,C){if(x[1]==="not"){if((n.exec(x[3])||"").length>1||/^\w/.test(x[3])){x[3]=k(x[3],null,null,A)}else{var y=k.filter(x[3],A,z,true^C);if(!z){B.push.apply(B,y)}return false}}else{if(s.match.POS.test(x[0])||s.match.CHILD.test(x[0])){return true}}return x},POS:function(x){x.unshift(true);return x}},filters:{enabled:function(x){return x.disabled===false&&x.type!=="hidden"},disabled:function(x){return x.disabled===true},checked:function(x){return x.checked===true},selected:function(x){if(x.parentNode){x.parentNode.selectedIndex}return x.selected===true},parent:function(x){return !!x.firstChild},empty:function(x){return !x.firstChild},has:function(x,y,z){return !!k(z[3],x).length},header:function(x){return(/h\d/i).test(x.nodeName)},text:function(x){var z=x.getAttribute("type"),y=x.type;return x.nodeName.toLowerCase()==="input"&&"text"===y&&(z===y||z===null)},radio:function(x){return x.nodeName.toLowerCase()==="input"&&"radio"===x.type},checkbox:function(x){return x.nodeName.toLowerCase()==="input"&&"checkbox"===x.type},file:function(x){return x.nodeName.toLowerCase()==="input"&&"file"===x.type},password:function(x){return x.nodeName.toLowerCase()==="input"&&"password"===x.type},submit:function(x){var y=x.nodeName.toLowerCase();return(y==="input"||y==="button")&&"submit"===x.type},image:function(x){return x.nodeName.toLowerCase()==="input"&&"image"===x.type},reset:function(x){var y=x.nodeName.toLowerCase();return(y==="input"||y==="button")&&"reset"===x.type},button:function(x){var y=x.nodeName.toLowerCase();return y==="input"&&"button"===x.type||y==="button"},input:function(x){return(/input|select|textarea|button/i).test(x.nodeName)},focus:function(x){return x===x.ownerDocument.activeElement}},setFilters:{first:function(x,y){return y===0},last:function(y,z,A,x){return z===x.length-1},even:function(x,y){return y%2===0},odd:function(x,y){return y%2===1},lt:function(x,y,z){return y<z[3]-0},gt:function(x,y,z){return y>z[3]-0},nth:function(x,y,z){return z[3]-0===y},eq:function(x,y,z){return z[3]-0===y}},filter:{PSEUDO:function(D,y,z,x){var F=y[1],E=s.filters[F];if(E){return E(D,z,y,x)}else{if(F==="contains"){return(D.textContent||D.innerText||o([D])||"").indexOf(y[3])>=0}else{if(F==="not"){var C=y[3];for(var A=0,B=C.length;A<B;A++){if(C[A]===D){return false}}return true}else{k.error(F)}}}},CHILD:function(D,B){var C,G,z,H,F,A,x,y=B[1],E=D;switch(y){case"only":case"first":while((E=E.previousSibling)){if(E.nodeType===1){return false}}if(y==="first"){return true}E=D;case"last":while((E=E.nextSibling)){if(E.nodeType===1){return false}}return true;case"nth":C=B[2];G=B[3];if(C===1&&G===0){return true}z=B[0];H=D.parentNode;if(H&&(H[u]!==z||!D.nodeIndex)){A=0;for(E=H.firstChild;E;E=E.nextSibling){if(E.nodeType===1){E.nodeIndex=++A}}H[u]=z}x=D.nodeIndex-G;if(C===0){return x===0}else{return(x%C===0&&x/C>=0)}}},ID:function(x,y){return x.nodeType===1&&x.getAttribute("id")===y},TAG:function(x,y){return(y==="*"&&x.nodeType===1)||!!x.nodeName&&x.nodeName.toLowerCase()===y},CLASS:function(x,y){return(" "+(x.className||x.getAttribute("class"))+" ").indexOf(y)>-1},ATTR:function(D,y){var z=y[1],B=k.attr?k.attr(D,z):s.attrHandle[z]?s.attrHandle[z](D):D[z]!=null?D[z]:D.getAttribute(z),C=B+"",x=y[2],A=y[4];return B==null?x==="!=":!x&&k.attr?B!=null:x==="="?C===A:x==="*="?C.indexOf(A)>=0:x==="~="?(" "+C+" ").indexOf(A)>=0:!A?C&&B!==false:x==="!="?C!==A:x==="^="?C.indexOf(A)===0:x==="$="?C.substr(C.length-A.length)===A:x==="|="?C===A||C.substr(0,A.length+1)===A+"-":false},POS:function(x,A,z,C){var B=A[2],y=s.setFilters[B];if(y){return y(x,z,A,C)}}}};var t=s.match.POS,m=function(x,y){return"\\"+(y-0+1)};for(var i in s.match){s.match[i]=new RegExp(s.match[i].source+(/(?![^\[]*\])(?![^\(]*\))/.source));s.leftMatch[i]=new RegExp(/(^(?:.|\r|\n)*?)/.source+s.match[i].source.replace(/\\(\d+)/g,m))}s.match.globalPOS=t;var r=function(x,y){x=Array.prototype.slice.call(x,0);if(y){y.push.apply(y,x);return y}return x};try{Array.prototype.slice.call(cE.documentElement.childNodes,0)[0].nodeType}catch(b){r=function(x,y){var z=0,A=y||[];if(g.call(x)==="[object Array]"){Array.prototype.push.apply(A,x)}else{if(typeof x.length==="number"){for(var B=x.length;z<B;z++){A.push(x[z])}}else{for(;x[z];z++){A.push(x[z])}}}return A}}var j,q;if(cE.documentElement.compareDocumentPosition){j=function(x,y){if(x===y){v=true;return 0}if(!x.compareDocumentPosition||!y.compareDocumentPosition){return x.compareDocumentPosition?-1:1}return x.compareDocumentPosition(y)&4?-1:1}}else{j=function(x,y){if(x===y){v=true;return 0}else{if(x.sourceIndex&&y.sourceIndex){return x.sourceIndex-y.sourceIndex}}var A,E,D=[],F=[],B=x.parentNode,z=y.parentNode,G=B;if(B===z){return q(x,y)}else{if(!B){return -1}else{if(!z){return 1}}}while(G){D.unshift(G);G=G.parentNode}G=z;while(G){F.unshift(G);G=G.parentNode}A=D.length;E=F.length;for(var C=0;C<A&&C<E;C++){if(D[C]!==F[C]){return q(D[C],F[C])}}return C===A?q(x,F[C],-1):q(D[C],y,1)};q=function(z,A,y){if(z===A){return y}var x=z.nextSibling;while(x){if(x===A){return -1}x=x.nextSibling}return 1}}(function(){var y=cE.createElement("div"),x="script"+(new Date()).getTime(),z=cE.documentElement;y.innerHTML="<a name='"+x+"'/>";z.insertBefore(y,z.firstChild);if(cE.getElementById(x)){s.find.ID=function(A,D,C){if(typeof D.getElementById!=="undefined"&&!C){var B=D.getElementById(A[1]);return B?B.id===A[1]||typeof B.getAttributeNode!=="undefined"&&B.getAttributeNode("id").nodeValue===A[1]?[B]:cs:[]}};s.filter.ID=function(C,B){var A=typeof C.getAttributeNode!=="undefined"&&C.getAttributeNode("id");return C.nodeType===1&&A&&A.nodeValue===B}}z.removeChild(y);z=y=null})();(function(){var x=cE.createElement("div");x.appendChild(cE.createComment(""));if(x.getElementsByTagName("*").length>0){s.find.TAG=function(B,C){var y=C.getElementsByTagName(B[1]);if(B[1]==="*"){var z=[];for(var A=0;y[A];A++){if(y[A].nodeType===1){z.push(y[A])}}y=z}return y}}x.innerHTML="<a href='#'></a>";if(x.firstChild&&typeof x.firstChild.getAttribute!=="undefined"&&x.firstChild.getAttribute("href")!=="#"){s.attrHandle.href=function(y){return y.getAttribute("href",2)}}x=null})();if(cE.querySelectorAll){(function(){var A=k,x=cE.createElement("div"),y="__sizzle__";x.innerHTML="<p class='TEST'></p>";if(x.querySelectorAll&&x.querySelectorAll(".TEST").length===0){return}k=function(I,E,N,J){E=E||cE;if(!J&&!k.isXML(E)){var K=/^(\w+$)|^\.([\w\-]+$)|^#([\w\-]+$)/.exec(I);if(K&&(E.nodeType===1||E.nodeType===9)){if(K[1]){return r(E.getElementsByTagName(I),N)}else{if(K[2]&&s.find.CLASS&&E.getElementsByClassName){return r(E.getElementsByClassName(K[2]),N)}}}if(E.nodeType===9){if(I==="body"&&E.body){return r([E.body],N)}else{if(K&&K[3]){var B=E.getElementById(K[3]);if(B&&B.parentNode){if(B.id===K[3]){return r([B],N)}}else{return r([],N)}}}try{return r(E.querySelectorAll(I),N)}catch(M){}}else{if(E.nodeType===1&&E.nodeName.toLowerCase()!=="object"){var D=E,C=E.getAttribute("id"),F=C||y,G=E.parentNode,H=/^\s*[+~]/.test(I);if(!C){E.setAttribute("id",F)}else{F=F.replace(/'/g,"\\$&")}if(H&&G){E=E.parentNode}try{if(!H||G){return r(E.querySelectorAll("[id='"+F+"'] "+I),N)}}catch(L){}finally{if(!C){D.removeAttribute("id")}}}}}return A(I,E,N,J)};for(var z in A){k[z]=A[z]}x=null})()}(function(){var B=cE.documentElement,z=B.matchesSelector||B.mozMatchesSelector||B.webkitMatchesSelector||B.msMatchesSelector;if(z){var x=!z.call(cE.createElement("div"),"div"),A=false;try{z.call(cE.documentElement,"[test!='']:sizzle")}catch(y){A=true}k.matchesSelector=function(E,C){C=C.replace(/\=\s*([^'"\]]*)\s*\]/g,"='$1']");if(!k.isXML(E)){try{if(A||!s.match.PSEUDO.test(C)&&!/!=/.test(C)){var F=z.call(E,C);if(F||!x||E.document&&E.document.nodeType!==11){return F}}}catch(D){}}return k(C,null,null,[E]).length>0}}})();(function(){var x=cE.createElement("div");x.innerHTML="<div class='test e'></div><div class='test'></div>";if(!x.getElementsByClassName||x.getElementsByClassName("e").length===0){return}x.lastChild.className="e";if(x.getElementsByClassName("e").length===1){return}s.order.splice(1,0,"CLASS");s.find.CLASS=function(A,z,y){if(typeof z.getElementsByClassName!=="undefined"&&!y){return z.getElementsByClassName(A[1])}};x=null})();function p(E,z,A,G,y,x){for(var C=0,D=G.length;C<D;C++){var F=G[C];if(F){var B=false;F=F[E];while(F){if(F[u]===A){B=G[F.sizset];break}if(F.nodeType===1&&!x){F[u]=A;F.sizset=C}if(F.nodeName.toLowerCase()===z){B=F;break}F=F[E]}G[C]=B}}}function d(E,z,A,G,y,x){for(var C=0,D=G.length;C<D;C++){var F=G[C];if(F){var B=false;F=F[E];while(F){if(F[u]===A){B=G[F.sizset];break}if(F.nodeType===1){if(!x){F[u]=A;F.sizset=C}if(typeof z!=="string"){if(F===z){B=true;break}}else{if(k.filter(z,[F]).length>0){B=F;break}}}F=F[E]}G[C]=B}}}if(cE.documentElement.contains){k.contains=function(x,y){return x!==y&&(x.contains?x.contains(y):true)}}else{if(cE.documentElement.compareDocumentPosition){k.contains=function(x,y){return !!(x.compareDocumentPosition(y)&16)}}else{k.contains=function(){return false}}}k.isXML=function(y){var x=(y?y.ownerDocument||y:0).documentElement;return x?x.nodeName!=="HTML":false};var f=function(D,F,z){var A,y=[],B="",x=F.nodeType?[F]:F;while((A=s.match.PSEUDO.exec(D))){B+=A[0];D=D.replace(s.match.PSEUDO,"")}D=s.relative[D]?D+"*":D;for(var C=0,E=x.length;C<E;C++){k(D,x[C],y,z)}return k.filter(B,y)};k.attr=bS.attr;k.selectors.attrMap={};bS.find=k;bS.expr=k.selectors;bS.expr[":"]=bS.expr.filters;bS.unique=k.uniqueSort;bS.text=k.getText;bS.isXMLDoc=k.isXML;bS.contains=k.contains})();var c1=/Until$/,cM=/^(?:parents|prevUntil|prevAll)/,cm=/,/,bY=/^.[^:#\[\.,]*$/,cn=Array.prototype.slice,cx=bS.expr.match.globalPOS,cy={children:true,contents:true,next:true,prev:true};bS.fn.extend({find:function(f){var i=this,d,a;if(typeof f!=="string"){return bS(f).filter(function(){for(d=0,a=i.length;d<a;d++){if(bS.contains(i[d],this)){return true}}})}var h=this.pushStack("","find",f),g,c,b;for(d=0,a=this.length;d<a;d++){g=h.length;bS.find(f,this[d],h);if(d>0){for(c=g;c<h.length;c++){for(b=0;b<g;b++){if(h[b]===h[c]){h.splice(c--,1);break}}}}}return h},has:function(a){var b=bS(a);return this.filter(function(){for(var c=0,d=b.length;c<d;c++){if(bS.contains(this,b[c])){return true}}})},not:function(a){return this.pushStack(dl(this,a,false),"not",a)},filter:function(a){return this.pushStack(dl(this,a,true),"filter",a)},is:function(a){return !!a&&(typeof a==="string"?cx.test(a)?bS(a,this.context).index(this[0])>=0:bS.filter(a,this).length>0:this.filter(a).length>0)},closest:function(f,h){var a=[],i,d,b=this[0];if(bS.isArray(f)){var c=1;while(b&&b.ownerDocument&&b!==h){for(i=0;i<f.length;i++){if(bS(b).is(f[i])){a.push({selector:f[i],elem:b,level:c})}}b=b.parentNode;c++}return a}var g=cx.test(f)||typeof f!=="string"?bS(f,h||this.context):0;for(i=0,d=this.length;i<d;i++){b=this[i];while(b){if(g?g.index(b)>-1:bS.find.matchesSelector(b,f)){a.push(b);break}else{b=b.parentNode;if(!b||!b.ownerDocument||b===h||b.nodeType===11){break}}}}a=a.length>1?bS.unique(a):a;return this.pushStack(a,"closest",f)},index:function(a){if(!a){return(this[0]&&this[0].parentNode)?this.prevAll().length:-1}if(typeof a==="string"){return bS.inArray(this[0],bS(a))}return bS.inArray(a.jquery?a[0]:a,this)},add:function(b,a){var c=typeof b==="string"?bS(b,a):bS.makeArray(b&&b.nodeType?[b]:b),d=bS.merge(this.get(),c);return this.pushStack(cJ(c[0])||cJ(d[0])?d:bS.unique(d))},andSelf:function(){return this.add(this.prevObject)}});function cJ(a){return !a||!a.parentNode||a.parentNode.nodeType===11}bS.each({parent:function(a){var b=a.parentNode;return b&&b.nodeType!==11?b:null},parents:function(a){return bS.dir(a,"parentNode")},parentsUntil:function(a,b,c){return bS.dir(a,"parentNode",c)},next:function(a){return bS.nth(a,2,"nextSibling")},prev:function(a){return bS.nth(a,2,"previousSibling")},nextAll:function(a){return bS.dir(a,"nextSibling")},prevAll:function(a){return bS.dir(a,"previousSibling")},nextUntil:function(a,b,c){return bS.dir(a,"nextSibling",c)},prevUntil:function(a,b,c){return bS.dir(a,"previousSibling",c)},siblings:function(a){return bS.sibling((a.parentNode||{}).firstChild,a)},children:function(a){return bS.sibling(a.firstChild)},contents:function(a){return bS.nodeName(a,"iframe")?a.contentDocument||a.contentWindow.document:bS.makeArray(a.childNodes)}},function(b,a){bS.fn[b]=function(c,f){var d=bS.map(this,a,c);if(!c1.test(b)){f=c}if(f&&typeof f==="string"){d=bS.filter(f,d)}d=this.length>1&&!cy[b]?bS.unique(d):d;if((this.length>1||cm.test(f))&&cM.test(b)){d=d.reverse()}return this.pushStack(d,b,cn.call(arguments).join(","))}});bS.extend({filter:function(c,b,a){if(a){c=":not("+c+")"}return b.length===1?bS.find.matchesSelector(b[0],c)?[b[0]]:[]:bS.find.matches(c,b)},dir:function(f,a,c){var b=[],d=f[a];while(d&&d.nodeType!==9&&(c===cs||d.nodeType!==1||!bS(d).is(c))){if(d.nodeType===1){b.push(d)}d=d[a]}return b},nth:function(c,b,f,d){b=b||1;var a=0;for(;c;c=c[f]){if(c.nodeType===1&&++a===b){break}}return c},sibling:function(c,a){var b=[];for(;c;c=c.nextSibling){if(c.nodeType===1&&c!==a){b.push(c)}}return b}});function dl(c,d,b){d=d||0;if(bS.isFunction(d)){return bS.grep(c,function(f,g){var h=!!d.call(f,g,f);return h===b})}else{if(d.nodeType){return bS.grep(c,function(f,g){return(f===d)===b})}else{if(typeof d==="string"){var a=bS.grep(c,function(f){return f.nodeType===1});if(bY.test(d)){return bS.filter(d,a,!b)}else{d=bS.filter(d,a)}}}}return bS.grep(c,function(f,g){return(bS.inArray(f,d)>=0)===b})}function bV(b){var c=da.split("|"),a=b.createDocumentFragment();if(a.createElement){while(c.length){a.createElement(c.pop())}}return a}var da="abbr|article|aside|audio|bdi|canvas|data|datalist|details|figcaption|figure|footer|header|hgroup|mark|meter|nav|output|progress|section|summary|time|video",cV=/ jQuery\d+="(?:\d+|null)"/g,cL=/^\s+/,cj=/<(?!area|br|col|embed|hr|img|input|link|meta|param)(([\w:]+)[^>]*)\/>/ig,bP=/<([\w:]+)/,by=/<tbody/i,b9=/<|&#?\w+;/,cY=/<(?:script|style)/i,cp=/<(?:script|object|embed|option|style)/i,cU=new RegExp("<(?:"+da+")[\\s/>]","i"),bF=/checked\s*(?:[^=]|=\s*.checked.)/i,b0=/\/(java|ecma)script/i,de=/^\s*<!(?:\[CDATA\[|\-\-)/,cA={option:[1,"<select multiple='multiple'>","</select>"],legend:[1,"<fieldset>","</fieldset>"],thead:[1,"<table>","</table>"],tr:[2,"<table><tbody>","</tbody></table>"],td:[3,"<table><tbody><tr>","</tr></tbody></table>"],col:[2,"<table><tbody></tbody><colgroup>","</colgroup></table>"],area:[1,"<map>","</map>"],_default:[0,"",""]},c0=bV(cE);cA.optgroup=cA.option;cA.tbody=cA.tfoot=cA.colgroup=cA.caption=cA.thead;cA.th=cA.td;if(!bS.support.htmlSerialize){cA._default=[1,"div<div>","</div>"]}bS.fn.extend({text:function(a){return bS.access(this,function(b){return b===cs?bS.text(this):this.empty().append((this[0]&&this[0].ownerDocument||cE).createTextNode(b))},null,a,arguments.length)},wrapAll:function(b){if(bS.isFunction(b)){return this.each(function(c){bS(this).wrapAll(b.call(this,c))})}if(this[0]){var a=bS(b,this[0].ownerDocument).eq(0).clone(true);if(this[0].parentNode){a.insertBefore(this[0])}a.map(function(){var c=this;while(c.firstChild&&c.firstChild.nodeType===1){c=c.firstChild}return c}).append(this)}return this},wrapInner:function(a){if(bS.isFunction(a)){return this.each(function(b){bS(this).wrapInner(a.call(this,b))})}return this.each(function(){var b=bS(this),c=b.contents();if(c.length){c.wrapAll(a)}else{b.append(a)}})},wrap:function(b){var a=bS.isFunction(b);return this.each(function(c){bS(this).wrapAll(a?b.call(this,c):b)})},unwrap:function(){return this.parent().each(function(){if(!bS.nodeName(this,"body")){bS(this).replaceWith(this.childNodes)}}).end()},append:function(){return this.domManip(arguments,true,function(a){if(this.nodeType===1){this.appendChild(a)}})},prepend:function(){return this.domManip(arguments,true,function(a){if(this.nodeType===1){this.insertBefore(a,this.firstChild)}})},before:function(){if(this[0]&&this[0].parentNode){return this.domManip(arguments,false,function(b){this.parentNode.insertBefore(b,this)})}else{if(arguments.length){var a=bS.clean(arguments);a.push.apply(a,this.toArray());return this.pushStack(a,"before",arguments)}}},after:function(){if(this[0]&&this[0].parentNode){return this.domManip(arguments,false,function(b){this.parentNode.insertBefore(b,this.nextSibling)})}else{if(arguments.length){var a=this.pushStack(this,"after",arguments);a.push.apply(a,bS.clean(arguments));return a}}},remove:function(b,c){for(var a=0,d;(d=this[a])!=null;a++){if(!b||bS.filter(b,[d]).length){if(!c&&d.nodeType===1){bS.cleanData(d.getElementsByTagName("*"));bS.cleanData([d])}if(d.parentNode){d.parentNode.removeChild(d)}}}return this},empty:function(){for(var b=0,a;(a=this[b])!=null;b++){if(a.nodeType===1){bS.cleanData(a.getElementsByTagName("*"))}while(a.firstChild){a.removeChild(a.firstChild)}}return this},clone:function(a,b){a=a==null?false:a;b=b==null?a:b;return this.map(function(){return bS.clone(this,a,b)})},html:function(a){return bS.access(this,function(d){var f=this[0]||{},g=0,b=this.length;if(d===cs){return f.nodeType===1?f.innerHTML.replace(cV,""):null}if(typeof d==="string"&&!cY.test(d)&&(bS.support.leadingWhitespace||!cL.test(d))&&!cA[(bP.exec(d)||["",""])[1].toLowerCase()]){d=d.replace(cj,"<$1></$2>");try{for(;g<b;g++){f=this[g]||{};if(f.nodeType===1){bS.cleanData(f.getElementsByTagName("*"));f.innerHTML=d}}f=0}catch(c){}}if(f){this.empty().append(d)}},null,a,arguments.length)},replaceWith:function(a){if(this[0]&&this[0].parentNode){if(bS.isFunction(a)){return this.each(function(c){var d=bS(this),b=d.html();d.replaceWith(a.call(this,c,b))})}if(typeof a!=="string"){a=bS(a).detach()}return this.each(function(){var c=this.nextSibling,b=this.parentNode;bS(this).remove();if(c){bS(c).before(a)}else{bS(b).append(a)}})}else{return this.length?this.pushStack(bS(bS.isFunction(a)?a():a),"replaceWith",a):this}},detach:function(a){return this.remove(a,true)},domManip:function(a,j,k){var g,f,b,l,m=a[0],i=[];if(!bS.support.checkClone&&arguments.length===3&&typeof m==="string"&&bF.test(m)){return this.each(function(){bS(this).domManip(a,j,k,true)})}if(bS.isFunction(m)){return this.each(function(n){var o=bS(this);a[0]=m.call(this,n,j?o.html():cs);o.domManip(a,j,k)})}if(this[0]){l=m&&m.parentNode;if(bS.support.parentNode&&l&&l.nodeType===11&&l.childNodes.length===this.length){g={fragment:l}}else{g=bS.buildFragment(a,this,i)}b=g.fragment;if(b.childNodes.length===1){f=b=b.firstChild}else{f=b.firstChild}if(f){j=j&&bS.nodeName(f,"tr");for(var h=0,d=this.length,c=d-1;h<d;h++){k.call(j?cl(this[h],f):this[h],g.cacheable||(d>1&&h<c)?bS.clone(b,true,true):b)}}if(i.length){bS.each(i,function(o,n){if(n.src){bS.ajax({type:"GET",global:false,url:n.src,async:false,dataType:"script"})}else{bS.globalEval((n.text||n.textContent||n.innerHTML||"").replace(de,"/*$0*/"))}if(n.parentNode){n.parentNode.removeChild(n)}})}}return this}});function cl(b,a){return bS.nodeName(b,"table")?(b.getElementsByTagName("tbody")[0]||b.appendChild(b.ownerDocument.createElement("tbody"))):b}function bB(f,a){if(a.nodeType!==1||!bS.hasData(f)){return}var d,h,c,g=bS._data(f),b=bS._data(a,g),i=g.events;if(i){delete b.handle;b.events={};for(d in i){for(h=0,c=i[d].length;h<c;h++){bS.event.add(a,d,i[d][h])}}}if(b.data){b.data=bS.extend({},b.data)}}function cT(a,b){var c;if(b.nodeType!==1){return}if(b.clearAttributes){b.clearAttributes()}if(b.mergeAttributes){b.mergeAttributes(a)}c=b.nodeName.toLowerCase();if(c==="object"){b.outerHTML=a.outerHTML}else{if(c==="input"&&(a.type==="checkbox"||a.type==="radio")){if(a.checked){b.defaultChecked=b.checked=a.checked}if(b.value!==a.value){b.value=a.value}}else{if(c==="option"){b.selected=a.defaultSelected}else{if(c==="input"||c==="textarea"){b.defaultValue=a.defaultValue}else{if(c==="script"&&b.text!==a.text){b.text=a.text}}}}}b.removeAttribute(bS.expando);b.removeAttribute("_submit_attached");b.removeAttribute("_change_attached")}bS.buildFragment=function(b,h,a){var f,d,i,g,c=b[0];if(h&&h[0]){g=h[0].ownerDocument||h[0]}if(!g.createDocumentFragment){g=cE}if(b.length===1&&typeof c==="string"&&c.length<512&&g===cE&&c.charAt(0)==="<"&&!cp.test(c)&&(bS.support.checkClone||!bF.test(c))&&(bS.support.html5Clone||!cU.test(c))){d=true;i=bS.fragments[c];if(i&&i!==1){f=i}}if(!f){f=g.createDocumentFragment();bS.clean(b,g,f,a)}if(d){bS.fragments[c]=i?f:1}return{fragment:f,cacheable:d}};bS.fragments={};bS.each({appendTo:"append",prependTo:"prepend",insertBefore:"before",insertAfter:"after",replaceAll:"replaceWith"},function(b,a){bS.fn[b]=function(j){var d=[],c=bS(j),g=this.length===1&&this[0].parentNode;if(g&&g.nodeType===11&&g.childNodes.length===1&&c.length===1){c[a](this[0]);return this}else{for(var i=0,h=c.length;i<h;i++){var f=(i>0?this.clone(true):this).get();bS(c[i])[a](f);d=d.concat(f)}return this.pushStack(d,b,c.selector)}}});function cb(a){if(typeof a.getElementsByTagName!=="undefined"){return a.getElementsByTagName("*")}else{if(typeof a.querySelectorAll!=="undefined"){return a.querySelectorAll("*")}else{return[]}}}function cw(a){if(a.type==="checkbox"||a.type==="radio"){a.defaultChecked=a.checked}}function cF(b){var a=(b.nodeName||"").toLowerCase();if(a==="input"){cw(b)}else{if(a!=="script"&&typeof b.getElementsByTagName!=="undefined"){bS.grep(b.getElementsByTagName("input"),cw)}}}function cQ(b){var a=cE.createElement("div");c0.appendChild(a);a.innerHTML=b.outerHTML;return a.firstChild}bS.extend({clone:function(d,g,h){var c,a,f,b=bS.support.html5Clone||bS.isXMLDoc(d)||!cU.test("<"+d.nodeName+">")?d.cloneNode(true):cQ(d);if((!bS.support.noCloneEvent||!bS.support.noCloneChecked)&&(d.nodeType===1||d.nodeType===11)&&!bS.isXMLDoc(d)){cT(d,b);c=cb(d);a=cb(b);for(f=0;c[f];++f){if(a[f]){cT(c[f],a[f])}}}if(g){bB(d,b);if(h){c=cb(d);a=cb(b);for(f=0;c[f];++f){bB(c[f],a[f])}}}c=a=null;return b},clean:function(i,l,o,j){var u,k,r,g=[];l=l||cE;if(typeof l.createElement==="undefined"){l=l.ownerDocument||l[0]&&l[0].ownerDocument||cE}for(var q=0,n;(n=i[q])!=null;q++){if(typeof n==="number"){n+=""}if(!n){continue}if(typeof n==="string"){if(!b9.test(n)){n=l.createTextNode(n)}else{n=n.replace(cj,"<$1></$2>");var a=(bP.exec(n)||["",""])[1].toLowerCase(),f=cA[a]||cA._default,d=f[0],t=l.createElement("div"),c=c0.childNodes,b;if(l===cE){c0.appendChild(t)}else{bV(l).appendChild(t)}t.innerHTML=f[1]+n+f[2];while(d--){t=t.lastChild}if(!bS.support.tbody){var h=by.test(n),m=a==="table"&&!h?t.firstChild&&t.firstChild.childNodes:f[1]==="<table>"&&!h?t.childNodes:[];for(r=m.length-1;r>=0;--r){if(bS.nodeName(m[r],"tbody")&&!m[r].childNodes.length){m[r].parentNode.removeChild(m[r])}}}if(!bS.support.leadingWhitespace&&cL.test(n)){t.insertBefore(l.createTextNode(cL.exec(n)[0]),t.firstChild)}n=t.childNodes;if(t){t.parentNode.removeChild(t);if(c.length>0){b=c[c.length-1];if(b&&b.parentNode){b.parentNode.removeChild(b)}}}}}var p;if(!bS.support.appendChecked){if(n[0]&&typeof(p=n.length)==="number"){for(r=0;r<p;r++){cF(n[r])}}else{cF(n)}}if(n.nodeType){g.push(n)}else{g=bS.merge(g,n)}}if(o){u=function(v){return !v.type||b0.test(v.type)};for(q=0;g[q];q++){k=g[q];if(j&&bS.nodeName(k,"script")&&(!k.type||b0.test(k.type))){j.push(k.parentNode?k.parentNode.removeChild(k):k)}else{if(k.nodeType===1){var s=bS.grep(k.getElementsByTagName("script"),u);g.splice.apply(g,[q+1,0].concat(s))}o.appendChild(k)}}}return g},cleanData:function(i){var f,h,c=bS.cache,a=bS.event.special,b=bS.support.deleteExpando;for(var d=0,g;(g=i[d])!=null;d++){if(g.nodeName&&bS.noData[g.nodeName.toLowerCase()]){continue}h=g[bS.expando];if(h){f=c[h];if(f&&f.events){for(var j in f.events){if(a[j]){bS.event.remove(g,j)}else{bS.removeEvent(g,j,f.handle)}}if(f.handle){f.handle.elem=null}}if(b){delete g[bS.expando]}else{if(g.removeAttribute){g.removeAttribute(bS.expando)}}delete c[h]}}}});var cR=/alpha\([^)]*\)/i,cG=/opacity=([^)]*)/,bv=/([A-Z]|^ms)/g,bZ=/^[\-+]?(?:\d*\.)?\d+$/i,dC=/^-?(?:\d*\.)?\d+(?!px)[^\d\s]+$/i,cv=/^([\-+])=([\-+.\de]+)/,dp=/^margin/,du={position:"absolute",visibility:"hidden",display:"block"},cz=["Top","Right","Bottom","Left"],b2,dj,c4;bS.fn.css=function(b,a){return bS.access(this,function(d,f,c){return c!==cs?bS.style(d,f,c):bS.css(d,f)},b,a,arguments.length>1)};bS.extend({cssHooks:{opacity:{get:function(c,a){if(a){var b=b2(c,"opacity");return b===""?"1":b}else{return c.style.opacity}}}},cssNumber:{fillOpacity:true,fontWeight:true,lineHeight:true,opacity:true,orphans:true,widows:true,zIndex:true,zoom:true},cssProps:{"float":bS.support.cssFloat?"cssFloat":"styleFloat"},style:function(f,g,j,d){if(!f||f.nodeType===3||f.nodeType===8||!f.style){return}var a,k,c=bS.camelCase(g),h=f.style,i=bS.cssHooks[c];g=bS.cssProps[c]||c;if(j!==cs){k=typeof j;if(k==="string"&&(a=cv.exec(j))){j=(+(a[1]+1)*+a[2])+parseFloat(bS.css(f,g));k="number"}if(j==null||k==="number"&&isNaN(j)){return}if(k==="number"&&!bS.cssNumber[c]){j+="px"}if(!i||!("set" in i)||(j=i.set(f,j))!==cs){try{h[g]=j}catch(b){}}}else{if(i&&"get" in i&&(a=i.get(f,false,d))!==cs){return a}return h[g]}},css:function(c,d,a){var f,b;d=bS.camelCase(d);b=bS.cssHooks[d];d=bS.cssProps[d]||d;if(d==="cssFloat"){d="float"}if(b&&"get" in b&&(f=b.get(c,true,a))!==cs){return f}else{if(b2){return b2(c,d)}}},swap:function(d,f,b){var c={},g,a;for(a in f){c[a]=d.style[a];d.style[a]=f[a]}g=b.call(d);for(a in f){d.style[a]=c[a]}return g}});bS.curCSS=bS.css;if(cE.defaultView&&cE.defaultView.getComputedStyle){dj=function(g,h){var a,b,d,c,f=g.style;h=h.replace(bv,"-$1").toLowerCase();if((b=g.ownerDocument.defaultView)&&(d=b.getComputedStyle(g,null))){a=d.getPropertyValue(h);if(a===""&&!bS.contains(g.ownerDocument.documentElement,g)){a=bS.style(g,h)}}if(!bS.support.pixelMargin&&d&&dp.test(h)&&dC.test(a)){c=f.width;f.width=a;a=d.width;f.width=c}return a}}if(cE.documentElement.currentStyle){c4=function(b,h){var g,d,c,a=b.currentStyle&&b.currentStyle[h],f=b.style;if(a==null&&f&&(c=f[h])){a=c}if(dC.test(a)){g=f.left;d=b.runtimeStyle&&b.runtimeStyle.left;if(d){b.runtimeStyle.left=b.currentStyle.left}f.left=h==="fontSize"?"1em":a;a=f.pixelLeft+"px";f.left=g;if(d){b.runtimeStyle.left=d}}return a===""?"auto":a}}b2=dj||c4;function cX(d,g,a){var b=g==="width"?d.offsetWidth:d.offsetHeight,f=g==="width"?1:0,c=4;if(b>0){if(a!=="border"){for(;f<c;f+=2){if(!a){b-=parseFloat(bS.css(d,"padding"+cz[f]))||0}if(a==="margin"){b+=parseFloat(bS.css(d,a+cz[f]))||0}else{b-=parseFloat(bS.css(d,"border"+cz[f]+"Width"))||0}}}return b+"px"}b=b2(d,g);if(b<0||b==null){b=d.style[g]}if(dC.test(b)){return b}b=parseFloat(b)||0;if(a){for(;f<c;f+=2){b+=parseFloat(bS.css(d,"padding"+cz[f]))||0;if(a!=="padding"){b+=parseFloat(bS.css(d,"border"+cz[f]+"Width"))||0}if(a==="margin"){b+=parseFloat(bS.css(d,a+cz[f]))||0}}}return b+"px"}bS.each(["height","width"],function(a,b){bS.cssHooks[b]={get:function(c,d,f){if(d){if(c.offsetWidth!==0){return cX(c,b,f)}else{return bS.swap(c,du,function(){return cX(c,b,f)})}}},set:function(d,c){return bZ.test(c)?c+"px":c}}});if(!bS.support.opacity){bS.cssHooks.opacity={get:function(a,b){return cG.test((b&&a.currentStyle?a.currentStyle.filter:a.style.filter)||"")?(parseFloat(RegExp.$1)/100)+"":b?"1":""},set:function(d,b){var f=d.style,a=d.currentStyle,c=bS.isNumeric(b)?"alpha(opacity="+b*100+")":"",g=a&&a.filter||f.filter||"";f.zoom=1;if(b>=1&&bS.trim(g.replace(cR,""))===""){f.removeAttribute("filter");if(a&&!a.filter){return}}f.filter=cR.test(g)?g.replace(cR,c):g+" "+c}}}bS(function(){if(!bS.support.reliableMarginRight){bS.cssHooks.marginRight={get:function(a,b){return bS.swap(a,{display:"inline-block"},function(){if(b){return b2(a,"margin-right")}else{return a.style.marginRight}})}}}});if(bS.expr&&bS.expr.filters){bS.expr.filters.hidden=function(c){var a=c.offsetWidth,b=c.offsetHeight;return(a===0&&b===0)||(!bS.support.reliableHiddenOffsets&&((c.style&&c.style.display)||bS.css(c,"display"))==="none")};bS.expr.filters.visible=function(a){return !bS.expr.filters.hidden(a)}}bS.each({margin:"",padding:"",border:"Width"},function(b,a){bS.cssHooks[b+a]={expand:function(d){var f,c=typeof d==="string"?d.split(" "):[d],g={};for(f=0;f<4;f++){g[b+cz[f]+a]=c[f]||c[f-2]||c[0]}return g}}});var bJ=/%20/g,cN=/\[\]$/,bU=/\r?\n/g,bX=/#.*$/,dq=/^(.*?):[ \t]*([^\r\n]*)\r?$/mg,e=/^(?:color|date|datetime|datetime-local|email|hidden|month|number|password|range|search|tel|text|time|url|week)$/i,df=/^(?:about|app|app\-storage|.+\-extension|file|res|widget):$/,db=/^(?:GET|HEAD)$/,bQ=/^\/\//,cr=/\?/,dw=/<script\b[^<]*(?:(?!<\/script>)<[^<]*)*<\/script>/gi,bE=/^(?:select|textarea)/i,bM=/\s+/,bW=/([?&])_=[^&]*/,ct=/^([\w\+\.\-]+:)(?:\/\/([^\/?#:]*)(?::(\d+))?)?/,a0=bS.fn.load,c2={},bD={},dn,bC,c6=["*/"]+["*"];try{dn=b1.href}catch(cC){dn=cE.createElement("a");dn.href="";dn=dn.href}bC=ct.exec(dn.toLowerCase())||[];function bO(a){return function(g,i){if(typeof g!=="string"){i=g;g="*"}if(bS.isFunction(i)){var h=g.toLowerCase().split(bM),j=0,d=h.length,b,f,c;for(;j<d;j++){b=h[j];c=/^\+/.test(b);if(c){b=b.substr(1)||"*"}f=a[b]=a[b]||[];f[c?"unshift":"push"](i)}}}}function c5(i,j,d,k,a,g){a=a||j.dataTypes[0];g=g||{};g[a]=true;var b=i[a],h=0,c=b?b.length:0,f=(i===c2),l;for(;h<c&&(f||!l);h++){l=b[h](j,d,k);if(typeof l==="string"){if(!f||g[l]){l=cs}else{j.dataTypes.unshift(l);l=c5(i,j,d,k,l,g)}}}if((f||!l)&&!g["*"]){l=c5(i,j,d,k,"*",g)}return l}function cP(f,d){var a,c,b=bS.ajaxSettings.flatOptions||{};for(a in d){if(d[a]!==cs){(b[a]?f:(c||(c={})))[a]=d[a]}}if(c){bS.extend(true,f,c)}}bS.fn.extend({load:function(h,b,g){if(typeof h!=="string"&&a0){return a0.apply(this,arguments)}else{if(!this.length){return this}}var d=h.indexOf(" ");if(d>=0){var c=h.slice(d,h.length);h=h.slice(0,d)}var f="GET";if(b){if(bS.isFunction(b)){g=b;b=cs}else{if(typeof b==="object"){b=bS.param(b,bS.ajaxSettings.traditional);f="POST"}}}var a=this;bS.ajax({url:h,type:f,dataType:"html",data:b,complete:function(j,k,i){i=j.responseText;if(j.isResolved()){j.done(function(l){i=l});a.html(c?bS("<div>").append(i.replace(dw,"")).find(c):i)}if(g){a.each(g,[i,k,j])}}});return this},serialize:function(){return bS.param(this.serializeArray())},serializeArray:function(){return this.map(function(){return this.elements?bS.makeArray(this.elements):this}).filter(function(){return this.name&&!this.disabled&&(this.checked||bE.test(this.nodeName)||e.test(this.type))}).map(function(b,a){var c=bS(this).val();return c==null?null:bS.isArray(c)?bS.map(c,function(d,f){return{name:a.name,value:d.replace(bU,"\r\n")}}):{name:a.name,value:c.replace(bU,"\r\n")}}).get()}});bS.each("ajaxStart ajaxStop ajaxComplete ajaxError ajaxSuccess ajaxSend".split(" "),function(b,a){bS.fn[a]=function(c){return this.on(a,c)}});bS.each(["get","post"],function(b,a){bS[a]=function(g,d,c,f){if(bS.isFunction(d)){f=f||c;c=d;d=cs}return bS.ajax({type:a,url:g,data:d,success:c,dataType:f})}});bS.extend({getScript:function(b,a){return bS.get(b,cs,a,"script")},getJSON:function(b,a,c){return bS.get(b,a,c,"json")},ajaxSetup:function(a,b){if(b){cP(a,bS.ajaxSettings)}else{b=a;a=bS.ajaxSettings}cP(a,b);return a},ajaxSettings:{url:dn,isLocal:df.test(bC[1]),global:true,type:"GET",contentType:"application/x-www-form-urlencoded; charset=UTF-8",processData:true,async:true,accepts:{xml:"application/xml, text/xml",html:"text/html",text:"text/plain",json:"application/json, text/javascript","*":c6},contents:{xml:/xml/,html:/html/,json:/json/},responseFields:{xml:"responseXML",text:"responseText"},converters:{"* text":ci.String,"text html":true,"text json":bS.parseJSON,"text xml":bS.parseXML},flatOptions:{context:true,url:true}},ajaxPrefilter:bO(c2),ajaxTransport:bO(bD),ajax:function(k,o){if(typeof k==="object"){o=k;k=cs}o=o||{};var v=bS.ajaxSetup({},o),a=v.context||v,s=a!==v&&(a.nodeType||a instanceof bS)?bS(a):bS.event,b=bS.Deferred(),g=bS.Callbacks("once memory"),x=v.statusCode||{},w,q={},f={},c,m,i,u,n,y=0,p,j,l={readyState:0,setRequestHeader:function(A,z){if(!y){var B=A.toLowerCase();A=f[B]=f[B]||A;q[A]=z}return this},getAllResponseHeaders:function(){return y===2?c:null},getResponseHeader:function(z){var A;if(y===2){if(!m){m={};while((A=dq.exec(c))){m[A[1].toLowerCase()]=A[2]}}A=m[z.toLowerCase()]}return A===cs?null:A},overrideMimeType:function(z){if(!y){v.mimeType=z}return this},abort:function(z){z=z||"abort";if(i){i.abort(z)}t(0,z);return this}};function t(K,D,J,B){if(y===2){return}y=2;if(u){clearTimeout(u)}i=cs;c=B||"";l.readyState=K>0?4:0;var E,F,G,A=D,z=J?b4(v,l,J):cs,C,H;if(K>=200&&K<300||K===304){if(v.ifModified){if((C=l.getResponseHeader("Last-Modified"))){bS.lastModified[w]=C}if((H=l.getResponseHeader("Etag"))){bS.etag[w]=H}}if(K===304){A="notmodified";E=true}else{try{F=cB(v,z);A="success";E=true}catch(I){A="parsererror";G=I}}}else{G=A;if(!A||K){A="error";if(K<0){K=0}}}l.status=K;l.statusText=""+(D||A);if(E){b.resolveWith(a,[F,A,l])}else{b.rejectWith(a,[l,A,G])}l.statusCode(x);x=cs;if(p){s.trigger("ajax"+(E?"Success":"Error"),[l,v,E?F:G])}g.fireWith(a,[l,A]);if(p){s.trigger("ajaxComplete",[l,v]);if(!(--bS.active)){bS.event.trigger("ajaxStop")}}}b.promise(l);l.success=l.done;l.error=l.fail;l.complete=g.add;l.statusCode=function(z){if(z){var A;if(y<2){for(A in z){x[A]=[x[A],z[A]]}}else{A=z[l.status];l.then(A,A)}}return this};v.url=((k||v.url)+"").replace(bX,"").replace(bQ,bC[1]+"//");v.dataTypes=bS.trim(v.dataType||"*").toLowerCase().split(bM);if(v.crossDomain==null){n=ct.exec(v.url.toLowerCase());v.crossDomain=!!(n&&(n[1]!=bC[1]||n[2]!=bC[2]||(n[3]||(n[1]==="http:"?80:443))!=(bC[3]||(bC[1]==="http:"?80:443))))}if(v.data&&v.processData&&typeof v.data!=="string"){v.data=bS.param(v.data,v.traditional)}c5(c2,v,o,l);if(y===2){return false}p=v.global;v.type=v.type.toUpperCase();v.hasContent=!db.test(v.type);if(p&&bS.active++===0){bS.event.trigger("ajaxStart")}if(!v.hasContent){if(v.data){v.url+=(cr.test(v.url)?"&":"?")+v.data;delete v.data}w=v.url;if(v.cache===false){var r=bS.now(),d=v.url.replace(bW,"$1_="+r);v.url=d+((d===v.url)?(cr.test(v.url)?"&":"?")+"_="+r:"")}}if(v.data&&v.hasContent&&v.contentType!==false||o.contentType){l.setRequestHeader("Content-Type",v.contentType)}if(v.ifModified){w=w||v.url;if(bS.lastModified[w]){l.setRequestHeader("If-Modified-Since",bS.lastModified[w])}if(bS.etag[w]){l.setRequestHeader("If-None-Match",bS.etag[w])}}l.setRequestHeader("Accept",v.dataTypes[0]&&v.accepts[v.dataTypes[0]]?v.accepts[v.dataTypes[0]]+(v.dataTypes[0]!=="*"?", "+c6+"; q=0.01":""):v.accepts["*"]);for(j in v.headers){l.setRequestHeader(j,v.headers[j])}if(v.beforeSend&&(v.beforeSend.call(a,l,v)===false||y===2)){l.abort();return false}for(j in {success:1,error:1,complete:1}){l[j](v[j])}i=c5(bD,v,o,l);if(!i){t(-1,"No Transport")}else{l.readyState=1;if(p){s.trigger("ajaxSend",[l,v])}if(v.async&&v.timeout>0){u=setTimeout(function(){l.abort("timeout")},v.timeout)}try{y=1;i.send(q,t)}catch(h){if(y<2){t(-1,h)}else{throw h}}}return l},param:function(c,f){var a=[],b=function(g,h){h=bS.isFunction(h)?h():h;a[a.length]=encodeURIComponent(g)+"="+encodeURIComponent(h)};if(f===cs){f=bS.ajaxSettings.traditional}if(bS.isArray(c)||(c.jquery&&!bS.isPlainObject(c))){bS.each(c,function(){b(this.name,this.value)})}else{for(var d in c){bz(d,c[d],f,b)}}return a.join("&").replace(bJ,"+")}});function bz(f,c,a,d){if(bS.isArray(c)){bS.each(c,function(h,g){if(a||cN.test(f)){d(f,g)}else{bz(f+"["+(typeof g==="object"?h:"")+"]",g,a,d)}})}else{if(!a&&bS.type(c)==="object"){for(var b in c){bz(f+"["+b+"]",c[b],a,d)}}else{d(f,c)}}}bS.extend({active:0,lastModified:{},etag:{}});function b4(j,k,d){var i=j.contents,a=j.dataTypes,h=j.responseFields,f,b,g,c;for(b in h){if(b in d){k[h[b]]=d[b]}}while(a[0]==="*"){a.shift();if(f===cs){f=j.mimeType||k.getResponseHeader("content-type")}}if(f){for(b in i){if(i[b]&&i[b].test(f)){a.unshift(b);break}}}if(a[0] in d){g=a[0]}else{for(b in d){if(!a[0]||j.converters[b+" "+a[0]]){g=b;break}if(!c){c=b}}g=g||c}if(g){if(g!==a[0]){a.unshift(g)}return d[g]}}function cB(j,d){if(j.dataFilter){d=j.dataFilter(d,j.dataType)}var n=j.dataTypes,k={},b,m,h=n.length,a,o=n[0],g,f,l,i,c;for(b=1;b<h;b++){if(b===1){for(m in j.converters){if(typeof m==="string"){k[m.toLowerCase()]=j.converters[m]}}}g=o;o=n[b];if(o==="*"){o=g}else{if(g!=="*"&&g!==o){f=g+" "+o;l=k[f]||k["* "+o];if(!l){c=cs;for(i in k){a=i.split(" ");if(a[0]===g||a[0]==="*"){c=k[a[1]+" "+o];if(c){i=k[i];if(i===true){l=c}else{if(c===true){l=i}}break}}}}if(!(l||c)){bS.error("No conversion from "+f.replace(" "," to "))}if(l!==true){d=l?l(d):c(i(d))}}}}return d}var dr=bS.now(),bA=/(\=)\?(&|$)|\?\?/i;bS.ajaxSetup({jsonp:"callback",jsonpCallback:function(){return bS.expando+"_"+(dr++)}});bS.ajaxPrefilter("json jsonp",function(j,b,k){var g=(typeof j.data==="string")&&/^application\/x\-www\-form\-urlencoded/.test(j.contentType);if(j.dataTypes[0]==="jsonp"||j.jsonp!==false&&(bA.test(j.url)||g&&bA.test(j.data))){var a,h=j.jsonpCallback=bS.isFunction(j.jsonpCallback)?j.jsonpCallback():j.jsonpCallback,d=ci[h],c=j.url,f=j.data,i="$1"+h+"$2";if(j.jsonp!==false){c=c.replace(bA,i);if(j.url===c){if(g){f=f.replace(bA,i)}if(j.data===f){c+=(/\?/.test(c)?"&":"?")+j.jsonp+"="+h}}}j.url=c;j.data=f;ci[h]=function(l){a=[l]};k.always(function(){ci[h]=d;if(a&&bS.isFunction(d)){ci[h](a[0])}});j.converters["script json"]=function(){if(!a){bS.error(h+" was not called")}return a[0]};j.dataTypes[0]="json";return"script"}});bS.ajaxSetup({accepts:{script:"text/javascript, application/javascript, application/ecmascript, application/x-ecmascript"},contents:{script:/javascript|ecmascript/},converters:{"text script":function(a){bS.globalEval(a);return a}}});bS.ajaxPrefilter("script",function(a){if(a.cache===cs){a.cache=false}if(a.crossDomain){a.type="GET";a.global=false}});bS.ajaxTransport("script",function(c){if(c.crossDomain){var b,a=cE.head||cE.getElementsByTagName("head")[0]||cE.documentElement;return{send:function(f,d){b=cE.createElement("script");b.async="async";if(c.scriptCharset){b.charset=c.scriptCharset}b.src=c.url;b.onload=b.onreadystatechange=function(h,g){if(g||!b.readyState||/loaded|complete/.test(b.readyState)){b.onload=b.onreadystatechange=null;if(a&&b.parentNode){a.removeChild(b)}b=cs;if(!g){d(200,"success")}}};a.insertBefore(b,a.firstChild)},abort:function(){if(b){b.onload(0,1)}}}}});var cK=ci.ActiveXObject?function(){for(var a in cq){cq[a](0,1)}}:false,bw=0,cq;function dg(){try{return new ci.XMLHttpRequest()}catch(a){}}function cS(){try{return new ci.ActiveXObject("Microsoft.XMLHTTP")}catch(a){}}bS.ajaxSettings.xhr=ci.ActiveXObject?function(){return !this.isLocal&&dg()||cS()}:dg;(function(a){bS.extend(bS.support,{ajax:!!a,cors:!!a&&("withCredentials" in a)})})(bS.ajaxSettings.xhr());if(bS.support.ajax){bS.ajaxTransport(function(b){if(!b.crossDomain||bS.support.cors){var a;return{send:function(f,i){var h=b.xhr(),c,d;if(b.username){h.open(b.type,b.url,b.async,b.username,b.password)}else{h.open(b.type,b.url,b.async)}if(b.xhrFields){for(d in b.xhrFields){h[d]=b.xhrFields[d]}}if(b.mimeType&&h.overrideMimeType){h.overrideMimeType(b.mimeType)}if(!b.crossDomain&&!f["X-Requested-With"]){f["X-Requested-With"]="XMLHttpRequest"}try{for(d in f){h.setRequestHeader(d,f[d])}}catch(g){}h.send((b.hasContent&&b.data)||null);a=function(j,p){var o,q,r,l,m;try{if(a&&(p||h.readyState===4)){a=cs;if(c){h.onreadystatechange=bS.noop;if(cK){delete cq[c]}}if(p){if(h.readyState!==4){h.abort()}}else{o=h.status;r=h.getAllResponseHeaders();l={};m=h.responseXML;if(m&&m.documentElement){l.xml=m}try{l.text=h.responseText}catch(j){}try{q=h.statusText}catch(k){q=""}if(!o&&b.isLocal&&!b.crossDomain){o=l.text?200:404}else{if(o===1223){o=204}}}}}catch(n){if(!p){i(-1,n)}}if(l){i(o,q,l,r)}};if(!b.async||h.readyState===4){a()}else{c=++bw;if(cK){if(!cq){cq={};bS(ci).unload(cK)}cq[c]=a}h.onreadystatechange=a}},abort:function(){if(a){a(0,1)}}}}})}var ck={},co,bH,ds=/^(?:toggle|show|hide)$/,c8=/^([+\-]=)?([\d+.\-]+)([a-z%]*)$/i,dz,dk=[["height","marginTop","marginBottom","paddingTop","paddingBottom"],["width","marginLeft","marginRight","paddingLeft","paddingRight"],["opacity"]],dy;bS.fn.extend({show:function(g,f,b){var h,d;if(g||g===0){return this.animate(dB("show",3),g,f,b)}else{for(var a=0,c=this.length;a<c;a++){h=this[a];if(h.style){d=h.style.display;if(!bS._data(h,"olddisplay")&&d==="none"){d=h.style.display=""}if((d===""&&bS.css(h,"display")==="none")||!bS.contains(h.ownerDocument.documentElement,h)){bS._data(h,"olddisplay",bx(h.nodeName))}}}for(a=0;a<c;a++){h=this[a];if(h.style){d=h.style.display;if(d===""||d==="none"){h.style.display=bS._data(h,"olddisplay")||""}}}return this}},hide:function(g,f,b){if(g||g===0){return this.animate(dB("hide",3),g,f,b)}else{var h,d,a=0,c=this.length;for(;a<c;a++){h=this[a];if(h.style){d=bS.css(h,"display");if(d!=="none"&&!bS._data(h,"olddisplay")){bS._data(h,"olddisplay",d)}}}for(a=0;a<c;a++){if(this[a].style){this[a].style.display="none"}}return this}},_toggle:bS.fn.toggle,toggle:function(d,a,c){var b=typeof d==="boolean";if(bS.isFunction(d)&&bS.isFunction(a)){this._toggle.apply(this,arguments)}else{if(d==null||b){this.each(function(){var f=b?d:bS(this).is(":hidden");bS(this)[f?"show":"hide"]()})}else{this.animate(dB("toggle",3),d,a,c)}}return this},fadeTo:function(b,c,d,a){return this.filter(":hidden").css("opacity",0).show().end().animate({opacity:c},b,d,a)},animate:function(b,g,d,f){var c=bS.speed(g,d,f);if(bS.isEmptyObject(b)){return this.each(c.complete,[false])}b=bS.extend({},b);function a(){if(c.queue===false){bS._mark(this)}var s=bS.extend({},c),l=this.nodeType===1,n=l&&bS(this).is(":hidden"),h,q,t,m,j,r,o,u,p,k,i;s.animatedProperties={};for(t in b){h=bS.camelCase(t);if(t!==h){b[h]=b[t];delete b[t]}if((j=bS.cssHooks[h])&&"expand" in j){r=j.expand(b[h]);delete b[h];for(t in r){if(!(t in b)){b[t]=r[t]}}}}for(h in b){q=b[h];if(bS.isArray(q)){s.animatedProperties[h]=q[1];q=b[h]=q[0]}else{s.animatedProperties[h]=s.specialEasing&&s.specialEasing[h]||s.easing||"swing"}if(q==="hide"&&n||q==="show"&&!n){return s.complete.call(this)}if(l&&(h==="height"||h==="width")){s.overflow=[this.style.overflow,this.style.overflowX,this.style.overflowY];if(bS.css(this,"display")==="inline"&&bS.css(this,"float")==="none"){if(!bS.support.inlineBlockNeedsLayout||bx(this.nodeName)==="inline"){this.style.display="inline-block"}else{this.style.zoom=1}}}}if(s.overflow!=null){this.style.overflow="hidden"}for(t in b){m=new bS.fx(this,s,t);q=b[t];if(ds.test(q)){i=bS._data(this,"toggle"+t)||(q==="toggle"?n?"show":"hide":0);if(i){bS._data(this,"toggle"+t,i==="show"?"hide":"show");m[i]()}else{m[q]()}}else{o=c8.exec(q);u=m.cur();if(o){p=parseFloat(o[2]);k=o[3]||(bS.cssNumber[t]?"":"px");if(k!=="px"){bS.style(this,t,(p||1)+k);u=((p||1)/m.cur())*u;bS.style(this,t,u+k)}if(o[1]){p=((o[1]==="-="?-1:1)*p)+u}m.custom(u,p,k)}else{m.custom(u,q,"")}}}return true}return c.queue===false?this.each(a):this.queue(c.queue,a)},stop:function(c,a,b){if(typeof c!=="string"){b=a;a=c;c=cs}if(a&&c!==false){this.queue(c||"fx",[])}return this.each(function(){var i,g=false,h=bS.timers,d=bS._data(this);if(!b){bS._unmark(true,this)}function f(k,j,l){var m=j[l];bS.removeData(k,l,true);m.stop(b)}if(c==null){for(i in d){if(d[i]&&d[i].stop&&i.indexOf(".run")===i.length-4){f(this,d,i)}}}else{if(d[i=c+".run"]&&d[i].stop){f(this,d,i)}}for(i=h.length;i--;){if(h[i].elem===this&&(c==null||h[i].queue===c)){if(b){h[i](true)}else{h[i].saveState()}g=true;h.splice(i,1)}}if(!(b&&g)){bS.dequeue(this,c)}})}});function b8(){setTimeout(cH,0);return(dy=bS.now())}function cH(){dy=cs}function dB(a,b){var c={};bS.each(dk.concat.apply([],dk.slice(0,b)),function(){c[this]=a});return c}bS.each({slideDown:dB("show",1),slideUp:dB("hide",1),slideToggle:dB("toggle",1),fadeIn:{opacity:"show"},fadeOut:{opacity:"hide"},fadeToggle:{opacity:"toggle"}},function(b,a){bS.fn[b]=function(f,c,d){return this.animate(a,f,c,d)}});bS.extend({speed:function(d,c,a){var b=d&&typeof d==="object"?bS.extend({},d):{complete:a||!a&&c||bS.isFunction(d)&&d,duration:d,easing:a&&c||c&&!bS.isFunction(c)&&c};b.duration=bS.fx.off?0:typeof b.duration==="number"?b.duration:b.duration in bS.fx.speeds?bS.fx.speeds[b.duration]:bS.fx.speeds._default;if(b.queue==null||b.queue===true){b.queue="fx"}b.old=b.complete;b.complete=function(f){if(bS.isFunction(b.old)){b.old.call(this)}if(b.queue){bS.dequeue(this,b.queue)}else{if(f!==false){bS._unmark(this)}}};return b},easing:{linear:function(a){return a},swing:function(a){return(-Math.cos(a*Math.PI)/2)+0.5}},timers:[],fx:function(a,b,c){this.options=b;this.elem=a;this.prop=c;b.orig=b.orig||{}}});bS.fx.prototype={update:function(){if(this.options.step){this.options.step.call(this.elem,this.now,this)}(bS.fx.step[this.prop]||bS.fx.step._default)(this)},cur:function(){if(this.elem[this.prop]!=null&&(!this.elem.style||this.elem.style[this.prop]==null)){return this.elem[this.prop]}var b,a=bS.css(this.elem,this.prop);return isNaN(b=parseFloat(a))?!a||a==="auto"?0:a:b},custom:function(b,d,f){var c=this,g=bS.fx;this.startTime=dy||b8();this.end=d;this.now=this.start=b;this.pos=this.state=0;this.unit=f||this.unit||(bS.cssNumber[this.prop]?"":"px");function a(h){return c.step(h)}a.queue=this.options.queue;a.elem=this.elem;a.saveState=function(){if(bS._data(c.elem,"fxshow"+c.prop)===cs){if(c.options.hide){bS._data(c.elem,"fxshow"+c.prop,c.start)}else{if(c.options.show){bS._data(c.elem,"fxshow"+c.prop,c.end)}}}};if(a()&&bS.timers.push(a)&&!dz){dz=setInterval(g.tick,g.interval)}},show:function(){var a=bS._data(this.elem,"fxshow"+this.prop);this.options.orig[this.prop]=a||bS.style(this.elem,this.prop);this.options.show=true;if(a!==cs){this.custom(this.cur(),a)}else{this.custom(this.prop==="width"||this.prop==="height"?1:0,this.cur())}bS(this.elem).show()},hide:function(){this.options.orig[this.prop]=bS._data(this.elem,"fxshow"+this.prop)||bS.style(this.elem,this.prop);this.options.hide=true;this.custom(this.cur(),0)},step:function(f){var h,d,a,g=dy||b8(),c=true,b=this.elem,i=this.options;if(f||g>=i.duration+this.startTime){this.now=this.end;this.pos=this.state=1;this.update();i.animatedProperties[this.prop]=true;for(h in i.animatedProperties){if(i.animatedProperties[h]!==true){c=false}}if(c){if(i.overflow!=null&&!bS.support.shrinkWrapBlocks){bS.each(["","X","Y"],function(k,j){b.style["overflow"+j]=i.overflow[k]})}if(i.hide){bS(b).hide()}if(i.hide||i.show){for(h in i.animatedProperties){bS.style(b,h,i.orig[h]);bS.removeData(b,"fxshow"+h,true);bS.removeData(b,"toggle"+h,true)}}a=i.complete;if(a){i.complete=false;a.call(b)}}return false}else{if(i.duration==Infinity){this.now=g}else{d=g-this.startTime;this.state=d/i.duration;this.pos=bS.easing[i.animatedProperties[this.prop]](this.state,d,0,1,i.duration);this.now=this.start+((this.end-this.start)*this.pos)}this.update()}return true}};bS.extend(bS.fx,{tick:function(){var c,a=bS.timers,b=0;for(;b<a.length;b++){c=a[b];if(!c()&&a[b]===c){a.splice(b--,1)}}if(!a.length){bS.fx.stop()}},interval:13,stop:function(){clearInterval(dz);dz=null},speeds:{slow:600,fast:200,_default:400},step:{opacity:function(a){bS.style(a.elem,"opacity",a.now)},_default:function(a){if(a.elem.style&&a.elem.style[a.prop]!=null){a.elem.style[a.prop]=a.now+a.unit}else{a.elem[a.prop]=a.now}}}});bS.each(dk.concat.apply([],dk),function(b,a){if(a.indexOf("margin")){bS.fx.step[a]=function(c){bS.style(c.elem,a,Math.max(0,c.now)+c.unit)}}});if(bS.expr&&bS.expr.filters){bS.expr.filters.animated=function(a){return bS.grep(bS.timers,function(b){return a===b.elem}).length}}function bx(c){if(!ck[c]){var b=cE.body,a=bS("<"+c+">").appendTo(b),d=a.css("display");a.remove();if(d==="none"||d===""){if(!co){co=cE.createElement("iframe");co.frameBorder=co.width=co.height=0}b.appendChild(co);if(!bH||!co.createElement){bH=(co.contentWindow||co.contentDocument).document;bH.write((bS.support.boxModel?"<!doctype html>":"")+"<html><body>");bH.close()}a=bH.createElement(c);bH.body.appendChild(a);d=bS.css(a,"display");b.removeChild(co)}ck[c]=d}return ck[c]}var dv,ca=/^t(?:able|d|h)$/i,cZ=/^(?:body|html)$/i;if("getBoundingClientRect" in cE.documentElement){dv=function(d,i,g,a){try{a=d.getBoundingClientRect()}catch(k){}if(!a||!bS.contains(g,d)){return a?{top:a.top,left:a.left}:{top:0,left:0}}var n=i.body,m=dh(i),b=g.clientTop||n.clientTop||0,l=g.clientLeft||n.clientLeft||0,h=m.pageYOffset||bS.support.boxModel&&g.scrollTop||n.scrollTop,c=m.pageXOffset||bS.support.boxModel&&g.scrollLeft||n.scrollLeft,j=a.top+h-b,f=a.left+c-l;return{top:j,left:f}}}else{dv=function(d,j,g){var l,h=d.offsetParent,i=d,b=j.body,a=j.defaultView,c=a?a.getComputedStyle(d,null):d.currentStyle,k=d.offsetTop,f=d.offsetLeft;while((d=d.parentNode)&&d!==b&&d!==g){if(bS.support.fixedPosition&&c.position==="fixed"){break}l=a?a.getComputedStyle(d,null):d.currentStyle;k-=d.scrollTop;f-=d.scrollLeft;if(d===h){k+=d.offsetTop;f+=d.offsetLeft;if(bS.support.doesNotAddBorder&&!(bS.support.doesAddBorderForTableAndCells&&ca.test(d.nodeName))){k+=parseFloat(l.borderTopWidth)||0;f+=parseFloat(l.borderLeftWidth)||0}i=h;h=d.offsetParent}if(bS.support.subtractsBorderForOverflowNotVisible&&l.overflow!=="visible"){k+=parseFloat(l.borderTopWidth)||0;f+=parseFloat(l.borderLeftWidth)||0}c=l}if(c.position==="relative"||c.position==="static"){k+=b.offsetTop;f+=b.offsetLeft}if(bS.support.fixedPosition&&c.position==="fixed"){k+=Math.max(g.scrollTop,b.scrollTop);f+=Math.max(g.scrollLeft,b.scrollLeft)}return{top:k,left:f}}}bS.fn.offset=function(b){if(arguments.length){return b===cs?this:this.each(function(d){bS.offset.setOffset(this,b,d)})}var a=this[0],c=a&&a.ownerDocument;if(!c){return null}if(a===c.body){return bS.offset.bodyOffset(a)}return dv(a,c,c.documentElement)};bS.offset={bodyOffset:function(b){var c=b.offsetTop,a=b.offsetLeft;if(bS.support.doesNotIncludeMarginInBodyOffset){c+=parseFloat(bS.css(b,"marginTop"))||0;a+=parseFloat(bS.css(b,"marginLeft"))||0}return{top:c,left:a}},setOffset:function(g,j,b){var a=bS.css(g,"position");if(a==="static"){g.style.position="relative"}var d=bS(g),i=d.offset(),c=bS.css(g,"top"),l=bS.css(g,"left"),k=(a==="absolute"||a==="fixed")&&bS.inArray("auto",[c,l])>-1,m={},n={},h,f;if(k){n=d.position();h=n.top;f=n.left}else{h=parseFloat(c)||0;f=parseFloat(l)||0}if(bS.isFunction(j)){j=j.call(g,b,i)}if(j.top!=null){m.top=(j.top-i.top)+h}if(j.left!=null){m.left=(j.left-i.left)+f}if("using" in j){j.using.call(g,m)}else{d.css(m)}}};bS.fn.extend({position:function(){if(!this[0]){return null}var d=this[0],a=this.offsetParent(),c=this.offset(),b=cZ.test(a[0].nodeName)?{top:0,left:0}:a.offset();c.top-=parseFloat(bS.css(d,"marginTop"))||0;c.left-=parseFloat(bS.css(d,"marginLeft"))||0;b.top+=parseFloat(bS.css(a[0],"borderTopWidth"))||0;b.left+=parseFloat(bS.css(a[0],"borderLeftWidth"))||0;return{top:c.top-b.top,left:c.left-b.left}},offsetParent:function(){return this.map(function(){var a=this.offsetParent||cE.body;while(a&&(!cZ.test(a.nodeName)&&bS.css(a,"position")==="static")){a=a.offsetParent}return a})}});bS.each({scrollLeft:"pageXOffset",scrollTop:"pageYOffset"},function(c,a){var b=/Y/.test(a);bS.fn[c]=function(d){return bS.access(this,function(h,g,i){var f=dh(h);if(i===cs){return f?(a in f)?f[a]:bS.support.boxModel&&f.document.documentElement[g]||f.document.body[g]:h[g]}if(f){f.scrollTo(!b?i:bS(f).scrollLeft(),b?i:bS(f).scrollTop())}else{h[g]=i}},c,d,arguments.length,null)}});function dh(a){return bS.isWindow(a)?a:a.nodeType===9?a.defaultView||a.parentWindow:false}bS.each({Height:"height",Width:"width"},function(f,d){var a="client"+f,c="scroll"+f,b="offset"+f;bS.fn["inner"+f]=function(){var g=this[0];return g?g.style?parseFloat(bS.css(g,d,"padding")):this[d]():null};bS.fn["outer"+f]=function(h){var g=this[0];return g?g.style?parseFloat(bS.css(g,d,h?"margin":"border")):this[d]():null};bS.fn[d]=function(g){return bS.access(this,function(l,m,k){var i,j,h,n;if(bS.isWindow(l)){i=l.document;j=i.documentElement[a];return bS.support.boxModel&&j||i.body&&i.body[a]||j}if(l.nodeType===9){i=l.documentElement;if(i[a]>=i[c]){return i[a]}return Math.max(l.body[c],i[c],l.body[b],i[b])}if(k===cs){h=bS.css(l,m);n=parseFloat(h);return bS.isNumeric(n)?n:h}bS(l).css(m,k)},d,g,arguments.length,null)}});ci.jQuery=ci.$=bS;if(typeof define==="function"&&define.amd&&define.amd.jQuery){define("jquery",[],function(){return bS})}})(window);(function(k){var i=false;var m=[];var o={lastDebounce:null,debounceTime:1000,url:"index.php",type:"POST",guid:(function p(){function a(){return Math.floor((1+Math.random())*65536).toString(16).substring(1)}return a()+a()+"-"+a()+"-"+a()+"-"+a()+"-"+a()+a()+a()})()};var j=function(a){if(i){console.log(a.message)}if(location.origin==="file://"||location.origin==="null"||location.protocol!=="https:"){return}if(o.lastDebounce){clearTimeout(o.lastDebounce)}o.lastDebounce=setTimeout(l,o.debounceTime);if(!(a instanceof Object)){return}a=n(a);if(a){m.push(a)}else{console.error("log opts invalid")}};j.groups={reload:0,pageLoad:1,storageInit:2,IDBInit:3,IDBTransactions:4};j.emptyQueue=l;j({key:"loggerInit",group:"pageLoad",message:"Logger initialized"});function l(a){var b=JSON.parse(JSON.stringify(m));m=[];o.lastDebounce=null;a=a||function(){};if(b.length){$.ajax({url:o.url,data:{t:"log",logs:JSON.stringify(b),guid:o.guid},type:o.type,timeout:o.timeout}).complete(a)}else{a()}}function n(a){var b={};if(!(a.group in j.groups||a.message)){b=false}else{b.data={g:a.group,k:a.key||"",m:a.message,e:!!a.error,d:new Date().getTime(),s:!!a.processEnded}}return b}if(typeof define==="function"&&define.amd){define(j)}else{if(typeof module!=="undefined"&&module.exports){module.exports=j}else{k.Logger=j}}}(this));(function(){function p(C){function G(U,Q,J,W,V,H){for(;V>=0&&H>V;V+=C){var X=W?W[V]:V;J=Q(J,U[X],X,U)}return J}return function(U,Q,W,V){Q=R(Q,V,4);var J=!l(U)&&n.keys(U),X=(J||U).length,H=C>0?0:X-1;return arguments.length<3&&(W=U[J?J[H]:H],H+=C),G(U,Q,W,J,H,X)}}function w(C){return function(Q,J,H){J=D(J,H);for(var G=o(Q),U=C>0?0:G-1;U>=0&&G>U;U+=C){if(J(Q[U],U,Q)){return U}}return -1}}function t(H,G,C){return function(Q,V,U){var J=0,W=o(Q);if("number"==typeof U){H>0?J=U>=0?U:Math.max(U+W,J):W=U>=0?Math.min(U+1,W):U+W+1}else{if(C&&U&&W){return U=C(Q,V),Q[U]===V?U:-1}}if(V!==V){return U=G(m.call(Q,J,W),n.isNaN),U>=0?U+J:-1}for(U=H>0?J:W-1;U>=0&&W>U;U+=H){if(Q[U]===V){return U}}return -1}}function aa(H,U){var Q=c.length,J=H.constructor,G=n.isFunction(J)&&J.prototype||P,C="constructor";for(n.has(H,C)&&!n.contains(U,C)&&U.push(C);Q--;){C=c[Q],C in H&&H[C]!==G[C]&&!n.contains(U,C)&&U.push(C)}}var x=this,h=x._,q=Array.prototype,P=Object.prototype,S=Function.prototype,b=q.push,m=q.slice,u=P.toString,r=P.hasOwnProperty,g=Array.isArray,z=Object.keys,e=S.bind,E=Object.create,T=function(){},n=function(C){return C instanceof n?C:this instanceof n?void (this._wrapped=C):new n(C)};"undefined"!=typeof exports?("undefined"!=typeof module&&module.exports&&(exports=module.exports=n),exports._=n):x._=n,n.VERSION="1.8.3";var R=function(H,G,C){if(G===void 0){return H}switch(null==C?3:C){case 1:return function(J){return H.call(G,J)};case 2:return function(Q,J){return H.call(G,Q,J)};case 3:return function(Q,J,U){return H.call(G,Q,J,U)};case 4:return function(Q,J,V,U){return H.call(G,Q,J,V,U)}}return function(){return H.apply(G,arguments)}},D=function(H,G,C){return null==H?n.identity:n.isFunction(H)?R(H,G,C):n.isObject(H)?n.matcher(H):n.property(H)};n.iteratee=function(C,G){return D(C,G,1/0)};var O=function(C,G){return function(U){var J=arguments.length;if(2>J||null==U){return U}for(var W=1;J>W;W++){for(var V=arguments[W],H=C(V),X=H.length,Y=0;X>Y;Y++){var Q=H[Y];G&&U[Q]!==void 0||(U[Q]=V[Q])}}return U}},j=function(C){if(!n.isObject(C)){return{}}if(E){return E(C)}T.prototype=C;var G=new T;return T.prototype=null,G},A=function(C){return function(G){return null==G?void 0:G[C]}},I=Math.pow(2,53)-1,o=A("length"),l=function(C){var G=o(C);return"number"==typeof G&&G>=0&&I>=G};n.each=n.forEach=function(H,U,Q){U=R(U,Q);var J,G;if(l(H)){for(J=0,G=H.length;G>J;J++){U(H[J],J,H)}}else{var C=n.keys(H);for(J=0,G=C.length;G>J;J++){U(H[C[J]],C[J],H)}}return H},n.map=n.collect=function(G,U,Q){U=D(U,Q);for(var J=!l(G)&&n.keys(G),W=(J||G).length,V=Array(W),H=0;W>H;H++){var C=J?J[H]:H;V[H]=U(G[C],C,G)}return V},n.reduce=n.foldl=n.inject=p(1),n.reduceRight=n.foldr=p(-1),n.find=n.detect=function(H,G,C){var J;return J=l(H)?n.findIndex(H,G,C):n.findKey(H,G,C),J!==void 0&&J!==-1?H[J]:void 0},n.filter=n.select=function(H,G,C){var J=[];return G=D(G,C),n.each(H,function(Q,U,V){G(Q,U,V)&&J.push(Q)}),J},n.reject=function(H,G,C){return n.filter(H,n.negate(D(G)),C)},n.every=n.all=function(H,V,U){V=D(V,U);for(var Q=!l(H)&&n.keys(H),G=(Q||H).length,C=0;G>C;C++){var J=Q?Q[C]:C;if(!V(H[J],J,H)){return !1}}return !0},n.some=n.any=function(H,V,U){V=D(V,U);for(var Q=!l(H)&&n.keys(H),G=(Q||H).length,C=0;G>C;C++){var J=Q?Q[C]:C;if(V(H[J],J,H)){return !0}}return !1},n.contains=n.includes=n.include=function(H,G,C,J){return l(H)||(H=n.values(H)),("number"!=typeof C||J)&&(C=0),n.indexOf(H,G,C)>=0},n.invoke=function(H,G){var C=m.call(arguments,2),J=n.isFunction(G);return n.map(H,function(Q){var U=J?G:Q[G];return null==U?U:U.apply(Q,C)})},n.pluck=function(C,G){return n.map(C,n.property(G))},n.where=function(C,G){return n.filter(C,n.matcher(G))},n.findWhere=function(C,G){return n.find(C,n.matcher(G))},n.max=function(V,C,X){var Q,G,U=-1/0,W=-1/0;if(null==C&&null!=V){V=l(V)?V:n.values(V);for(var H=0,J=V.length;J>H;H++){Q=V[H],Q>U&&(U=Q)}}else{C=D(C,X),n.each(V,function(Z,Y,ab){G=C(Z,Y,ab),(G>W||G===-1/0&&U===-1/0)&&(U=Z,W=G)})}return U},n.min=function(V,C,X){var Q,G,U=1/0,W=1/0;if(null==C&&null!=V){V=l(V)?V:n.values(V);for(var H=0,J=V.length;J>H;H++){Q=V[H],U>Q&&(U=Q)}}else{C=D(C,X),n.each(V,function(Z,Y,ab){G=C(Z,Y,ab),(W>G||1/0===G&&1/0===U)&&(U=Z,W=G)})}return U},n.shuffle=function(H){for(var U,Q=l(H)?H:n.values(H),J=Q.length,G=Array(J),C=0;J>C;C++){U=n.random(0,C),U!==C&&(G[C]=G[U]),G[U]=Q[C]}return G},n.sample=function(H,G,C){return null==G||C?(l(H)||(H=n.values(H)),H[n.random(H.length-1)]):n.shuffle(H).slice(0,Math.max(0,G))},n.sortBy=function(H,G,C){return G=D(G,C),n.pluck(n.map(H,function(J,U,Q){return{value:J,index:U,criteria:G(J,U,Q)}}).sort(function(J,V){var U=J.criteria,Q=V.criteria;if(U!==Q){if(U>Q||U===void 0){return 1}if(Q>U||Q===void 0){return -1}}return J.index-V.index}),"value")};var a=function(C){return function(Q,J,H){var G={};return J=D(J,H),n.each(Q,function(V,W){var U=J(V,W,Q);C(G,V,U)}),G}};n.groupBy=a(function(H,G,C){n.has(H,C)?H[C].push(G):H[C]=[G]}),n.indexBy=a(function(H,G,C){H[C]=G}),n.countBy=a(function(H,G,C){n.has(H,C)?H[C]++:H[C]=1}),n.toArray=function(C){return C?n.isArray(C)?m.call(C):l(C)?n.map(C,n.identity):n.values(C):[]},n.size=function(C){return null==C?0:l(C)?C.length:n.keys(C).length},n.partition=function(H,C,Q){C=D(C,Q);var J=[],G=[];return n.each(H,function(U,V,W){(C(U,V,W)?J:G).push(U)}),[J,G]},n.first=n.head=n.take=function(H,G,C){return null==H?void 0:null==G||C?H[0]:n.initial(H,H.length-G)},n.initial=function(H,G,C){return m.call(H,0,Math.max(0,H.length-(null==G||C?1:G)))},n.last=function(H,G,C){return null==H?void 0:null==G||C?H[H.length-1]:n.rest(H,Math.max(0,H.length-G))},n.rest=n.tail=n.drop=function(H,G,C){return m.call(H,null==G||C?1:G)},n.compact=function(C){return n.filter(C,n.identity)};var B=function(V,Y,X,H){for(var Z=[],Q=0,W=H||0,C=o(V);C>W;W++){var G=V[W];if(l(G)&&(n.isArray(G)||n.isArguments(G))){Y||(G=B(G,Y,X));var J=0,U=G.length;for(Z.length+=U;U>J;){Z[Q++]=G[J++]}}else{X||(Z[Q++]=G)}}return Z};n.flatten=function(C,G){return B(C,G,!1)},n.without=function(C){return n.difference(C,m.call(arguments,1))},n.uniq=n.unique=function(W,C,Y,Q){n.isBoolean(C)||(Q=Y,Y=C,C=!1),null!=Y&&(Y=D(Y,Q));for(var G=[],V=[],X=0,H=o(W);H>X;X++){var J=W[X],U=Y?Y(J,X,W):J;C?(X&&V===U||G.push(J),V=U):Y?n.contains(V,U)||(V.push(U),G.push(J)):n.contains(G,J)||G.push(J)}return G},n.union=function(){return n.uniq(B(arguments,!0,!0))},n.intersection=function(H){for(var V=[],U=arguments.length,Q=0,G=o(H);G>Q;Q++){var C=H[Q];if(!n.contains(V,C)){for(var J=1;U>J&&n.contains(arguments[J],C);J++){}J===U&&V.push(C)}}return V},n.difference=function(C){var G=B(arguments,!0,!0,1);return n.filter(C,function(H){return !n.contains(G,H)})},n.zip=function(){return n.unzip(arguments)},n.unzip=function(H){for(var G=H&&n.max(H,o).length||0,C=Array(G),J=0;G>J;J++){C[J]=n.pluck(H,J)}return C},n.object=function(H,C){for(var Q={},J=0,G=o(H);G>J;J++){C?Q[H[J]]=C[J]:Q[H[J][0]]=H[J][1]}return Q},n.findIndex=w(1),n.findLastIndex=w(-1),n.sortedIndex=function(G,U,Q,J){Q=D(Q,J,1);for(var W=Q(U),V=0,H=o(G);H>V;){var C=Math.floor((V+H)/2);Q(G[C])<W?V=C+1:H=C}return V},n.indexOf=t(1,n.findIndex,n.sortedIndex),n.lastIndexOf=t(-1,n.findLastIndex),n.range=function(H,U,Q){null==U&&(U=H||0,H=0),Q=Q||1;for(var J=Math.max(Math.ceil((U-H)/Q),0),G=Array(J),C=0;J>C;C++,H+=Q){G[C]=H}return G};var N=function(H,V,U,Q,G){if(!(Q instanceof V)){return H.apply(U,G)}var C=j(H.prototype),J=H.apply(C,G);return n.isObject(J)?J:C};n.bind=function(H,G){if(e&&H.bind===e){return e.apply(H,m.call(arguments,1))}if(!n.isFunction(H)){throw new TypeError("Bind must be called on a function")}var C=m.call(arguments,2),J=function(){return N(H,J,G,this,C.concat(m.call(arguments)))};return J},n.partial=function(H){var G=m.call(arguments,1),C=function(){for(var Q=0,V=G.length,U=Array(V),J=0;V>J;J++){U[J]=G[J]===n?arguments[Q++]:G[J]}for(;Q<arguments.length;){U.push(arguments[Q++])}return N(H,C,this,this,U)};return C},n.bindAll=function(H){var G,C,J=arguments.length;if(1>=J){throw new Error("bindAll must be passed function names")}for(G=1;J>G;G++){C=arguments[G],H[C]=n.bind(H[C],H)}return H},n.memoize=function(H,G){var C=function(J){var U=C.cache,Q=""+(G?G.apply(this,arguments):J);return n.has(U,Q)||(U[Q]=H.apply(this,arguments)),U[Q]};return C.cache={},C},n.delay=function(H,G){var C=m.call(arguments,2);return setTimeout(function(){return H.apply(null,C)},G)},n.defer=n.partial(n.delay,n,1),n.throttle=function(V,C,X){var Q,G,U,W=null,H=0;X||(X={});var J=function(){H=X.leading===!1?0:n.now(),W=null,U=V.apply(Q,G),W||(Q=G=null)};return function(){var Z=n.now();H||X.leading!==!1||(H=Z);var Y=C-(Z-H);return Q=this,G=arguments,0>=Y||Y>C?(W&&(clearTimeout(W),W=null),H=Z,U=V.apply(Q,G),W||(Q=G=null)):W||X.trailing===!1||(W=setTimeout(J,Y)),U}},n.debounce=function(V,C,X){var Q,G,U,W,H,J=function(){var Y=n.now()-W;C>Y&&Y>=0?Q=setTimeout(J,C-Y):(Q=null,X||(H=V.apply(U,G),Q||(U=G=null)))};return function(){U=this,G=arguments,W=n.now();var Y=X&&!Q;return Q||(Q=setTimeout(J,C)),Y&&(H=V.apply(U,G),U=G=null),H}},n.wrap=function(C,G){return n.partial(G,C)},n.negate=function(C){return function(){return !C.apply(this,arguments)}},n.compose=function(){var C=arguments,G=C.length-1;return function(){for(var J=G,H=C[G].apply(this,arguments);J--;){H=C[J].call(this,H)}return H}},n.after=function(C,G){return function(){return --C<1?G.apply(this,arguments):void 0}},n.before=function(H,G){var C;return function(){return --H>0&&(C=G.apply(this,arguments)),1>=H&&(G=null),C}},n.once=n.partial(n.before,2);var i=!{toString:null}.propertyIsEnumerable("toString"),c=["valueOf","isPrototypeOf","toString","propertyIsEnumerable","hasOwnProperty","toLocaleString"];n.keys=function(H){if(!n.isObject(H)){return[]}if(z){return z(H)}var G=[];for(var C in H){n.has(H,C)&&G.push(C)}return i&&aa(H,G),G},n.allKeys=function(H){if(!n.isObject(H)){return[]}var G=[];for(var C in H){G.push(C)}return i&&aa(H,G),G},n.values=function(H){for(var C=n.keys(H),Q=C.length,J=Array(Q),G=0;Q>G;G++){J[G]=H[C[G]]}return J},n.mapObject=function(G,U,Q){U=D(U,Q);for(var J,W=n.keys(G),V=W.length,H={},C=0;V>C;C++){J=W[C],H[J]=U(G[J],J,G)}return H},n.pairs=function(H){for(var C=n.keys(H),Q=C.length,J=Array(Q),G=0;Q>G;G++){J[G]=[C[G],H[C[G]]]}return J},n.invert=function(H){for(var C={},Q=n.keys(H),J=0,G=Q.length;G>J;J++){C[H[Q[J]]]=Q[J]}return C},n.functions=n.methods=function(H){var G=[];for(var C in H){n.isFunction(H[C])&&G.push(C)}return G.sort()},n.extend=O(n.allKeys),n.extendOwn=n.assign=O(n.keys),n.findKey=function(H,V,U){V=D(V,U);for(var Q,G=n.keys(H),C=0,J=G.length;J>C;C++){if(Q=G[C],V(H[Q],Q,H)){return Q}}},n.pick=function(V,Y,X){var H,Z,Q={},W=V;if(null==W){return Q}n.isFunction(Y)?(Z=n.allKeys(W),H=R(Y,X)):(Z=B(arguments,!1,!1,1),H=function(ac,ab,ad){return ab in ad},W=Object(W));for(var C=0,G=Z.length;G>C;C++){var J=Z[C],U=W[J];H(U,J,W)&&(Q[J]=U)}return Q},n.omit=function(H,G,C){if(n.isFunction(G)){G=n.negate(G)}else{var J=n.map(B(arguments,!1,!1,1),String);G=function(Q,U){return !n.contains(J,U)}}return n.pick(H,G,C)},n.defaults=O(n.allKeys,!0),n.create=function(H,G){var C=j(H);return G&&n.extendOwn(C,G),C},n.clone=function(C){return n.isObject(C)?n.isArray(C)?C.slice():n.extend({},C):C},n.tap=function(C,G){return G(C),C},n.isMatch=function(H,V){var U=n.keys(V),Q=U.length;if(null==H){return !Q}for(var G=Object(H),C=0;Q>C;C++){var J=U[C];if(V[J]!==G[J]||!(J in G)){return !1}}return !0};var k=function(V,Y,X,H){if(V===Y){return 0!==V||1/V===1/Y}if(null==V||null==Y){return V===Y}V instanceof n&&(V=V._wrapped),Y instanceof n&&(Y=Y._wrapped);var Z=u.call(V);if(Z!==u.call(Y)){return !1}switch(Z){case"[object RegExp]":case"[object String]":return""+V==""+Y;case"[object Number]":return +V!==+V?+Y!==+Y:0===+V?1/+V===1/Y:+V===+Y;case"[object Date]":case"[object Boolean]":return +V===+Y}var Q="[object Array]"===Z;if(!Q){if("object"!=typeof V||"object"!=typeof Y){return !1}var W=V.constructor,C=Y.constructor;if(W!==C&&!(n.isFunction(W)&&W instanceof W&&n.isFunction(C)&&C instanceof C)&&"constructor" in V&&"constructor" in Y){return !1}}X=X||[],H=H||[];for(var G=X.length;G--;){if(X[G]===V){return H[G]===Y}}if(X.push(V),H.push(Y),Q){if(G=V.length,G!==Y.length){return !1}for(;G--;){if(!k(V[G],Y[G],X,H)){return !1}}}else{var J,U=n.keys(V);if(G=U.length,n.keys(Y).length!==G){return !1}for(;G--;){if(J=U[G],!n.has(Y,J)||!k(V[J],Y[J],X,H)){return !1}}}return X.pop(),H.pop(),!0};n.isEqual=function(C,G){return k(C,G)},n.isEmpty=function(C){return null==C?!0:l(C)&&(n.isArray(C)||n.isString(C)||n.isArguments(C))?0===C.length:0===n.keys(C).length},n.isElement=function(C){return !(!C||1!==C.nodeType)},n.isArray=g||function(C){return"[object Array]"===u.call(C)},n.isObject=function(C){var G=typeof C;return"function"===G||"object"===G&&!!C},n.each(["Arguments","Function","String","Number","Date","RegExp","Error"],function(C){n["is"+C]=function(G){return u.call(G)==="[object "+C+"]"}}),n.isArguments(arguments)||(n.isArguments=function(C){return n.has(C,"callee")}),"function"!=typeof/./&&"object"!=typeof Int8Array&&(n.isFunction=function(C){return"function"==typeof C||!1}),n.isFinite=function(C){return isFinite(C)&&!isNaN(parseFloat(C))},n.isNaN=function(C){return n.isNumber(C)&&C!==+C},n.isBoolean=function(C){return C===!0||C===!1||"[object Boolean]"===u.call(C)},n.isNull=function(C){return null===C},n.isUndefined=function(C){return C===void 0},n.has=function(C,G){return null!=C&&r.call(C,G)},n.noConflict=function(){return x._=h,this},n.identity=function(C){return C},n.constant=function(C){return function(){return C}},n.noop=function(){},n.property=A,n.propertyOf=function(C){return null==C?function(){}:function(G){return C[G]}},n.matcher=n.matches=function(C){return C=n.extendOwn({},C),function(G){return n.isMatch(G,C)}},n.times=function(H,C,Q){var J=Array(Math.max(0,H));C=R(C,Q,1);for(var G=0;H>G;G++){J[G]=C(G)}return J},n.random=function(C,G){return null==G&&(G=C,C=0),C+Math.floor(Math.random()*(G-C+1))},n.now=Date.now||function(){return(new Date).getTime()};var L={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},K=n.invert(L),y=function(H){var C=function(U){return H[U]},Q="(?:"+n.keys(H).join("|")+")",J=RegExp(Q),G=RegExp(Q,"g");return function(U){return U=null==U?"":""+U,J.test(U)?U.replace(G,C):U}};n.escape=y(L),n.unescape=y(K),n.result=function(H,G,C){var J=null==H?void 0:H[G];return J===void 0&&(J=C),n.isFunction(J)?J.call(H):J};var s=0;n.uniqueId=function(C){var G=++s+"";return C?C+G:G},n.templateSettings={evaluate:/<%([\s\S]+?)%>/g,interpolate:/<%=([\s\S]+?)%>/g,escape:/<%-([\s\S]+?)%>/g};var d=/(.)^/,F={"'":"'","\\":"\\","\r":"r","\n":"n","\u2028":"u2028","\u2029":"u2029"},M=/\\|'|\r|\n|\u2028|\u2029/g,f=function(C){return"\\"+F[C]};n.template=function(W,C,Y){!C&&Y&&(C=Y),C=n.defaults({},C,n.templateSettings);var Q=RegExp([(C.escape||d).source,(C.interpolate||d).source,(C.evaluate||d).source].join("|")+"|$","g"),G=0,V="__p+='";W.replace(Q,function(ac,Z,ae,ab,ad){return V+=W.slice(G,ad).replace(M,f),G=ad+ac.length,Z?V+="'+\n((__t=("+Z+"))==null?'':_.escape(__t))+\n'":ae?V+="'+\n((__t=("+ae+"))==null?'':__t)+\n'":ab&&(V+="';\n"+ab+"\n__p+='"),ac}),V+="';\n",C.variable||(V="with(obj||{}){\n"+V+"}\n"),V="var __t,__p='',__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,'');};\n"+V+"return __p;\n";try{var X=new Function(C.variable||"obj","_",V)}catch(H){throw H.source=V,H}var J=function(Z){return X.call(this,Z,n)},U=C.variable||"obj";return J.source="function("+U+"){\n"+V+"}",J},n.chain=function(C){var G=n(C);return G._chain=!0,G};var v=function(C,G){return C._chain?n(G).chain():G};n.mixin=function(C){n.each(n.functions(C),function(G){var H=n[G]=C[G];n.prototype[G]=function(){var J=[this._wrapped];return b.apply(J,arguments),v(this,H.apply(n,J))}})},n.mixin(n),n.each(["pop","push","reverse","shift","sort","splice","unshift"],function(C){var G=q[C];n.prototype[C]=function(){var H=this._wrapped;return G.apply(H,arguments),"shift"!==C&&"splice"!==C||0!==H.length||delete H[0],v(this,H)}}),n.each(["concat","join","slice"],function(C){var G=q[C];n.prototype[C]=function(){return v(this,G.apply(this._wrapped,arguments))}}),n.prototype.value=function(){return this._wrapped},n.prototype.valueOf=n.prototype.toJSON=n.prototype.value,n.prototype.toString=function(){return""+this._wrapped},"function"==typeof define&&define.amd&&define("underscore",[],function(){return n})}).call(this);
/*!
 * Tiny Scrollbar 1.65
 * http://www.baijs.nl/tinyscrollbar/
 *
 * Copyright 2010, Maarten Baijs
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.opensource.org/licenses/gpl-2.0.php
 *
 * Date: 10 / 05 / 2011
 * Depends on library: jQuery
 *
 * this source has been modified!!!!
 */
;(function(a){if(typeof define==="function"&&define.amd){define(["jquery"],a)}else{if(typeof exports==="object"){module.exports=a(require("jquery"))}else{a(jQuery)}}}(function(c){var b="tinyscrollbar",d={axis:"y",wheel:true,wheelSpeed:40,wheelLock:true,touchLock:true,trackSize:false,thumbSize:false,thumbSizeMin:20};function a(t,g){this.options=c.extend({},d,g);this._defaults=d;this._name=b;function h(D,E){var C=D.children(),F=C.filter(E).first();if(F.length==0){C.each(function(G,H){F=h(c(H),E);return F.length==0})}return F}var r=this,f=h(t,".viewport"),w=h(t,".overview"),u=h(t,".scrollbar"),i=h(u,".track"),o=h(u,".thumb"),A=("ontouchstart" in document.documentElement),x="onwheel" in document.createElement("div")?"wheel":document.onmousewheel!==undefined?"mousewheel":"DOMMouseScroll",k=this.options.axis==="x",l=k?"width":"height",m=k?"left":"top",z=0;this.contentPosition=0;this.viewportSize=0;this.contentSize=0;this.contentRatio=0;this.trackSize=0;this.trackRatio=0;this.thumbSize=0;this.thumbPosition=0;this.hasContentToSroll=false;function B(){r.update();e();return r}this.update=function(C){w=t.find(".overview");var D=l.charAt(0).toUpperCase()+l.slice(1).toLowerCase();this.viewportSize=f[0]["offset"+D];this.contentSize=w[0]["scroll"+D];this.contentRatio=this.viewportSize/this.contentSize;this.trackSize=this.options.trackSize||this.viewportSize;this.thumbSize=Math.min(this.trackSize,Math.max(this.options.thumbSizeMin,(this.options.thumbSize||(this.trackSize*this.contentRatio))));this.trackRatio=(this.contentSize-this.viewportSize)/(this.trackSize-this.thumbSize);this.hasContentToSroll=this.contentRatio<1;u.toggleClass("disable",!this.hasContentToSroll);switch(C){case"bottom":this.contentPosition=Math.max(this.contentSize-this.viewportSize,0);break;case"relative":this.contentPosition=Math.min(Math.max(this.contentSize-this.viewportSize,0),Math.max(0,this.contentPosition));break;default:this.contentPosition=parseInt(C,10)||0}this.thumbPosition=this.contentPosition/this.trackRatio;y();return r};function y(){o.css(m,r.thumbPosition);w.css(m,-r.contentPosition);u.css(l,r.trackSize);i.css(l,r.trackSize);o.css(l,r.thumbSize)}function e(){if(A){f[0].ontouchstart=function(C){if(1===C.touches.length){C.stopPropagation();v(C.touches[0])}}}else{o.bind("mousedown",function(C){C.stopPropagation();v(C)});i.bind("mousedown",function(C){v(C,true)})}c(window).resize(function(){r.update("relative")});if(r.options.wheel&&window.addEventListener){t[0].addEventListener(x,p,false)}else{if(r.options.wheel){t[0].onmousewheel=p}}}function q(){return r.contentPosition>0}function s(){return r.contentPosition<=(r.contentSize-r.viewportSize)-5}function v(D,C){if(r.hasContentToSroll){c("body").addClass("noSelect");z=C?o.offset()[m]:(k?D.pageX:D.pageY);if(A){document.ontouchmove=function(E){if(r.options.touchLock||q()&&s()){E.preventDefault()}n(E.touches[0])};document.ontouchend=j}else{c(document).bind("mousemove",n);c(document).bind("mouseup",j);o.bind("mouseup",j);i.bind("mouseup",j)}n(D)}}function p(E){if(r.hasContentToSroll){var D=E||window.event,F=-(D.deltaY||D.detail||(-1/3*D.wheelDelta))/40,C=(D.deltaMode===1)?r.options.wheelSpeed:1;r.contentPosition-=F*C*r.options.wheelSpeed;r.contentPosition=Math.min((r.contentSize-r.viewportSize),Math.max(0,r.contentPosition));r.thumbPosition=r.contentPosition/r.trackRatio;t.trigger("move");o.css(m,r.thumbPosition);w.css(m,-r.contentPosition);if(r.options.wheelLock||q()&&s()){D=c.event.fix(D);D.preventDefault()}E.stopPropagation()}}function n(E){if(r.hasContentToSroll){var C=k?E.pageX:E.pageY,F=A?(z-C):(C-z),D=Math.min((r.trackSize-r.thumbSize),Math.max(0,r.thumbPosition+F));r.contentPosition=D*r.trackRatio;t.trigger("move");o.css(m,D);w.css(m,-r.contentPosition)}}function j(){r.thumbPosition=parseInt(o.css(m),10)||0;c("body").removeClass("noSelect");c(document).unbind("mousemove",n);c(document).unbind("mouseup",j);o.unbind("mouseup",j);i.unbind("mouseup",j);document.ontouchmove=document.ontouchend=null}return B()}c.fn[b]=function(e){return this.each(function(){if(!c.data(this,"plugin_"+b)){c.data(this,"plugin_"+b,new a(c(this),e))}})}}));
/*!
 * jQuery Templates Plugin 1.0.0pre
 * http://github.com/jquery/jquery-tmpl
 * Requires jQuery 1.4.2
 *
 * Copyright 2011, Software Freedom Conservancy, Inc.
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 */
(function(R,U){var G=R.fn.domManip,S="_tmplitem",F=/^[^<]*(<[\w\W]+>)[^>]*$|\{\{\! /,K={},V={},B,C={key:0,data:{}},D=0,J=0,T=[];function P(e,a,c,b){var d={data:b||(b===0||b===false)?b:(a?a.data:{}),_wrap:a?a._wrap:null,tmpl:null,parent:a||null,nodes:[],calls:X,nest:Y,wrap:M,html:I,update:A};if(e){R.extend(d,e,{nodes:[],parent:a})}if(c){d.tmpl=c;d._ctnt=d._ctnt||d.tmpl(R,d);d.key=++D;(T.length?V:K)[D]=d}return d}R.each({appendTo:"append",prependTo:"prepend",insertBefore:"before",insertAfter:"after",replaceAll:"replaceWith"},function(a,b){R.fn[a]=function(j){var g=[],d=R(j),h,f,i,c,e=this.length===1&&this[0].parentNode;B=K||{};if(e&&e.nodeType===11&&e.childNodes.length===1&&d.length===1){d[b](this[0]);g=this}else{for(f=0,i=d.length;f<i;f++){J=f;h=(f>0?this.clone(true):this).get();R(d[f])[b](h);g=g.concat(h)}J=0;g=this.pushStack(g,a,d.selector)}c=B;B=null;R.tmpl.complete(c);return g}});R.fn.extend({tmpl:function(b,c,a){return R.tmpl(this[0],b,c,a)},tmplItem:function(){return R.tmplItem(this[0])},template:function(a){return R.template(a,this[0])},domManip:function(i,f,g,e){if(i[0]&&R.isArray(i[0])){var c=R.makeArray(arguments),d=i[0],h=d.length,b=0,a;while(b<h&&!(a=R.data(d[b++],"tmplItem"))){}if(a&&J){c[2]=function(j){R.tmpl.afterManip(this,j,g)}}G.apply(this,c)}else{G.apply(this,arguments)}J=0;if(!B){R.tmpl.complete(K)}return this}});R.extend({tmpl:function(e,b,c,f){var d,a=!f;if(a){f=C;e=R.template[e]||R.template(null,e);V={}}else{if(!e){e=f.tmpl;K[f.key]=f;f.nodes=[];if(f.wrapped){H(f,f.wrapped)}return R(N(f,null,f.tmpl(R,f)))}}if(!e){return[]}if(typeof b==="function"){b=b.call(f||{})}if(c&&c.wrapped){H(c,c.wrapped)}d=R.isArray(b)?R.map(b,function(g){return g?P(c,f,e,g):null}):[P(c,f,e,b)];return a?R(N(f,null,d)):d},tmplItem:function(b){var a;if(b instanceof R){b=b[0]}while(b&&b.nodeType===1&&!(a=R.data(b,"tmplItem"))&&(b=b.parentNode)){}return a||C},template:function(b,a){if(a){if(typeof a==="string"){a=O(a)}else{if(a instanceof R){a=a[0]||{}}}if(a.nodeType){a=R.data(a,"tmpl")||R.data(a,"tmpl",O(a.innerHTML))}return typeof b==="string"?(R.template[b]=a):a}return b?(typeof b!=="string"?R.template(null,b):(R.template[b]||R.template(null,F.test(b)?b:R(b)))):null},encode:function(a){if(typeof a==="object"){return""}else{return(""+a).split("<").join("&lt;").split(">").join("&gt;").split('"').join("&#34;").split("'").join("&#39;")}}});R.extend(R.tmpl,{tag:{tmpl:{_default:{$2:"null"},open:"if($notnull_1){__=__.concat($item.nest($1,$2));}"},wrap:{_default:{$2:"null"},open:"$item.calls(__,$1,$2);__=[];",close:"call=$item.calls();__=call._.concat($item.wrap(call,__));"},each:{_default:{$2:"$index, $value"},open:"if($notnull_1){$.each($1a,function($2){with(this){",close:"}});}"},"if":{open:"if(($notnull_1) && $1a){",close:"}"},"else":{_default:{$1:"true"},open:"}else if(($notnull_1) && $1a){"},html:{open:"if($notnull_1){__.push($1a);}"},"=":{_default:{$1:"$data"},open:"if($notnull_1){__.push($.encode($1a));}"},"!":{open:""}},complete:function(a){K={}},afterManip:function E(c,a,b){var d=a.nodeType===11?R.makeArray(a.childNodes):a.nodeType===1?[a]:[];b.call(c,a);L(d);J++}});function N(a,b,d){var c,e=d?R.map(d,function(f){return(typeof f==="string")?(a.key?f.replace(/(<\w+)(?=[\s>])(?![^>]*_tmplitem)([^>]*)/g,"$1 "+S+'="'+a.key+'" $2'):f):N(f,a,f._ctnt)}):a;if(b){return e}e=e.join("");e.replace(/^\s*([^<\s][^<]*)?(<[\w\W]+>)([^>]*[^>\s])?\s*$/,function(h,g,i,f){c=R(i).get();L(c);if(g){c=Z(g).concat(c)}if(f){c=c.concat(Z(f))}});return c?c:Z(e)}function Z(b){var a=document.createElement("div");a.innerHTML=b;return R.makeArray(a.childNodes)}function O(a){return new Function("jQuery","$item","var $=jQuery,call,__=[],$data=$item.data;with($data){__.push('"+R.trim(a).replace(/([\\'])/g,"\\$1").replace(/[\r\t\n]/g," ").replace(/\$\{([^\}]*)\}/g,"{{= $1}}").replace(/\{\{(\/?)(\w+|.)(?:\(((?:[^\}]|\}(?!\}))*?)?\))?(?:\s+(.*?)?)?(\(((?:[^\}]|\}(?!\}))*?)\))?\s*\}\}/g,function(h,c,j,b,l,g,k){var e=R.tmpl.tag[j],d,i,f;if(!e){throw"Unknown template tag: "+j}d=e._default||[];if(g&&!/\w$/.test(l)){l+=g;g=""}if(l){l=Q(l);k=k?(","+Q(k)+")"):(g?")":"");i=g?(l.indexOf(".")>-1?l+Q(g):("("+l+").call($item"+k)):l;f=g?i:"(typeof("+l+")==='function'?("+l+").call($item):("+l+"))"}else{f=i=d.$1||"null"}b=Q(b);return"');"+e[c?"close":"open"].split("$notnull_1").join(l?"typeof("+l+")!=='undefined' && ("+l+")!=null":"true").split("$1a").join(f).split("$1").join(i).split("$2").join(b||d.$2||"")+"__.push('"})+"');}return __;")}function H(b,a){b._wrap=N(b,true,R.isArray(a)?a:[F.test(a)?a:R(a).html()]).join("")}function Q(a){return a?a.replace(/\\'/g,"'").replace(/\\\\/g,"\\"):null}function W(a){var b=document.createElement("div");b.appendChild(a.cloneNode(true));return b.innerHTML}function L(g){var e="_"+J,c,d,i={},h,a,b;for(h=0,a=g.length;h<a;h++){if((c=g[h]).nodeType!==1){continue}d=c.getElementsByTagName("*");for(b=d.length-1;b>=0;b--){f(d[b])}f(c)}function f(n){var j,o=n,p,l,k;if((k=n.getAttribute(S))){while(o.parentNode&&(o=o.parentNode).nodeType===1&&!(j=o.getAttribute(S))){}if(j!==k){o=o.parentNode?(o.nodeType===11?0:(o.getAttribute(S)||0)):0;if(!(l=K[k])){l=V[k];l=P(l,K[o]||V[o]);l.key=++D;K[D]=l}if(J){m(k)}}n.removeAttribute(S)}else{if(J&&(l=R.data(n,"tmplItem"))){m(l.key);K[l.key]=l;o=R.data(n.parentNode,"tmplItem");o=o?o.key:0}}if(l){p=l;while(p&&p.key!=o){p.nodes.push(n);p=p.parent}delete l._ctnt;delete l._wrap;R.data(n,"tmplItem",l)}function m(q){q=q+e;l=i[q]=(i[q]||P(l,K[l.parent.key+e]||l.parent))}}}function X(c,a,b,d){if(!c){return T.pop()}T.push({_:c,tmpl:a,item:this,data:b,options:d})}function Y(a,b,c){return R.tmpl(R.template(a),b,c,this)}function M(b,a){var c=b.options||{};c.wrapped=a;return R.tmpl(R.template(b.tmpl),b.data,c,b.item)}function I(c,b){var a=this._wrap;return R.map(R(R.isArray(a)?a.join(""):a).filter(c||"*"),function(d){return b?d.innerText||d.textContent:d.outerHTML||W(d)})}function A(){var a=this.nodes;R.tmpl(null,null,null,this).insertBefore(a[0]);R(a).remove()}})(jQuery);(function(e,f,d){if(typeof define==="function"&&define.amd){define(["jquery"],function(a){d(a,e,f);return a.mobile})}else{d(e.jQuery,e,f)}}(this,document,function(h,e,f,g){(function(b,c,a){var d={};b.mobile=b.extend({},{version:"1.2.0",ns:"",subPageUrlKey:"ui-page",activePageClass:"ui-page-active",activeBtnClass:"ui-btn-active",focusClass:"ui-focus",ajaxEnabled:true,hashListeningEnabled:true,linkBindingEnabled:true,defaultPageTransition:"fade",maxTransitionWidth:false,minScrollBack:250,touchOverflowEnabled:false,defaultDialogTransition:"pop",pageLoadErrorMessage:"Error Loading Page",pageLoadErrorMessageTheme:"e",phonegapNavigationEnabled:false,autoInitializePage:true,pushStateEnabled:true,ignoreContentEnabled:false,orientationChangeEnabled:true,buttonMarkup:{hoverDelay:200},keyCode:{ALT:18,BACKSPACE:8,CAPS_LOCK:20,COMMA:188,COMMAND:91,COMMAND_LEFT:91,COMMAND_RIGHT:93,CONTROL:17,DELETE:46,DOWN:40,END:35,ENTER:13,ESCAPE:27,HOME:36,INSERT:45,LEFT:37,MENU:93,NUMPAD_ADD:107,NUMPAD_DECIMAL:110,NUMPAD_DIVIDE:111,NUMPAD_ENTER:108,NUMPAD_MULTIPLY:106,NUMPAD_SUBTRACT:109,PAGE_DOWN:34,PAGE_UP:33,PERIOD:190,RIGHT:39,SHIFT:16,SPACE:32,TAB:9,UP:38,WINDOWS:91},silentScroll:function(i){if(b.type(i)!=="number"){i=b.mobile.defaultHomeScroll}b.event.special.scrollstart.enabled=false;setTimeout(function(){c.scrollTo(0,i);b(f).trigger("silentscroll",{x:0,y:i})},20);setTimeout(function(){b.event.special.scrollstart.enabled=true},150)},nsNormalizeDict:d,nsNormalize:function(i){if(!i){return}return d[i]||(d[i]=b.camelCase(b.mobile.ns+i))},getInheritedTheme:function(t,i){var s=t[0],v="",u=/ui-(bar|body|overlay)-([a-z])\b/,m,j;while(s){m=s.className||"";if(m&&(j=u.exec(m))&&(v=j[2])){break}s=s.parentNode}return v||i||"a"},closestPageData:function(i){return i.closest(':jqmData(role="page"), :jqmData(role="dialog")').data("page")},enhanceable:function(i){return this.haveParents(i,"enhance")},hijackable:function(i){return this.haveParents(i,"ajax")},haveParents:function(w,j){if(!b.mobile.ignoreContentEnabled){return w}var v=w.length,y=b(),t,z,u;for(var x=0;x<v;x++){z=w.eq(x);u=false;t=w[x];while(t){var i=t.getAttribute?t.getAttribute("data-"+b.mobile.ns+j):"";if(i==="false"){u=true;break}t=t.parentNode}if(!u){y=y.add(z)}}return y},getScreenHeight:function(){return c.innerHeight||b(c).height()}},b.mobile);b.fn.jqmData=function(i,j){var n;if(typeof i!=="undefined"){if(i){i=b.mobile.nsNormalize(i)}if(arguments.length<2||j===a){n=this.data(i)}else{n=this.data(i,j)}}return n};b.jqmData=function(j,p,i){var o;if(typeof p!=="undefined"){o=b.data(j,p?b.mobile.nsNormalize(p):p,i)}return o};b.fn.jqmRemoveData=function(i){return this.removeData(b.mobile.nsNormalize(i))};b.jqmRemoveData=function(j,i){return b.removeData(j,b.mobile.nsNormalize(i))};b.fn.removeWithDependents=function(){b.removeWithDependents(this)};b.removeWithDependents=function(i){var j=b(i);(j.jqmData("dependents")||b()).remove();j.remove()};b.fn.addDependents=function(i){b.addDependents(b(this),i)};b.addDependents=function(n,j){var i=b(n).jqmData("dependents")||b();b(n).jqmData("dependents",b.merge(i,j))};b.fn.getEncodedText=function(){return b("<div/>").text(b(this).text()).html()};b.fn.jqmEnhanceable=function(){return b.mobile.enhanceable(this)};b.fn.jqmHijackable=function(){return b.mobile.hijackable(this)};var k=b.find,l=/:jqmData\(([^)]*)\)/g;b.find=function(j,p,i,o){j=j.replace(l,"[data-"+(b.mobile.ns||"")+"$1]");return k.call(this,j,p,i,o)};b.extend(b.find,k);b.find.matches=function(j,i){return b.find(j,null,null,i)};b.find.matchesSelector=function(j,i){return b.find(i,null,null,[j]).length>0}})(h,this);
/*!
 * jQuery UI Widget v1.9.0-beta.1
 *
 * Copyright 2012, https://github.com/jquery/jquery-ui/blob/1.9.0-beta.1/AUTHORS.txt (http://jqueryui.com/about)
 * Dual licensed under the MIT or GPL Version 2 licenses.
 * http://jquery.org/license
 *
 * http://docs.jquery.com/UI/Widget
 */
(function(d,a){var j=0,b=Array.prototype.slice,c=d.cleanData;d.cleanData=function(p){for(var o=0,n;(n=p[o])!=null;o++){try{d(n).triggerHandler("remove")}catch(i){}}c(p)};d.widget=function(s,x,t){var u,v,i,w,r=s.split(".")[0];s=s.split(".")[1];u=r+"-"+s;if(!t){t=x;x=d.Widget}d.expr[":"][u]=function(k){return !!d.data(k,u)};d[r]=d[r]||{};v=d[r][s];i=d[r][s]=function(l,k){if(!this._createWidget){return new i(l,k)}if(arguments.length){this._createWidget(l,k)}};d.extend(i,v,{version:t.version,_proto:d.extend({},t),_childConstructors:[]});w=new x();w.options=d.widget.extend({},w.options);d.each(t,function(k,l){if(d.isFunction(l)){t[k]=(function(){var n=function(){return x.prototype[k].apply(this,arguments)},m=function(o){return x.prototype[k].apply(this,o)};return function(){var o=this._super,q=this._superApply,p;this._super=n;this._superApply=m;p=l.apply(this,arguments);this._super=o;this._superApply=q;return p}})()}});i.prototype=d.widget.extend(w,{widgetEventPrefix:s},t,{constructor:i,namespace:r,widgetName:s,widgetBaseClass:u,widgetFullName:u});if(v){d.each(v._childConstructors,function(l,k){var m=k.prototype;d.widget(m.namespace+"."+m.widgetName,i,k._proto)});delete v._childConstructors}else{x._childConstructors.push(i)}d.widget.bridge(s,i)};d.widget.extend=function(s){var q=b.call(arguments,1),t=0,r=q.length,p,i;for(;t<r;t++){for(p in q[t]){i=q[t][p];if(q[t].hasOwnProperty(p)&&i!==a){s[p]=d.isPlainObject(i)?d.widget.extend({},s[p],i):i}}}return s};d.widget.bridge=function(m,n){var i=n.prototype.widgetFullName;d.fn[m]=function(q){var k=typeof q==="string",r=b.call(arguments,1),l=this;q=!k&&r.length?d.widget.extend.apply(null,[q].concat(r)):q;if(k){this.each(function(){var o,p=d.data(this,i);if(!p){return d.error("cannot call methods on "+m+" prior to initialization; attempted to call method '"+q+"'")}if(!d.isFunction(p[q])||q.charAt(0)==="_"){return d.error("no such method '"+q+"' for "+m+" widget instance")}o=p[q].apply(p,r);if(o!==p&&o!==a){l=o&&o.jquery?l.pushStack(o.get()):o;return false}})}else{this.each(function(){var o=d.data(this,i);if(o){o.option(q||{})._init()}else{new n(q,this)}})}return l}};d.Widget=function(l,i){};d.Widget._childConstructors=[];d.Widget.prototype={widgetName:"widget",widgetEventPrefix:"",defaultElement:"<div>",options:{disabled:false,create:null},_createWidget:function(l,i){i=d(i||this.defaultElement||this)[0];this.element=d(i);this.uuid=j++;this.eventNamespace="."+this.widgetName+this.uuid;this.options=d.widget.extend({},this.options,this._getCreateOptions(),l);this.bindings=d();this.hoverable=d();this.focusable=d();if(i!==this){d.data(i,this.widgetName,this);d.data(i,this.widgetFullName,this);this._on({remove:"destroy"});this.document=d(i.style?i.ownerDocument:i.document||i);this.window=d(this.document[0].defaultView||this.document[0].parentWindow)}this._create();this._trigger("create",null,this._getCreateEventData());this._init()},_getCreateOptions:d.noop,_getCreateEventData:d.noop,_create:d.noop,_init:d.noop,destroy:function(){this._destroy();this.element.unbind(this.eventNamespace).removeData(this.widgetName).removeData(this.widgetFullName).removeData(d.camelCase(this.widgetFullName));this.widget().unbind(this.eventNamespace).removeAttr("aria-disabled").removeClass(this.widgetFullName+"-disabled ui-state-disabled");this.bindings.unbind(this.eventNamespace);this.hoverable.removeClass("ui-state-hover");this.focusable.removeClass("ui-state-focus")},_destroy:d.noop,widget:function(){return this.element},option:function(i,t){var r=i,s,p,q;if(arguments.length===0){return d.widget.extend({},this.options)}if(typeof i==="string"){r={};s=i.split(".");i=s.shift();if(s.length){p=r[i]=d.widget.extend({},this.options[i]);for(q=0;q<s.length-1;q++){p[s[q]]=p[s[q]]||{};p=p[s[q]]}i=s.pop();if(t===a){return p[i]===a?null:p[i]}p[i]=t}else{if(t===a){return this.options[i]===a?null:this.options[i]}r[i]=t}}this._setOptions(r);return this},_setOptions:function(l){var i;for(i in l){this._setOption(i,l[i])}return this},_setOption:function(l,i){this.options[l]=i;if(l==="disabled"){this.widget().toggleClass(this.widgetFullName+"-disabled ui-state-disabled",!!i).attr("aria-disabled",i);this.hoverable.removeClass("ui-state-hover");this.focusable.removeClass("ui-state-focus")}return this},enable:function(){return this._setOption("disabled",false)},disable:function(){return this._setOption("disabled",true)},_on:function(i,m){if(!m){m=i;i=this.element}else{i=d(i);this.bindings=this.bindings.add(i)}var n=this;d.each(m,function(l,s){function u(){if(n.options.disabled===true||d(this).hasClass("ui-state-disabled")){return}return(typeof s==="string"?n[s]:s).apply(n,arguments)}if(typeof s!=="string"){u.guid=s.guid=s.guid||u.guid||d.guid++}var t=l.match(/^(\w+)\s*(.*)$/),v=t[1]+n.eventNamespace,k=t[2];if(k){n.widget().delegate(k,v,u)}else{i.bind(v,u)}})},_off:function(i,l){l=(l||"").split(" ").join(this.eventNamespace+" ")+this.eventNamespace;i.unbind(l).undelegate(l)},_delay:function(i,n){function o(){return(typeof i==="string"?p[i]:i).apply(p,arguments)}var p=this;return setTimeout(o,n||0)},_hoverable:function(i){this.hoverable=this.hoverable.add(i);this._on(i,{mouseenter:function(l){d(l.currentTarget).addClass("ui-state-hover")},mouseleave:function(l){d(l.currentTarget).removeClass("ui-state-hover")}})},_focusable:function(i){this.focusable=this.focusable.add(i);this._on(i,{focusin:function(l){d(l.currentTarget).addClass("ui-state-focus")},focusout:function(l){d(l.currentTarget).removeClass("ui-state-focus")}})},_trigger:function(r,q,p){var s,t,i=this.options[r];p=p||{};q=d.Event(q);q.type=(r===this.widgetEventPrefix?r:this.widgetEventPrefix+r).toLowerCase();q.target=this.element[0];t=q.originalEvent;if(t){for(s in t){if(!(s in q)){q[s]=t[s]}}}this.element.trigger(q,p);return !(d.isFunction(i)&&i.apply(this.element[0],[q].concat(p))===false||q.isDefaultPrevented())}};d.each({show:"fadeIn",hide:"fadeOut"},function(i,l){d.Widget.prototype["_"+i]=function(t,k,r){if(typeof k==="string"){k={effect:k}}var s,q=!k?i:k===true||typeof k==="number"?l:k.effect||l;k=k||{};if(typeof k==="number"){k={duration:k}}s=!d.isEmptyObject(k);k.complete=r;if(k.delay){t.delay(k.delay)}if(s&&d.effects&&(d.effects.effect[q]||d.uiBackCompat!==false&&d.effects[q])){t[i](k)}else{if(q!==i&&t[q]){t[q](k.duration,k.easing,r)}else{t.queue(function(m){d(this)[i]();if(r){r.call(t[0])}m()})}}}});if(d.uiBackCompat!==false){d.Widget.prototype._getCreateOptions=function(){return d.metadata&&d.metadata.get(this.element[0])[this.widgetName]}}})(h);(function(b,a){b.widget("mobile.widget",{_createWidget:function(){b.Widget.prototype._createWidget.apply(this,arguments);this._trigger("init")},_getCreateOptions:function(){var c=this.element,d={};b.each(this.options,function(l){var k=c.jqmData(l.replace(/[A-Z]/g,function(i){return"-"+i.toLowerCase()}));if(k!==a){d[l]=k}});return d},enhanceWithin:function(c,d){this.enhance(b(this.options.initSelector,b(c)),d)},enhance:function(n,o){var c,d,p=b(n),m=this;p=b.mobile.enhanceable(p);if(o&&p.length){c=b.mobile.closestPageData(p);d=(c&&c.keepNativeSelector())||"";p=p.not(d)}p[this.widgetName]()},raise:function(c){throw"Widget ["+this.widgetName+"]: "+c}})})(h);(function(b,c){b.extend(b.mobile,{loadingMessageTextVisible:g,loadingMessageTheme:g,loadingMessage:g,showPageLoadingMsg:function(m,n,i){b.mobile.loading("show",m,n,i)},hidePageLoadingMsg:function(){b.mobile.loading("hide")},loading:function(){this.loaderWidget.loader.apply(this.loaderWidget,arguments)}});var d="ui-loader",j=b("html"),a=b(c);b.widget("mobile.loader",{options:{theme:"a",textVisible:false,html:"",text:"loading"},defaultHtml:"<div class='"+d+"'><span class='ui-icon ui-icon-loading'></span><h1></h1></div>",fakeFixLoader:function(){var i=b("."+b.mobile.activeBtnClass).first();this.element.css({top:b.support.scrollTop&&a.scrollTop()+a.height()/2||i.length&&i.offset().top||100})},checkLoaderPosition:function(){var m=this.element.offset(),n=a.scrollTop(),i=b.mobile.getScreenHeight();if(m.top<n||(m.top-n)>i){this.element.addClass("ui-loader-fakefix");this.fakeFixLoader();a.unbind("scroll",this.checkLoaderPosition).bind("scroll",this.fakeFixLoader)}},resetHtml:function(){this.element.html(b(this.defaultHtml).html())},show:function(u,r,t){var v,q,s,i;this.resetHtml();if(b.type(u)==="object"){i=b.extend({},this.options,u);u=i.theme||b.mobile.loadingMessageTheme}else{i=this.options;u=u||b.mobile.loadingMessageTheme||i.theme}q=r||b.mobile.loadingMessage||i.text;j.addClass("ui-loading");if(b.mobile.loadingMessage!==false||i.html){if(b.mobile.loadingMessageTextVisible!==g){v=b.mobile.loadingMessageTextVisible}else{v=i.textVisible}this.element.attr("class",d+" ui-corner-all ui-body-"+u+" ui-loader-"+(v||r||u.text?"verbose":"default")+(i.textonly||t?" ui-loader-textonly":""));if(i.html){this.element.html(i.html)}else{this.element.find("h1").text(q)}this.element.appendTo(b.mobile.pageContainer);this.checkLoaderPosition();a.bind("scroll",b.proxy(this.checkLoaderPosition,this))}},hide:function(){j.removeClass("ui-loading");if(b.mobile.loadingMessage){this.element.removeClass("ui-loader-fakefix")}b(c).unbind("scroll",b.proxy(this.fakeFixLoader,this));b(c).unbind("scroll",b.proxy(this.checkLoaderPosition,this))}});a.bind("pagecontainercreate",function(){b.mobile.loaderWidget=b.mobile.loaderWidget||b(b.mobile.loader.prototype.defaultHtml).loader()})})(h,this);(function(al,ac,aE,ax){var ad="virtualMouseBindings",aH="virtualTouchID",aI="vmouseover vmousedown vmousemove vmouseup vclick vmouseout vmousecancel".split(" "),am="clientX clientY pageX pageY screenX screenY".split(" "),ag=al.event.mouseHooks?al.event.mouseHooks.props:[],ak=al.event.props.concat(ag),ai={},ab=0,aq=0,ar=0,au=false,Y=[],aC=false,a=false,ao="addEventListener" in aE,ap=al(aE),ae=1,i=0,aG;al.vmouse={moveDistanceThreshold:10,clickDistanceThreshold:10,resetTimerDuration:1500};function at(j){while(j&&typeof j.originalEvent!=="undefined"){j=j.originalEvent}return j}function aB(m,l){var p=m.type,o,q,k,n,s,t,u,j,r;m=al.Event(m);m.type=l;o=m.originalEvent;q=al.event.props;if(p.search(/^(mouse|click)/)>-1){q=ak}if(o){for(u=q.length,n;u;){n=q[--u];m[n]=o[n]}}if(p.search(/mouse(down|up)|click/)>-1&&!m.which){m.which=1}if(p.search(/^touch/)!==-1){k=at(o);p=k.touches;s=k.changedTouches;t=(p&&p.length)?p[0]:((s&&s.length)?s[0]:ax);if(t){for(j=0,r=am.length;j<r;j++){n=am[j];m[n]=t[n]}}}return m}function c(l){var j={},k,m;while(l){k=al.data(l,ad);for(m in k){if(k[m]){j[m]=j.hasVirtualBinding=true}}l=l.parentNode}return j}function ah(l,j){var k;while(l){k=al.data(l,ad);if(k&&(!j||k[j])){return l}l=l.parentNode}return null}function Z(){a=false}function az(){a=true}function b(){i=0;Y.length=0;aC=false;az()}function av(){Z()}function an(){aj();ab=setTimeout(function(){ab=0;b()},al.vmouse.resetTimerDuration)}function aj(){if(ab){clearTimeout(ab);ab=0}}function aw(m,l,k){var j;if((k&&k[m])||(!k&&ah(l.target,m))){j=aB(l,m);al(l.target).trigger(j)}return j}function aA(j){var l=al.data(j.target,aH);if(!aC&&(!i||i!==l)){var k=aw("v"+j.type,j);if(k){if(k.isDefaultPrevented()){j.preventDefault()}if(k.isPropagationStopped()){j.stopPropagation()}if(k.isImmediatePropagationStopped()){j.stopImmediatePropagation()}}}}function d(n){var l=at(n).touches,m,k;if(l&&l.length===1){m=n.target;k=c(m);if(k.hasVirtualBinding){i=ae++;al.data(m,aH,i);aj();av();au=false;var j=at(n).touches[0];aq=j.pageX;ar=j.pageY;aw("vmouseover",n,k);aw("vmousedown",n,k)}}}function aa(j){if(a){return}if(!au){aw("vmousecancel",j,c(j.target))}au=true;an()}function aF(l){if(a){return}var n=at(l).touches[0],j=au,m=al.vmouse.moveDistanceThreshold,k=c(l.target);au=au||(Math.abs(n.pageX-aq)>m||Math.abs(n.pageY-ar)>m);if(au&&!j){aw("vmousecancel",l,k)}aw("vmousemove",l,k);an()}function aD(l){if(a){return}az();var k=c(l.target),m;aw("vmouseup",l,k);if(!au){var j=aw("vclick",l,k);if(j&&j.isDefaultPrevented()){m=at(l).changedTouches[0];Y.push({touchID:i,x:m.clientX,y:m.clientY});aC=true}}aw("vmouseout",l,k);au=false;an()}function af(j){var l=al.data(j,ad),k;if(l){for(k in l){if(l[k]){return true}}}return false}function W(){}function ay(k){var j=k.substr(1);return{setup:function(m,n){if(!af(this)){al.data(this,ad,{})}var l=al.data(this,ad);l[k]=true;ai[k]=(ai[k]||0)+1;if(ai[k]===1){ap.bind(j,aA)}al(this).bind(j,W);if(ao){ai.touchstart=(ai.touchstart||0)+1;if(ai.touchstart===1){ap.bind("touchstart",d).bind("touchend",aD).bind("touchmove",aF).bind("scroll",aa)}}},teardown:function(n,o){--ai[k];if(!ai[k]){ap.unbind(j,aA)}if(ao){--ai.touchstart;if(!ai.touchstart){ap.unbind("touchstart",d).unbind("touchmove",aF).unbind("touchend",aD).unbind("scroll",aa)}}var m=al(this),l=al.data(this,ad);if(l){l[k]=false}m.unbind(j,W);if(!af(this)){m.removeData(ad)}}}}for(var X=0;X<aI.length;X++){al.event.special[aI[X]]=ay(aI[X])}if(ao){aE.addEventListener("click",function(j){var m=Y.length,r=j.target,p,q,o,k,n,l;if(m){p=j.clientX;q=j.clientY;aG=al.vmouse.clickDistanceThreshold;o=r;while(o){for(k=0;k<m;k++){n=Y[k];l=0;if((o===r&&Math.abs(n.x-p)<aG&&Math.abs(n.y-q)<aG)||al.data(o,aH)===n.touchID){j.preventDefault();j.stopPropagation();return}}o=o.parentNode}}},true)}})(h,e,f);(function(b,a){var c={touch:"ontouchend" in f};b.mobile=b.mobile||{};b.mobile.support=b.mobile.support||{};b.extend(b.support,c);b.extend(b.mobile.support,c)}(h));(function(p,b,r){p.each(("touchstart touchmove touchend tap taphold swipe swipeleft swiperight scrollstart scrollstop").split(" "),function(i,j){p.fn[j]=function(k){return k?this.bind(j,k):this.trigger(j)};if(p.attrFn){p.attrFn[j]=true}});var o=p.mobile.support.touch,n="touchmove scroll",a=o?"touchstart":"mousedown",c=o?"touchend":"mouseup",q=o?"touchmove":"mousemove";function d(i,l,j){var k=j.type;j.type=l;p.event.handle.call(i,j);j.type=k}p.event.special.scrollstart={enabled:true,setup:function(){var m=this,j=p(m),k,i;function l(v,u){k=u;d(m,k?"scrollstart":"scrollstop",v)}j.bind(n,function(t){if(!p.event.special.scrollstart.enabled){return}if(!k){l(t,true)}clearTimeout(i);i=setTimeout(function(){l(t,false)},50)})}};p.event.special.tap={tapholdThreshold:750,setup:function(){var j=this,i=p(j);i.bind("vmousedown",function(w){if(w.which&&w.which!==1){return false}var x=w.target,z=w.originalEvent,k;function y(){clearTimeout(k)}function l(){y();i.unbind("vclick",m).unbind("vmouseup",y);p(f).unbind("vmousecancel",l)}function m(s){l();if(x===s.target){d(j,"tap",s)}}i.bind("vmouseup",y).bind("vclick",m);p(f).bind("vmousecancel",l);k=setTimeout(function(){d(j,"taphold",p.Event("taphold",{target:x}))},p.event.special.tap.tapholdThreshold)})}};p.event.special.swipe={scrollSupressionThreshold:30,durationThreshold:1000,horizontalDistanceThreshold:30,verticalDistanceThreshold:75,setup:function(){var j=this,i=p(j);i.bind(a,function(u){var l=u.originalEvent.touches?u.originalEvent.touches[0]:u,k={time:(new Date()).getTime(),coords:[l.pageX,l.pageY],origin:p(u.target)},v;function m(t){if(!k){return}var s=t.originalEvent.touches?t.originalEvent.touches[0]:t;v={time:(new Date()).getTime(),coords:[s.pageX,s.pageY]};if(Math.abs(k.coords[0]-v.coords[0])>p.event.special.swipe.scrollSupressionThreshold){t.preventDefault()}}i.bind(q,m).one(c,function(s){i.unbind(q,m);if(k&&v){if(v.time-k.time<p.event.special.swipe.durationThreshold&&Math.abs(k.coords[0]-v.coords[0])>p.event.special.swipe.horizontalDistanceThreshold&&Math.abs(k.coords[1]-v.coords[1])<p.event.special.swipe.verticalDistanceThreshold){k.origin.trigger("swipe").trigger(k.coords[0]>v.coords[0]?"swipeleft":"swiperight")}}k=v=r})})}};p.each({scrollstop:"scrollstart",taphold:"tap",swipeleft:"swipe",swiperight:"swipe"},function(i,j){p.event.special[i]={setup:function(){p(this).bind(j,p.noop)}}})})(h,this);(function(b,a){b.extend(b.support,{orientation:"orientation" in e&&"onorientationchange" in e})}(h));(function(c){c.event.special.throttledresize={setup:function(){c(this).bind("resize",l)},teardown:function(){c(this).unbind("resize",l)}};var d=250,l=function(){a=(new Date()).getTime();b=a-m;if(b>=d){m=a;c(this).trigger("throttledresize")}else{if(n){clearTimeout(n)}n=setTimeout(l,d-b)}},m=0,n,a,b})(h);(function(v,c){var s=v(c),t="orientationchange",B,z,u,y,b,d={"0":true,"180":true};if(v.support.orientation){var w=c.innerWidth||v(c).width(),A=c.innerHeight||v(c).height(),x=50;y=w>A&&(w-A)>x;b=d[c.orientation];if((y&&b)||(!y&&!b)){d={"-90":true,"90":true}}}v.event.special.orientationchange=v.extend({},v.event.special.orientationchange,{setup:function(){if(v.support.orientation&&!v.event.special.orientationchange.disabled){return false}u=z();s.bind("throttledresize",a)},teardown:function(){if(v.support.orientation&&!v.event.special.orientationchange.disabled){return false}s.unbind("throttledresize",a)},add:function(j){var i=j.handler;j.handler=function(k){k.orientation=z();return i.apply(this,arguments)}}});function a(){var i=z();if(i!==u){u=i;s.trigger(t)}}v.event.special.orientationchange.orientation=z=function(){var i=true,j=f.documentElement;if(v.support.orientation){i=d[c.orientation]}else{i=j&&j.clientWidth/j.clientHeight<1.1}return i?"portrait":"landscape"};v.fn[t]=function(i){return i?this.bind(t,i):this.trigger(t)};if(v.attrFn){v.attrFn[t]=true}}(h,this));(function(c,a){var b=c(e),d=c("html");c.mobile.media=(function(){var n={},m=c("<div id='jquery-mediatest'></div>"),l=c("<body>").append(m);return function(k){if(!(k in n)){var j=f.createElement("style"),i="@media "+k+" { #jquery-mediatest { position:absolute; } }";j.type="text/css";if(j.styleSheet){j.styleSheet.cssText=i}else{j.appendChild(f.createTextNode(i))}d.prepend(l).prepend(j);n[k]=m.css("position")==="absolute";l.add(j).remove()}return n[k]}})()})(h);(function(v,z){function B(l){var i=l.charAt(0).toUpperCase()+l.substr(1),j=(l+" "+a.join(i+" ")+i).split(" ");for(var k in j){if(c[j[k]]!==z){return true}}}var y=v("<body>").prependTo("html"),c=y[0].style,a=["Webkit","Moz","O"],E="palmGetResource" in e,A=e.opera,b=e.operamini&&({}).toString.call(e.operamini)==="[object OperaMini]",d=e.blackberry&&!B("-webkit-transform");function w(r,l,p){var q=f.createElement("div"),i=function(s){return s.charAt(0).toUpperCase()+s.substr(1)},j=function(s){return"-"+s.charAt(0).toLowerCase()+s.substr(1)+"-"},k=function(s){var J=j(s)+r+": "+l+";",t=i(s),I=t+i(r);q.setAttribute("style",J);if(!!q.style[I]){m=true}},n=p?[p]:a,m;for(var o=0;o<n.length;o++){k(n[o])}return !!m}function x(){var i="transform-3d";return w("perspective","10px","moz")||v.mobile.media("(-"+a.join("-"+i+"),(-")+"-"+i+"),("+i+")")}function C(){var n=location.protocol+"//"+location.host+location.pathname+"ui-dir/",i=v("head base"),m=null,l="",j,k;if(!i.length){i=m=v("<base>",{href:n}).appendTo("head")}else{l=i.attr("href")}j=v("<a href='testurl' />").prependTo(y);k=j[0].href;i[0].href=l||location.pathname;if(m){m.remove()}return k.indexOf(n)===0}function F(){var k=f.createElement("x"),j=f.documentElement,i=e.getComputedStyle,l;if(!("pointerEvents" in k.style)){return false}k.style.pointerEvents="auto";k.style.pointerEvents="x";j.appendChild(k);l=i&&i(k,"").pointerEvents==="auto";j.removeChild(k);return !!l}function D(){var i=f.createElement("div");return typeof i.getBoundingClientRect!=="undefined"}v.extend(v.mobile,{browser:{}});v.mobile.browser.ie=(function(){var j=3,i=f.createElement("div"),k=i.all||[];do{i.innerHTML="<!--[if gt IE "+(++j)+"]><br><![endif]-->"}while(k[0]);return j>4?j:!j})();v.extend(v.support,{cssTransitions:"WebKitTransitionEvent" in e||w("transition","height 100ms linear")&&!A,pushState:"pushState" in history&&"replaceState" in history,mediaquery:v.mobile.media("only all"),cssPseudoElement:!!B("content"),touchOverflow:!!B("overflowScrolling"),cssTransform3d:x(),boxShadow:!!B("boxShadow")&&!d,scrollTop:("pageXOffset" in e||"scrollTop" in f.documentElement||"scrollTop" in y[0])&&!E&&!b,dynamicBaseTag:C(),cssPointerEvents:F(),boundingRect:D()});y.remove();var u=(function(){var i=e.navigator.userAgent;return i.indexOf("Nokia")>-1&&(i.indexOf("Symbian/3")>-1||i.indexOf("Series60/5")>-1)&&i.indexOf("AppleWebKit")>-1&&i.match(/(BrowserNG|NokiaBrowser)\/7\.[0-3]/)})();v.mobile.gradeA=function(){return(v.support.mediaquery||v.mobile.browser.ie&&v.mobile.browser.ie>=7)&&(v.support.boundingRect||v.fn.jquery.match(/1\.[0-7+]\.[0-9+]?/)!==null)};v.mobile.ajaxBlacklist=e.blackberry&&!e.WebKitPoint||b||u;if(u){v(function(){v("head link[rel='stylesheet']").attr("rel","alternate stylesheet").attr("rel","stylesheet")})}if(!v.support.boxShadow){v("html").addClass("ui-mobile-nosupport-boxshadow")}})(h);(function(b,a){b.widget("mobile.page",b.mobile.widget,{options:{theme:"c",domCache:false,keepNativeDefault:":jqmData(role='none'), :jqmData(role='nojs')"},_create:function(){var c=this;if(c._trigger("beforecreate")===false){return false}c.element.attr("tabindex","0").addClass("ui-page ui-body-"+c.options.theme).bind("pagebeforehide",function(){c.removeContainerBackground()}).bind("pagebeforeshow",function(){c.setContainerBackground()})},removeContainerBackground:function(){b.mobile.pageContainer.removeClass("ui-overlay-"+b.mobile.getInheritedTheme(this.element.parent()))},setContainerBackground:function(c){if(this.options.theme){b.mobile.pageContainer.addClass("ui-overlay-"+(c||this.options.theme))}},keepNativeSelector:function(){var d=this.options,c=d.keepNative&&b.trim(d.keepNative);if(c&&d.keepNative!==d.keepNativeDefault){return[d.keepNative,d.keepNativeDefault].join(", ")}return d.keepNativeDefault}})})(h);(function(q,o,s){var r="hashchange",b=f,d,c=q.event.special,a=b.documentMode,p="on"+r in o&&(a===s||a>7);function t(i){i=i||location.href;return"#"+i.replace(/^[^#]*#?(.*)$/,"$1")}q.fn[r]=function(i){return i?this.bind(r,i):this.trigger(r)};q.fn[r].delay=50;c[r]=q.extend(c[r],{setup:function(){if(p){return false}q(d.start)},teardown:function(){if(p){return false}q(d.stop)}});d=(function(){var v={},i,l=t(),n=function(u){return u},m=n,j=n;v.start=function(){i||k()};v.stop=function(){i&&clearTimeout(i);i=s};function k(){var u=t(),x=j(l);if(u!==l){m(l=u,x);q(o).trigger(r)}else{if(x!==l){location.href=location.href.replace(/#.*/,"")+x}}i=setTimeout(k,q.fn[r].delay)}q.browser.msie&&!p&&(function(){var x,u;v.start=function(){if(!x){u=q.fn[r].src;u=u&&u+t();x=q('<iframe tabindex="-1" title="empty"/>').hide().one("load",function(){u||m(t());k()}).attr("src",u||"javascript:0").insertAfter("body")[0].contentWindow;b.onpropertychange=function(){try{if(event.propertyName==="title"){x.document.title=b.title}}catch(w){}}}};v.stop=n;j=function(){return t(x.location.href)};m=function(B,w){var C=x.document,D=q.fn[r].domain;if(B!==w){C.title=b.title;C.open();D&&C.write('<script>document.domain="'+D+'"<\/script>');C.close();x.location.hash=B}}})();return v})()})(h,this);(function(b,l,a){var m=function(i){if(i===a){i=true}return function(J,H,U,N){var M=new b.Deferred(),V=H?" reverse":"",K=b.mobile.urlHistory.getActive(),j=K.lastScroll||b.mobile.defaultHomeScroll,P=b.mobile.getScreenHeight(),Q=b.mobile.maxTransitionWidth!==false&&b(l).width()>b.mobile.maxTransitionWidth,S=!b.support.cssTransitions||Q||!J||J==="none"||Math.max(b(l).scrollTop(),j)>b.mobile.getMaxScrollForTransition(),T=" ui-page-pre-in",O=function(){b.mobile.pageContainer.toggleClass("ui-mobile-viewport-transitioning viewport-"+J)},R=function(){b.event.special.scrollstart.enabled=false;l.scrollTo(0,j);setTimeout(function(){b.event.special.scrollstart.enabled=true},150)},L=function(){N.removeClass(b.mobile.activePageClass+" out in reverse "+J).height("")},F=function(){if(!i){k()}else{N.animationComplete(k)}N.height(P+b(l).scrollTop()).addClass(J+" out"+V)},k=function(){if(N&&i){L()}I()},I=function(){U.css("z-index",-10);U.addClass(b.mobile.activePageClass+T);b.mobile.focusPage(U);U.height(P+j);R();U.css("z-index","");if(!S){U.animationComplete(G)}U.removeClass(T).addClass(J+" in"+V);if(S){G()}},G=function(){if(!i){if(N){L()}}U.removeClass("out in reverse "+J).height("");O();if(b(l).scrollTop()!==j){R()}M.resolve(J,H,U,N,true)};O();if(N&&!S){F()}else{k()}return M.promise()}};var c=m(),d=m(false),n=function(){return b.mobile.getScreenHeight()*3};b.mobile.defaultTransitionHandler=c;b.mobile.transitionHandlers={"default":b.mobile.defaultTransitionHandler,sequential:c,simultaneous:d};b.mobile.transitionFallbacks={};b.mobile._maybeDegradeTransition=function(i){if(i&&!b.support.cssTransform3d&&b.mobile.transitionFallbacks[i]){i=b.mobile.transitionFallbacks[i]}return i};b.mobile.getMaxScrollForTransition=b.mobile.getMaxScrollForTransition||n})(h,this);(function(X,V){var K=X(e),d=X("html"),Q=X("head"),G={urlParseRE:/^(((([^:\/#\?]+:)?(?:(\/\/)((?:(([^:@\/#\?]+)(?:\:([^:@\/#\?]+))?)@)?(([^:\/#\?\]\[]+|\[[^\/\]@#?]+\])(?:\:([0-9]+))?))?)?)?((\/?(?:[^\/\?#]+\/+)*)([^\?#]*)))?(\?[^#]+)?)(#.*)?/,getLocation:function(k){var j=k?this.parseUrl(k):location,i=this.parseUrl(k||location.href).hash;i=i==="#"?"":i;return j.protocol+"//"+j.host+j.pathname+j.search+i},parseLocation:function(){return this.parseUrl(this.getLocation())},parseUrl:function(j){if(X.type(j)==="object"){return j}var i=G.urlParseRE.exec(j||"")||[];return{href:i[0]||"",hrefNoHash:i[1]||"",hrefNoSearch:i[2]||"",domain:i[3]||"",protocol:i[4]||"",doubleSlash:i[5]||"",authority:i[6]||"",username:i[8]||"",password:i[9]||"",host:i[10]||"",hostname:i[11]||"",port:i[12]||"",pathname:i[13]||"",directory:i[14]||"",filename:i[15]||"",search:i[16]||"",hash:i[17]||""}},makePathAbsolute:function(k,l){if(k&&k.charAt(0)==="/"){return k}k=k||"";l=l?l.replace(/^\/|(\/[^\/]*|[^\/]+)$/g,""):"";var n=l?l.split("/"):[],i=k.split("/");for(var m=0;m<i.length;m++){var j=i[m];switch(j){case".":break;case"..":if(n.length){n.pop()}break;default:n.push(j);break}}return"/"+n.join("/")},isSameDomain:function(i,j){return G.parseUrl(i).domain===G.parseUrl(j).domain},isRelativeUrl:function(i){return G.parseUrl(i).protocol===""},isAbsoluteUrl:function(i){return G.parseUrl(i).protocol!==""},makeUrlAbsolute:function(r,p){if(!G.isRelativeUrl(r)){return r}if(p===V){p=a}var n=G.parseUrl(r),k=G.parseUrl(p),j=n.protocol||k.protocol,q=n.protocol?n.doubleSlash:(n.doubleSlash||k.doubleSlash),m=n.authority||k.authority,l=n.pathname!=="",s=G.makePathAbsolute(n.pathname||k.filename,k.pathname),i=n.search||(!l&&k.search)||"",o=n.hash;return j+q+m+s+i+o},addSearchParams:function(l,i){var m=G.parseUrl(l),j=(typeof i==="object")?X.param(i):i,k=m.search||"?";return m.hrefNoSearch+k+(k.charAt(k.length-1)!=="?"?"&":"")+j+(m.hash||"")},convertUrlToDataUrl:function(i){var j=G.parseUrl(i);if(G.isEmbeddedPage(j)){return j.hash.split(J)[0].replace(/^#/,"")}else{if(G.isSameDomain(j,a)){return j.hrefNoHash.replace(a.domain,"").split(J)[0]}}return e.decodeURIComponent(i)},get:function(i){if(i===V){i=G.parseLocation().hash}return G.stripHash(i).replace(/[^\/]*\.[^\/*]+$/,"")},getFilePath:function(i){var j="&"+X.mobile.subPageUrlKey;return i&&i.split(j)[0].split(J)[0]},set:function(i){location.hash=i},isPath:function(i){return(/\//).test(i)},clean:function(i){return i.replace(a.domain,"")},stripHash:function(i){return i.replace(/^#/,"")},cleanHash:function(i){return G.stripHash(i.replace(/\?.*$/,"").replace(J,""))},isHashValid:function(i){return(/^#[^#]+$/).test(i)},isExternal:function(i){var j=G.parseUrl(i);return j.protocol&&j.domain!==Y.domain?true:false},hasProtocol:function(i){return(/^(:?\w+:)/).test(i)},isFirstPageUrl:function(k){var l=G.parseUrl(G.makeUrlAbsolute(k,a)),i=l.hrefNoHash===Y.hrefNoHash||(ac&&l.hrefNoHash===a.hrefNoHash),m=X.mobile.firstPage,j=m&&m[0]?m[0].id:V;return i&&(!l.hash||l.hash==="#"||(j&&l.hash.replace(/^#/,"")===j))},isEmbeddedPage:function(i){var j=G.parseUrl(i);if(j.protocol!==""){return(j.hash&&(j.hrefNoHash===Y.hrefNoHash||(ac&&j.hrefNoHash===a.hrefNoHash)))}return(/^#/).test(j.href)},isPermittedCrossDomainRequest:function(i,j){return X.mobile.allowCrossDomainPages&&i.protocol==="file:"&&j.search(/^https?:/)!==-1}},I=null,Z={stack:[],activeIndex:0,getActive:function(){return Z.stack[Z.activeIndex]},getPrev:function(){return Z.stack[Z.activeIndex-1]},getNext:function(){return Z.stack[Z.activeIndex+1]},addNew:function(m,j,k,l,i){if(Z.getNext()){Z.clearForward()}Z.stack.push({url:m,transition:j,title:k,pageUrl:l,role:i});Z.activeIndex=Z.stack.length-1},clearForward:function(){Z.stack=Z.stack.slice(0,Z.activeIndex+1)},directHashChange:function(j){var m,l,i,k=this.getActive();X.each(Z.stack,function(n,o){if(decodeURIComponent(j.currentUrl)===decodeURIComponent(o.url)){m=n<Z.activeIndex;l=!m;i=n}});this.activeIndex=i!==V?i:this.activeIndex;if(m){(j.either||j.isBack)(true)}else{if(l){(j.either||j.isForward)(false)}}},ignoreNextHashChange:false},b="[tabindex],a,button:visible,select:visible,input",M=[],R=false,J="&ui-state=dialog",S=Q.children("base"),Y=G.parseLocation(),a=S.length?G.parseUrl(G.makeUrlAbsolute(S.attr("href"),Y.href)):Y,ac=(Y.hrefNoHash!==a.hrefNoHash),T=X.mobile.getScreenHeight;var W=X.support.dynamicBaseTag?{element:(S.length?S:X("<base>",{href:a.hrefNoHash}).prependTo(Q)),set:function(i){W.element.attr("href",G.makeUrlAbsolute(i,a))},reset:function(){W.element.attr("href",a.hrefNoHash)}}:V;X.mobile.back=function(){var i=e.navigator;if(this.phonegapNavigationEnabled&&i&&i.app&&i.app.backHistory){i.app.backHistory()}else{e.history.back()}};X.mobile.focusPage=function(j){var i=j.find("[autofocus]"),k=j.find(".ui-title:eq(0)");if(X.mobile.skipAutofocus){return}if(i.length){i.focus();return}if(k.length){k.focus()}else{j.focus()}};function O(i){if(!!I&&(!I.closest("."+X.mobile.activePageClass).length||i)){I.removeClass(X.mobile.activeBtnClass)}I=null}function H(){R=false;if(M.length>0){X.mobile.changePage.apply(null,M.pop())}}var N=true,ab,L;ab=function(){if(!N){return}var i=X.mobile.urlHistory.getActive();if(i){var j=K.scrollTop();i.lastScroll=j<X.mobile.minScrollBack?X.mobile.defaultHomeScroll:j}};L=function(){setTimeout(ab,100)};K.bind(X.support.pushState?"popstate":"hashchange",function(){N=false});K.one(X.support.pushState?"popstate":"hashchange",function(){N=true});K.one("pagecontainercreate",function(){X.mobile.pageContainer.bind("pagechange",function(){N=true;K.unbind("scrollstop",L);K.bind("scrollstop",L)})});K.bind("scrollstop",L);X.mobile._maybeDegradeTransition=X.mobile._maybeDegradeTransition||function(i){return i};function P(l,k,i,n){if(k){k.data("page")._trigger("beforehide",null,{nextPage:l})}l.data("page")._trigger("beforeshow",null,{prevPage:k||X("")});X.mobile.hidePageLoadingMsg();i=X.mobile._maybeDegradeTransition(i);var m=X.mobile.transitionHandlers[i||"default"]||X.mobile.defaultTransitionHandler,j=m(i,n,l,k);j.done(function(){if(k){k.data("page")._trigger("hide",null,{nextPage:l})}l.data("page")._trigger("show",null,{prevPage:k||X("")})});return j}function ad(){var k=X("."+X.mobile.activePageClass),j=parseFloat(k.css("padding-top")),m=parseFloat(k.css("padding-bottom")),l=parseFloat(k.css("border-top-width")),i=parseFloat(k.css("border-bottom-width"));k.css("min-height",T()-j-m-l-i)}function c(j,i){if(i){j.attr("data-"+X.mobile.ns+"role",i)}j.page()}X.fn.animationComplete=function(i){if(X.support.cssTransitions){return X(this).on("webkitAnimationEnd animationend",function(){X(this).off("webkitAnimationEnd animationend");i.apply(this,arguments)})}else{setTimeout(i,0);return X(this)}};X.mobile.path=G;X.mobile.base=W;X.mobile.urlHistory=Z;X.mobile.dialogHashKey=J;X.mobile.allowCrossDomainPages=false;X.mobile.getDocumentUrl=function(i){return i?X.extend({},Y):Y.href};X.mobile.getDocumentBase=function(i){return i?X.extend({},a):a.href};X.mobile._bindPageRemove=function(){var i=X(this);if(!i.data("page").options.domCache&&i.is(":jqmData(external-page='true')")){i.bind("pagehide.remove",function(){var j=X(this),k=new X.Event("pageremove");j.trigger(k);if(!k.isDefaultPrevented()){j.removeWithDependents()}})}};X.mobile.loadPage=function(v,i){var j=X.Deferred(),u=X.extend({},X.mobile.loadPage.defaults,i),q=null,l=null,r=function(){var x=(X.mobile.activePage&&aa(X.mobile.activePage));return x||a.hrefNoHash},t=G.makeUrlAbsolute(v,r());if(u.data&&u.type==="get"){t=G.addSearchParams(t,u.data);u.data=V}if(u.data&&u.type==="post"){u.reloadPage=true}var m=G.getFilePath(t),p=G.convertUrlToDataUrl(t);u.pageContainer=u.pageContainer||X.mobile.pageContainer;q=u.pageContainer.children("[data-"+X.mobile.ns+"url='"+p+"']");if(q.length===0&&p&&!G.isPath(p)){q=u.pageContainer.children("#"+p).attr("data-"+X.mobile.ns+"url",p).jqmData("url",p)}if(q.length===0){if(X.mobile.firstPage&&G.isFirstPageUrl(m)){if(X.mobile.firstPage.parent().length){q=X(X.mobile.firstPage)}}else{if(G.isEmbeddedPage(m)){j.reject(t,i);return j.promise()}}}if(q.length){if(!u.reloadPage){c(q,u.role);j.resolve(t,i,q);return j.promise()}l=q}var s=u.pageContainer,k=new X.Event("pagebeforeload"),w={url:v,absUrl:t,dataUrl:p,deferred:j,options:u};s.trigger(k,w);if(k.isDefaultPrevented()){return j.promise()}if(u.showLoadMsg){var n=setTimeout(function(){X.mobile.showPageLoadingMsg()},u.loadMsgDelay),o=function(){clearTimeout(n);X.mobile.hidePageLoadingMsg()}}if(W){W.reset()}if(!(X.mobile.allowCrossDomainPages||G.isSameDomain(Y,t))){j.reject(t,i)}else{X.ajax({url:m,type:u.type,data:u.data,dataType:"html",success:function(E,z,A){var D=X("<div></div>"),y=E.match(/<title[^>]*>([^<]*)/)&&RegExp.$1,C=new RegExp("(<[^>]+\\bdata-"+X.mobile.ns+"role=[\"']?page[\"']?[^>]*>)"),x=new RegExp("\\bdata-"+X.mobile.ns+"url=[\"']?([^\"'>]*)[\"']?");if(C.test(E)&&RegExp.$1&&x.test(RegExp.$1)&&RegExp.$1){v=m=G.getFilePath(X("<div>"+RegExp.$1+"</div>").text())}if(W){W.set(m)}D.get(0).innerHTML=E;q=D.find(":jqmData(role='page'), :jqmData(role='dialog')").first();if(!q.length){q=X("<div data-"+X.mobile.ns+"role='page'>"+E.split(/<\/?body[^>]*>/gmi)[1]+"</div>")}if(y&&!q.jqmData("title")){if(~y.indexOf("&")){y=X("<div>"+y+"</div>").text()}q.jqmData("title",y)}if(!X.support.dynamicBaseTag){var B=G.get(m);q.find("[src], link[href], a[rel='external'], :jqmData(ajax='false'), a[target]").each(function(){var F=X(this).is("[href]")?"href":X(this).is("[src]")?"src":"action",ae=X(this).attr(F);ae=ae.replace(location.protocol+"//"+location.host+location.pathname,"");if(!/^(\w+:|#|\/)/.test(ae)){X(this).attr(F,B+ae)}})}q.attr("data-"+X.mobile.ns+"url",G.convertUrlToDataUrl(m)).attr("data-"+X.mobile.ns+"external-page",true).appendTo(u.pageContainer);q.one("pagecreate",X.mobile._bindPageRemove);c(q,u.role);if(t.indexOf("&"+X.mobile.subPageUrlKey)>-1){q=u.pageContainer.children("[data-"+X.mobile.ns+"url='"+p+"']")}if(u.showLoadMsg){o()}w.xhr=A;w.textStatus=z;w.page=q;u.pageContainer.trigger("pageload",w);j.resolve(t,i,q,l)},error:function(A,z,y){if(W){W.set(G.get())}w.xhr=A;w.textStatus=z;w.errorThrown=y;var x=new X.Event("pageloadfailed");u.pageContainer.trigger(x,w);if(x.isDefaultPrevented()){return}if(u.showLoadMsg){o();X.mobile.showPageLoadingMsg(X.mobile.pageLoadErrorMessageTheme,X.mobile.pageLoadErrorMessage,true);setTimeout(X.mobile.hidePageLoadingMsg,1500)}j.reject(t,i)}})}return j.promise()};X.mobile.loadPage.defaults={type:"get",data:V,reloadPage:false,role:V,showLoadMsg:false,pageContainer:V,loadMsgDelay:50};X.mobile.changePage=function(v,x){if(R){M.unshift(arguments);return}var l=X.extend({},X.mobile.changePage.defaults,x);l.pageContainer=l.pageContainer||X.mobile.pageContainer;l.fromPage=l.fromPage||X.mobile.activePage;var q=l.pageContainer,w=new X.Event("pagebeforechange"),z={toPage:v,options:l};q.trigger(w,z);if(w.isDefaultPrevented()){return}v=z.toPage;R=true;if(typeof v==="string"){X.mobile.loadPage(v,l).done(function(C,B,A,D){R=false;B.duplicateCachedPage=D;X.mobile.changePage(A,B)}).fail(function(A,B){R=false;O(true);H();l.pageContainer.trigger("pagechangefailed",z)});return}if(v[0]===X.mobile.firstPage[0]&&!l.dataUrl){l.dataUrl=Y.hrefNoHash}var i=l.fromPage,u=(l.dataUrl&&G.convertUrlToDataUrl(l.dataUrl))||v.jqmData("url"),n=u,o=G.getFilePath(u),r=Z.getActive(),y=Z.activeIndex===0,p=0,t=f.title,s=l.role==="dialog"||v.jqmData("role")==="dialog";if(i&&i[0]===v[0]&&!l.allowSamePageTransition){R=false;q.trigger("pagechange",z);if(l.fromHashChange){Z.directHashChange({currentUrl:u,isBack:function(){},isForward:function(){}})}return}c(v,l.role);if(l.fromHashChange){Z.directHashChange({currentUrl:u,isBack:function(){p=-1},isForward:function(){p=1}})}try{if(f.activeElement&&f.activeElement.nodeName.toLowerCase()!=="body"){X(f.activeElement).blur()}else{X("input:focus, textarea:focus, select:focus").blur()}}catch(m){}var j=false;if(s&&r){if(r.url.indexOf(J)>-1&&!X.mobile.activePage.is(".ui-dialog")){l.changeHash=false;j=true}u=(r.url||"")+(j?"":J);if(Z.activeIndex===0&&u===Z.initialDst){u+=J}}if(l.changeHash!==false&&u){Z.ignoreNextHashChange=true;G.set(u)}var k=(!r)?t:v.jqmData("title")||v.children(":jqmData(role='header')").find(".ui-title").getEncodedText();if(!!k&&t===f.title){t=k}if(!v.jqmData("title")){v.jqmData("title",t)}l.transition=l.transition||((p&&!y)?r.transition:V)||(s?X.mobile.defaultDialogTransition:X.mobile.defaultPageTransition);if(!p){if(j){Z.activeIndex=Math.max(0,Z.activeIndex-1)}Z.addNew(u,l.transition,t,n,l.role)}f.title=Z.getActive().title;X.mobile.activePage=v;l.reverse=l.reverse||p<0;P(v,i,l.transition,l.reverse).done(function(D,E,A,B,C){O();if(l.duplicateCachedPage){l.duplicateCachedPage.remove()}if(!C){X.mobile.focusPage(v)}H();q.trigger("pagechange",z)})};X.mobile.changePage.defaults={transition:V,reverse:false,changeHash:true,fromHashChange:false,role:V,duplicateCachedPage:V,pageContainer:V,showLoadMsg:true,dataUrl:V,fromPage:V,allowSamePageTransition:false};function U(i){while(i){if((typeof i.nodeName==="string")&&i.nodeName.toLowerCase()==="a"){break}i=i.parentNode}return i}function aa(i){var k=X(i).closest(".ui-page").jqmData("url"),j=a.hrefNoHash;if(!k||!G.isPath(k)){k=j}return G.makeUrlAbsolute(k,j)}X.mobile.navreadyDeferred=X.Deferred();X.mobile.navreadyDeferred.done(function(){X(f).delegate("form","submit",function(k){var i=X(this);if(!X.mobile.ajaxEnabled||i.is(":jqmData(ajax='false')")||!i.jqmHijackable().length){return}var l=i.attr("method"),j=i.attr("target"),m=i.attr("action");if(!m){m=aa(i);if(m===a.hrefNoHash){m=Y.hrefNoSearch}}m=G.makeUrlAbsolute(m,aa(i));if((G.isExternal(m)&&!G.isPermittedCrossDomainRequest(Y,m))||j){return}X.mobile.changePage(m,{type:l&&l.length&&l.toLowerCase()||"get",data:i.serialize(),transition:i.jqmData("transition"),reverse:i.jqmData("direction")==="reverse",reloadPage:true});k.preventDefault()});X(f).bind("vclick",function(i){if(i.which>1||!X.mobile.linkBindingEnabled){return}var j=U(i.target);if(!X(j).jqmHijackable().length){return}if(j){if(G.parseUrl(j.getAttribute("href")||"#").hash!=="#"){O(true);I=X(j).closest(".ui-btn").not(".ui-disabled");I.addClass(X.mobile.activeBtnClass)}}});X(f).bind("click",function(s){if(!X.mobile.linkBindingEnabled){return}var i=U(s.target),k=X(i),o;if(!i||s.which>1||!k.jqmHijackable().length){return}o=function(){e.setTimeout(function(){O(true)},200)};if(k.is(":jqmData(rel='back')")){X.mobile.back();return false}var l=aa(k),q=G.makeUrlAbsolute(k.attr("href")||"#",l);if(!X.mobile.ajaxEnabled&&!G.isEmbeddedPage(q)){o();return}if(q.search("#")!==-1){q=q.replace(/[^#]*#/,"");if(!q){s.preventDefault();return}else{if(G.isPath(q)){q=G.makeUrlAbsolute(q,l)}else{q=G.makeUrlAbsolute("#"+q,Y.hrefNoHash)}}}var p=k.is("[rel='external']")||k.is(":jqmData(ajax='false')")||k.is("[target]"),r=p||(G.isExternal(q)&&!G.isPermittedCrossDomainRequest(Y,q));if(r){o();return}var j=k.jqmData("transition"),m=k.jqmData("direction")==="reverse"||k.jqmData("back"),n=k.attr("data-"+X.mobile.ns+"rel")||V;X.mobile.changePage(q,{transition:j,reverse:m,role:n,link:k});s.preventDefault()});X(f).delegate(".ui-page","pageshow.prefetch",function(){var i=[];X(this).find("a:jqmData(prefetch)").each(function(){var k=X(this),j=k.attr("href");if(j&&X.inArray(j,i)===-1){i.push(j);X.mobile.loadPage(j,{role:k.attr("data-"+X.mobile.ns+"rel")})}})});X.mobile._handleHashChange=function(k){var i=G.stripHash(k),j=X.mobile.urlHistory.stack.length===0?"none":V,l=new X.Event("navigate"),m={transition:j,changeHash:false,fromHashChange:true};if(0===Z.stack.length){Z.initialDst=i}X.mobile.pageContainer.trigger(l);if(l.isDefaultPrevented()){return}if(!X.mobile.hashListeningEnabled||Z.ignoreNextHashChange){Z.ignoreNextHashChange=false;return}if(Z.stack.length>1&&i.indexOf(J)>-1&&Z.initialDst!==i){if(!X.mobile.activePage.is(".ui-dialog")){Z.directHashChange({currentUrl:i,isBack:function(){X.mobile.back()},isForward:function(){e.history.forward()}});return}else{Z.directHashChange({currentUrl:i,either:function(n){var o=X.mobile.urlHistory.getActive();i=o.pageUrl;X.extend(m,{role:o.role,transition:o.transition,reverse:n})}})}}if(i){i=(typeof i==="string"&&!G.isPath(i))?(G.makeUrlAbsolute("#"+i,a)):i;if(i===G.makeUrlAbsolute("#"+Z.initialDst,a)&&Z.stack.length&&Z.stack[0].url!==Z.initialDst.replace(J,"")){i=X.mobile.firstPage}X.mobile.changePage(i,m)}else{X.mobile.changePage(X.mobile.firstPage,m)}};K.bind("hashchange",function(i,j){X.mobile._handleHashChange(G.parseLocation().hash)});X(f).bind("pageshow",ad);X(e).bind("throttledresize",ad)})})(h);(function(c,d){var m={},o=m,a=c(d),n=c.mobile.path.parseLocation(),p=c.Deferred(),b=c.Deferred();c(f).ready(c.proxy(b,"resolve"));c(f).one("mobileinit",c.proxy(p,"resolve"));c.extend(m,{initialFilePath:(function(){return n.pathname+n.search})(),hashChangeTimeout:200,hashChangeEnableTimer:g,initialHref:n.hrefNoHash,state:function(){return{hash:c.mobile.path.parseLocation().hash||"#"+o.initialFilePath,title:f.title,initialHref:o.initialHref}},resetUIKeys:function(l){var k=c.mobile.dialogHashKey,i="&"+c.mobile.subPageUrlKey,j=l.indexOf(k);if(j>-1){l=l.slice(0,j)+"#"+l.slice(j)}else{if(l.indexOf(i)>-1){l=l.split(i).join("#"+i)}}return l},nextHashChangePrevented:function(i){c.mobile.urlHistory.ignoreNextHashChange=i;o.onHashChangeDisabled=i},onHashChange:function(k){if(o.onHashChangeDisabled){return}var i,t,l=c.mobile.path.parseLocation().hash,j=c.mobile.path.isPath(l),s=j?c.mobile.path.getLocation():c.mobile.getDocumentUrl();l=j?l.replace("#",""):l;t=o.state();i=c.mobile.path.makeUrlAbsolute(l,s);if(j){i=o.resetUIKeys(i)}if(location.origin==="file://"&&/chrom(e|ium)/.test(navigator.userAgent.toLowerCase())){return}history.replaceState(t,f.title,i)},onPopState:function(k){var r=k.originalEvent.state,j,l,i;if(r){clearTimeout(o.hashChangeEnableTimer);o.nextHashChangePrevented(false);c.mobile._handleHashChange(r.hash);o.nextHashChangePrevented(true);o.hashChangeEnableTimer=setTimeout(function(){o.nextHashChangePrevented(false)},o.hashChangeTimeout)}},init:function(){a.bind("hashchange",o.onHashChange);a.bind("popstate",o.onPopState);if(location.hash===""){if(location.origin==="file://"&&/chrom(e|ium)/.test(navigator.userAgent.toLowerCase())){return}history.replaceState(o.state(),f.title,c.mobile.path.getLocation())}}});c.when(b,p,c.mobile.navreadyDeferred).done(function(){if(c.mobile.pushStateEnabled&&c.support.pushState){m.init()}})})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.flip="fade"})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.flow="fade"})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.pop="fade"})(h,this);(function(b,c,a){b.mobile.transitionHandlers.slide=b.mobile.transitionHandlers.simultaneous;b.mobile.transitionFallbacks.slide="fade"})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.slidedown="fade"})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.slidefade="fade"})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.slideup="fade"})(h,this);(function(b,c,a){b.mobile.transitionFallbacks.turn="fade"})(h,this);(function(b,a){b.mobile.page.prototype.options.degradeInputs={color:false,date:false,datetime:false,"datetime-local":false,email:false,month:false,number:false,range:"number",search:"text",tel:false,time:false,url:false,week:false};b(f).bind("pagecreate create",function(c){var d=b.mobile.closestPageData(b(c.target)),j;if(!d){return}j=d.options;b(c.target).find("input").not(d.keepNativeSelector()).each(function(){var t=b(this),u=this.getAttribute("type"),r=j.degradeInputs[u]||"text";if(j.degradeInputs[u]){var v=b("<div>").html(t.clone()).html(),s=v.indexOf(" type=")>-1,i=s?/\s+type=["']?\w+['"]?/:/\/?>/,q=' type="'+r+'" data-'+b.mobile.ns+'type="'+u+'"'+(s?"":">");t.replaceWith(v.replace(i,q))}})})})(h);(function(b,c,a){b.widget("mobile.dialog",b.mobile.widget,{options:{closeBtnText:"Close",overlayTheme:"a",initSelector:":jqmData(role='dialog')"},_create:function(){var m=this,l=this.element,n=b("<a href='#' data-"+b.mobile.ns+"icon='delete' data-"+b.mobile.ns+"iconpos='notext'>"+this.options.closeBtnText+"</a>"),d=b("<div/>",{role:"dialog","class":"ui-dialog-contain ui-corner-all ui-overlay-shadow"});l.addClass("ui-dialog ui-overlay-"+this.options.overlayTheme);l.wrapInner(d).children().find(":jqmData(role='header')").prepend(n).end().children(":first-child").addClass("ui-corner-top").end().children(":last-child").addClass("ui-corner-bottom");n.bind("click",function(){m.close()});l.bind("vclick submit",function(i){var j=b(i.target).closest(i.type==="vclick"?"a":"form"),k;if(j.length&&!j.jqmData("transition")){k=b.mobile.urlHistory.getActive()||{};j.attr("data-"+b.mobile.ns+"transition",(k.transition||b.mobile.defaultDialogTransition)).attr("data-"+b.mobile.ns+"direction","reverse")}}).bind("pagehide",function(i,j){b(this).find("."+b.mobile.activeBtnClass).not(".ui-slider-bg").removeClass(b.mobile.activeBtnClass)}).bind("pagebeforeshow",function(){m._isCloseable=true;if(m.options.overlayTheme){m.element.page("removeContainerBackground").page("setContainerBackground",m.options.overlayTheme)}})},close:function(){var d;if(this._isCloseable){this._isCloseable=false;if(b.mobile.hashListeningEnabled){b.mobile.back()}else{d=b.mobile.urlHistory.getPrev().url;if(!b.mobile.path.isPath(d)){d=b.mobile.path.makeUrlAbsolute("#"+d)}b.mobile.changePage(d,{changeHash:false,fromHashChange:true})}}}});b(f).delegate(b.mobile.dialog.prototype.options.initSelector,"pagecreate",function(){b.mobile.dialog.prototype.enhance(this)})})(h,this);(function(b,a){b.mobile.page.prototype.options.backBtnText="Back";b.mobile.page.prototype.options.addBackBtn=false;b.mobile.page.prototype.options.backBtnTheme=null;b.mobile.page.prototype.options.headerTheme="a";b.mobile.page.prototype.options.footerTheme="a";b.mobile.page.prototype.options.contentTheme=null;b(f).bind("pagecreate",function(d){var n=b(d.target),c=n.data("page").options,l=n.jqmData("role"),m=c.theme;b(":jqmData(role='header'), :jqmData(role='footer'), :jqmData(role='content')",n).jqmEnhanceable().each(function(){var j=b(this),w=j.jqmData("role"),v=j.jqmData("theme"),x=v||c.contentTheme||(l==="dialog"&&m),k,i,y,u;j.addClass("ui-"+w);if(w==="header"||w==="footer"){var z=v||(w==="header"?c.headerTheme:c.footerTheme)||m;j.addClass("ui-bar-"+z).attr("role",w==="header"?"banner":"contentinfo");if(w==="header"){k=j.children("a, button");i=k.hasClass("ui-btn-left");y=k.hasClass("ui-btn-right");i=i||k.eq(0).not(".ui-btn-right").addClass("ui-btn-left").length;y=y||k.eq(1).addClass("ui-btn-right").length}if(c.addBackBtn&&w==="header"&&b(".ui-page").length>1&&n.jqmData("url")!==b.mobile.path.stripHash(location.hash)&&!i){u=b("<a href='javascript:void(0);' class='ui-btn-left' data-"+b.mobile.ns+"rel='back' data-"+b.mobile.ns+"icon='arrow-l'>"+c.backBtnText+"</a>").attr("data-"+b.mobile.ns+"theme",c.backBtnTheme||z).prependTo(j)}j.children("h1, h2, h3, h4, h5, h6").addClass("ui-title").attr({role:"heading","aria-level":"1"})}else{if(w==="content"){if(x){j.addClass("ui-body-"+(x))}j.attr("role","main")}}})})})(h);(function(b,a){b.fn.fieldcontain=function(c){return this.addClass("ui-field-contain ui-body ui-br").contents().filter(function(){return(this.nodeType===3&&!/\S/.test(this.nodeValue))}).remove()};b(f).bind("pagecreate create",function(c){b(":jqmData(role='fieldcontain')",c.target).jqmEnhanceable().fieldcontain()})})(h);(function(b,a){b.fn.grid=function(c){return this.each(function(){var o=b(this),d=b.extend({grid:null},c),t=o.children(),q={solo:1,a:2,b:3,c:4,d:5},s=d.grid,r;if(!s){if(t.length<=5){for(var p in q){if(q[p]===t.length){s=p}}}else{s="a";o.addClass("ui-grid-duo")}}r=q[s];o.addClass("ui-grid-"+s);t.filter(":nth-child("+r+"n+1)").addClass("ui-block-a");if(r>1){t.filter(":nth-child("+r+"n+2)").addClass("ui-block-b")}if(r>2){t.filter(":nth-child("+r+"n+3)").addClass("ui-block-c")}if(r>3){t.filter(":nth-child("+r+"n+4)").addClass("ui-block-d")}if(r>4){t.filter(":nth-child("+r+"n+5)").addClass("ui-block-e")}})}})(h);(function(b,a){b(f).bind("pagecreate create",function(c){b(":jqmData(role='nojs')",c.target).addClass("ui-nojs")})})(h);(function(c,b){c.fn.buttonMarkup=function(F){var o=this,L=function(j,k){A.setAttribute("data-"+c.mobile.ns+j,k);D.jqmData(j,k)};F=(F&&(c.type(F)==="object"))?F:{};for(var C=0;C<o.length;C++){var D=o.eq(C),A=D[0],E=c.extend({},c.fn.buttonMarkup.defaults,{icon:F.icon!==b?F.icon:D.jqmData("icon"),iconpos:F.iconpos!==b?F.iconpos:D.jqmData("iconpos"),theme:F.theme!==b?F.theme:D.jqmData("theme")||c.mobile.getInheritedTheme(D,"c"),inline:F.inline!==b?F.inline:D.jqmData("inline"),shadow:F.shadow!==b?F.shadow:D.jqmData("shadow"),corners:F.corners!==b?F.corners:D.jqmData("corners"),iconshadow:F.iconshadow!==b?F.iconshadow:D.jqmData("iconshadow"),mini:F.mini!==b?F.mini:D.jqmData("mini")},F),I="ui-btn-inner",J="ui-btn-text",H,i,B,K,z,G;c.each(E,L);if(D.jqmData("rel")==="popup"&&D.attr("href")){A.setAttribute("aria-haspopup",true);A.setAttribute("aria-owns",A.getAttribute("href"))}G=c.data(((A.tagName==="INPUT"||A.tagName==="BUTTON")?A.parentNode:A),"buttonElements");if(G){A=G.outer;D=c(A);B=G.inner;K=G.text;c(G.icon).remove();G.icon=null}else{B=f.createElement(E.wrapperEls);K=f.createElement(E.wrapperEls)}z=E.icon?f.createElement("span"):null;if(d&&!G){d()}if(!E.theme){E.theme=c.mobile.getInheritedTheme(D,"c")}H="ui-btn ui-btn-up-"+E.theme;H+=E.shadow?" ui-shadow":"";H+=E.corners?" ui-btn-corner-all":"";if(E.mini!==b){H+=E.mini===true?" ui-mini":" ui-fullsize"}if(E.inline!==b){H+=E.inline===true?" ui-btn-inline":" ui-btn-block"}if(E.icon){E.icon="ui-icon-"+E.icon;E.iconpos=E.iconpos||"left";i="ui-icon "+E.icon;if(E.iconshadow){i+=" ui-icon-shadow"}}if(E.iconpos){H+=" ui-btn-icon-"+E.iconpos;if(E.iconpos==="notext"&&!D.attr("title")){D.attr("title",D.getEncodedText())}}I+=E.corners?" ui-btn-corner-all":"";if(E.iconpos&&E.iconpos==="notext"&&!D.attr("title")){D.attr("title",D.getEncodedText())}if(G){D.removeClass(G.bcls||"")}D.removeClass("ui-link").addClass(H);B.className=I;K.className=J;if(!G){B.appendChild(K)}if(z){z.className=i;if(!(G&&G.icon)){z.innerHTML="&#160;";B.appendChild(z)}}while(A.firstChild&&!G){K.appendChild(A.firstChild)}if(!G){A.appendChild(B)}G={bcls:H,outer:A,inner:B,text:K,icon:z};c.data(A,"buttonElements",G);c.data(B,"buttonElements",G);c.data(K,"buttonElements",G);if(z){c.data(z,"buttonElements",G)}}return this};c.fn.buttonMarkup.defaults={corners:true,shadow:true,iconshadow:true,wrapperEls:"span"};function a(k){var l;while(k){l=(typeof k.className==="string")&&(k.className+" ");if(l&&l.indexOf("ui-btn ")>-1&&l.indexOf("ui-disabled ")<0){break}k=k.parentNode}return k}var d=function(){var m=c.mobile.buttonMarkup.hoverDelay,l,n;c(f).bind({"vmousedown vmousecancel vmouseup vmouseover vmouseout focus blur scrollstart":function(r){var k,i=c(a(r.target)),q=r.originalEvent&&/^touch/.test(r.originalEvent.type),j=r.type;if(i.length){k=i.attr("data-"+c.mobile.ns+"theme");if(j==="vmousedown"){if(q){l=setTimeout(function(){i.removeClass("ui-btn-up-"+k).addClass("ui-btn-down-"+k)},m)}else{i.removeClass("ui-btn-up-"+k).addClass("ui-btn-down-"+k)}}else{if(j==="vmousecancel"||j==="vmouseup"){i.removeClass("ui-btn-down-"+k).addClass("ui-btn-up-"+k)}else{if(j==="vmouseover"||j==="focus"){if(q){n=setTimeout(function(){i.removeClass("ui-btn-up-"+k).addClass("ui-btn-hover-"+k)},m)}else{i.removeClass("ui-btn-up-"+k).addClass("ui-btn-hover-"+k)}}else{if(j==="vmouseout"||j==="blur"||j==="scrollstart"){i.removeClass("ui-btn-hover-"+k+" ui-btn-down-"+k).addClass("ui-btn-up-"+k);if(l){clearTimeout(l)}if(n){clearTimeout(n)}}}}}}},"focusin focus":function(i){c(a(i.target)).addClass(c.mobile.focusClass)},"focusout blur":function(i){c(a(i.target)).removeClass(c.mobile.focusClass)}});d=null};c(f).bind("pagecreate create",function(j){c(":jqmData(role='button'), .ui-bar > a, .ui-header > a, .ui-footer > a, .ui-bar > :jqmData(role='controlgroup') > a",j.target).jqmEnhanceable().not("button, input, .ui-btn, :jqmData(role='none'), :jqmData(role='nojs')").buttonMarkup()})})(h);(function(b,a){b.widget("mobile.collapsible",b.mobile.widget,{options:{expandCueText:" click to expand contents",collapseCueText:" click to collapse contents",collapsed:true,heading:"h1,h2,h3,h4,h5,h6,legend",theme:null,contentTheme:null,inset:true,mini:false,initSelector:":jqmData(role='collapsible')"},_create:function(){var o=this.element,c=this.options,d=o.addClass("ui-collapsible"),r=o.children(c.heading).first(),p=o.jqmData("collapsed-icon")||c.collapsedIcon,s=o.jqmData("expanded-icon")||c.expandedIcon,t=d.wrapInner("<div class='ui-collapsible-content'></div>").children(".ui-collapsible-content"),q=o.closest(":jqmData(role='collapsible-set')").addClass("ui-collapsible-set");if(r.is("legend")){r=b("<div role='heading'>"+r.html()+"</div>").insertBefore(r);r.next().remove()}if(q.length){if(!c.theme){c.theme=q.jqmData("theme")||b.mobile.getInheritedTheme(q,"c")}if(!c.contentTheme){c.contentTheme=q.jqmData("content-theme")}if(!c.collapsedIcon){c.collapsedIcon=q.jqmData("collapsed-icon")}if(!c.expandedIcon){c.expandedIcon=q.jqmData("expanded-icon")}if(!c.iconPos){c.iconPos=q.jqmData("iconpos")}if(q.jqmData("inset")!==a){c.inset=q.jqmData("inset")}else{c.inset=true}if(!c.mini){c.mini=q.jqmData("mini")}}else{if(!c.theme){c.theme=b.mobile.getInheritedTheme(o,"c")}}if(!!c.inset){d.addClass("ui-collapsible-inset")}t.addClass((c.contentTheme)?("ui-body-"+c.contentTheme):"");p=o.jqmData("collapsed-icon")||c.collapsedIcon||"plus";s=o.jqmData("expanded-icon")||c.expandedIcon||"minus";r.insertBefore(t).addClass("ui-collapsible-heading").append("<span class='ui-collapsible-heading-status'></span>").wrapInner("<a href='#' class='ui-collapsible-heading-toggle'></a>").find("a").first().buttonMarkup({shadow:false,corners:false,iconpos:o.jqmData("iconpos")||c.iconPos||"left",icon:p,mini:c.mini,theme:c.theme});if(!!c.inset){r.find("a").first().add(".ui-btn-inner",o).addClass("ui-corner-top ui-corner-bottom")}d.bind("expand collapse",function(k){if(!k.isDefaultPrevented()){var i=b(this),j=(k.type==="collapse"),l=c.contentTheme;k.preventDefault();r.toggleClass("ui-collapsible-heading-collapsed",j).find(".ui-collapsible-heading-status").text(j?c.expandCueText:c.collapseCueText).end().find(".ui-icon").toggleClass("ui-icon-"+s,!j).toggleClass("ui-icon-"+p,(j||s===p)).end().find("a").first().removeClass(b.mobile.activeBtnClass);i.toggleClass("ui-collapsible-collapsed",j);t.toggleClass("ui-collapsible-content-collapsed",j).attr("aria-hidden",j);if(l&&!!c.inset&&(!q.length||d.jqmData("collapsible-last"))){r.find("a").first().add(r.find(".ui-btn-inner")).toggleClass("ui-corner-bottom",j);t.toggleClass("ui-corner-bottom",!j)}t.trigger("updatelayout")}}).trigger(c.collapsed?"collapse":"expand");r.bind("tap",function(i){r.find("a").first().addClass(b.mobile.activeBtnClass)}).bind("click",function(i){var j=r.is(".ui-collapsible-heading-collapsed")?"expand":"collapse";d.trigger(j);i.preventDefault();i.stopPropagation()})}});b(f).bind("pagecreate create",function(c){b.mobile.collapsible.prototype.enhanceWithin(c.target)})})(h);(function(b,a){b.widget("mobile.collapsibleset",b.mobile.widget,{options:{initSelector:":jqmData(role='collapsible-set')"},_create:function(){var d=this.element.addClass("ui-collapsible-set"),c=this.options;if(!c.theme){c.theme=b.mobile.getInheritedTheme(d,"c")}if(!c.contentTheme){c.contentTheme=d.jqmData("content-theme")}if(d.jqmData("inset")!==a){c.inset=d.jqmData("inset")}c.inset=c.inset!==a?c.inset:true;if(!d.jqmData("collapsiblebound")){d.jqmData("collapsiblebound",true).bind("expand collapse",function(o){var m=(o.type==="collapse"),p=b(o.target).closest(".ui-collapsible"),n=p.data("collapsible");if(p.jqmData("collapsible-last")&&!!c.inset){p.find(".ui-collapsible-heading").first().find("a").first().toggleClass("ui-corner-bottom",m).find(".ui-btn-inner").toggleClass("ui-corner-bottom",m);p.find(".ui-collapsible-content").toggleClass("ui-corner-bottom",!m)}}).bind("expand",function(k){var l=b(k.target).closest(".ui-collapsible");if(l.parent().is(":jqmData(role='collapsible-set')")){l.siblings(".ui-collapsible").trigger("collapse")}})}},_init:function(){var d=this.element,c=d.children(":jqmData(role='collapsible')"),j=c.filter(":jqmData(collapsed='false')");this.refresh();j.trigger("expand")},refresh:function(){var j=this.element,c=this.options,d=j.children(":jqmData(role='collapsible')");b.mobile.collapsible.prototype.enhance(d.not(".ui-collapsible"));if(!!c.inset){d.each(function(){b(this).jqmRemoveData("collapsible-last").find(".ui-collapsible-heading").find("a").first().removeClass("ui-corner-top ui-corner-bottom").find(".ui-btn-inner").removeClass("ui-corner-top ui-corner-bottom")});d.first().find("a").first().addClass("ui-corner-top").find(".ui-btn-inner").addClass("ui-corner-top");d.last().jqmData("collapsible-last",true).find("a").first().addClass("ui-corner-bottom").find(".ui-btn-inner").addClass("ui-corner-bottom")}}});b(f).bind("pagecreate create",function(c){b.mobile.collapsibleset.prototype.enhanceWithin(c.target)})})(h);(function(b,a){b.widget("mobile.navbar",b.mobile.widget,{options:{iconpos:"top",grid:null,initSelector:":jqmData(role='navbar')"},_create:function(){var c=this.element,j=c.find("a"),d=j.filter(":jqmData(icon)").length?this.options.iconpos:a;c.addClass("ui-navbar ui-mini").attr("role","navigation").find("ul").jqmEnhanceable().grid({grid:this.options.grid});j.buttonMarkup({corners:false,shadow:false,inline:true,iconpos:d});c.delegate("a","vclick",function(i){if(!b(i.target).hasClass("ui-disabled")){j.removeClass(b.mobile.activeBtnClass);b(this).addClass(b.mobile.activeBtnClass)}});c.closest(".ui-page").bind("pagebeforeshow",function(){j.filter(".ui-state-persist").addClass(b.mobile.activeBtnClass)})}});b(f).bind("pagecreate create",function(c){b.mobile.navbar.prototype.enhanceWithin(c.target)})})(h);(function(c,a){var b={};c.widget("mobile.listview",c.mobile.widget,{options:{theme:null,countTheme:"c",headerTheme:"b",dividerTheme:"b",splitIcon:"arrow-r",splitTheme:"b",inset:false,initSelector:":jqmData(role='listview')"},_create:function(){var d=this,j="";j+=d.options.inset?" ui-listview-inset ui-corner-all ui-shadow ":"";d.element.addClass(function(l,i){return i+" ui-listview "+j});d.refresh(true)},_removeCorners:function(n,l){var m="ui-corner-top ui-corner-tr ui-corner-tl",d="ui-corner-bottom ui-corner-br ui-corner-bl";n=n.add(n.find(".ui-btn-inner, .ui-li-link-alt, .ui-li-thumb"));if(l==="top"){n.removeClass(m)}else{if(l==="bottom"){n.removeClass(d)}else{n.removeClass(m+" "+d)}}},_refreshCorners:function(n){var d,o,p,m;d=this.element.children("li");o=n||d.filter(":visible").length===0?d.not(".ui-screen-hidden"):d.filter(":visible");d.filter(".ui-li-last").removeClass("ui-li-last");if(this.options.inset){this._removeCorners(d);p=o.first().addClass("ui-corner-top");p.add(p.find(".ui-btn-inner").not(".ui-li-link-alt span:first-child")).addClass("ui-corner-top").end().find(".ui-li-link-alt, .ui-li-link-alt span:first-child").addClass("ui-corner-tr").end().find(".ui-li-thumb").not(".ui-li-icon").addClass("ui-corner-tl");m=o.last().addClass("ui-corner-bottom ui-li-last");m.add(m.find(".ui-btn-inner")).find(".ui-li-link-alt").addClass("ui-corner-br").end().find(".ui-li-thumb").not(".ui-li-icon").addClass("ui-corner-bl")}else{o.last().addClass("ui-li-last")}if(!n){this.element.trigger("updatelayout")}},_findFirstElementByTagName:function(m,o,p,n){var d={};d[p]=d[n]=true;while(m){if(d[m.nodeName]){return m}m=m[o]}return null},_getChildrenByTagName:function(m,o,n){var p=[],d={};d[o]=d[n]=true;m=m.firstChild;while(m){if(d[m.nodeName]){p.push(m)}m=m.nextSibling}return c(p)},_addThumbClasses:function(d){var i,m,n=d.length;for(i=0;i<n;i++){m=c(this._findFirstElementByTagName(d[i].firstChild,"nextSibling","img","IMG"));if(m.length){m.addClass("ui-li-thumb");c(this._findFirstElementByTagName(m[0].parentNode,"parentNode","li","LI")).addClass(m.is(".ui-li-icon")?"ui-li-has-icon":"ui-li-has-thumb")}}},refresh:function(O){this.parentPage=this.element.closest(".ui-page");this._createSubPages();var Y=this.options,al=this.element,ab=this,L=al.jqmData("dividertheme")||Y.dividerTheme,M=al.jqmData("splittheme"),ac=al.jqmData("spliticon"),ae=this._getChildrenByTagName(al[0],"li","LI"),o=!!c.nodeName(al[0],"ol"),R=!c.support.cssPseudoElement,af=al.attr("start"),Q={},P,ak,S,N,U,ag,W,ah,V,aj,T,aa,d,ad;if(o&&R){al.find(".ui-li-dec").remove()}if(o){if(af||af===0){if(!R){ah=parseFloat(af)-1;al.css("counter-reset","listnumbering "+ah)}else{W=parseFloat(af)}}else{if(R){W=1}}}if(!Y.theme){Y.theme=c.mobile.getInheritedTheme(this.element,"c")}for(var X=0,ai=ae.length;X<ai;X++){P=ae.eq(X);ak="ui-li";if(O||!P.hasClass("ui-li")){S=P.jqmData("theme")||Y.theme;N=this._getChildrenByTagName(P[0],"a","A");var Z=(P.jqmData("role")==="list-divider");if(N.length&&!Z){T=P.jqmData("icon");P.buttonMarkup({wrapperEls:"div",shadow:false,corners:false,iconpos:"right",icon:N.length>1||T===false?false:T||"arrow-r",theme:S});if((T!==false)&&(N.length===1)){P.addClass("ui-li-has-arrow")}N.first().removeClass("ui-link").addClass("ui-link-inherit");if(N.length>1){ak+=" ui-li-has-alt";U=N.last();ag=M||U.jqmData("theme")||Y.splitTheme;ad=U.jqmData("icon");U.appendTo(P).attr("title",U.getEncodedText()).addClass("ui-li-link-alt").empty().buttonMarkup({shadow:false,corners:false,theme:S,icon:false,iconpos:"notext"}).find(".ui-btn-inner").append(c(f.createElement("span")).buttonMarkup({shadow:true,corners:true,theme:ag,iconpos:"notext",icon:ad||T||ac||Y.splitIcon}))}}else{if(Z){ak+=" ui-li-divider ui-bar-"+L;P.attr("role","heading");if(o){if(af||af===0){if(!R){V=parseFloat(af)-1;P.css("counter-reset","listnumbering "+V)}else{W=parseFloat(af)}}else{if(R){W=1}}}}else{ak+=" ui-li-static ui-btn-up-"+S}}}if(o&&R&&ak.indexOf("ui-li-divider")<0){aj=ak.indexOf("ui-li-static")>0?P:P.find(".ui-link-inherit");aj.addClass("ui-li-jsnumbering").prepend("<span class='ui-li-dec'>"+(W++)+". </span>")}if(!Q[ak]){Q[ak]=[]}Q[ak].push(P[0])}for(ak in Q){c(Q[ak]).addClass(ak).children(".ui-btn-inner").addClass(ak)}al.find("h1, h2, h3, h4, h5, h6").addClass("ui-li-heading").end().find("p, dl").addClass("ui-li-desc").end().find(".ui-li-aside").each(function(){var i=c(this);i.prependTo(i.parent())}).end().find(".ui-li-count").each(function(){c(this).closest("li").addClass("ui-li-has-count")}).addClass("ui-btn-up-"+(al.jqmData("counttheme")||this.options.countTheme)+" ui-btn-corner-all");this._addThumbClasses(ae);this._addThumbClasses(al.find(".ui-link-inherit"));this._refreshCorners(O);this._trigger("afterrefresh")},_idStringEscape:function(d){return d.replace(/[^a-zA-Z0-9]/g,"-")},_createSubPages:function(){var o=this.element,d=o.closest(".ui-page"),z=d.jqmData("url"),w=z||d[0][c.expando],y=o.attr("id"),x=this.options,v="data-"+c.mobile.ns,B=this,t=d.find(":jqmData(role='footer')").jqmData("id"),A;if(typeof b[w]==="undefined"){b[w]=-1}y=y||++b[w];c(o.find("li>ul, li>ol").toArray().reverse()).each(function(p){var i=this,m=c(this),n=m.attr("id")||y+"-"+p,j=m.parent(),s=c(m.prevAll().toArray().reverse()),H=s.length?s:c("<span>"+c.trim(j.contents()[0].nodeValue)+"</span>"),k=H.first().getEncodedText(),l=(z||"")+"&"+c.mobile.subPageUrlKey+"="+n,q=m.jqmData("theme")||x.theme,G=m.jqmData("counttheme")||o.jqmData("counttheme")||x.countTheme,F,r;A=true;F=m.detach().wrap("<div "+v+"role='page' "+v+"url='"+l+"' "+v+"theme='"+q+"' "+v+"count-theme='"+G+"'><div "+v+"role='content'></div></div>").parent().before("<div "+v+"role='header' "+v+"theme='"+x.headerTheme+"'><div class='ui-title'>"+k+"</div></div>").after(t?c("<div "+v+"role='footer' "+v+"id='"+t+"'>"):"").parent().appendTo(c.mobile.pageContainer);F.page();r=j.find("a:first");if(!r.length){r=c("<a/>").html(H||k).prependTo(j.empty())}r.attr("href","#"+l)}).listview();if(A&&d.is(":jqmData(external-page='true')")&&d.data("page").options.domCache===false){var u=function(i,j){var m=j.nextPage,l,k=new c.Event("pageremove");if(j.nextPage){l=m.jqmData("url");if(l.indexOf(z+"&"+c.mobile.subPageUrlKey)!==0){B.childPages().remove();d.trigger(k);if(!k.isDefaultPrevented()){d.removeWithDependents()}}}};d.unbind("pagehide.remove").bind("pagehide.remove",u)}},childPages:function(){var d=this.parentPage.jqmData("url");return c(":jqmData(url^='"+d+"&"+c.mobile.subPageUrlKey+"')")}});c(f).bind("pagecreate create",function(d){c.mobile.listview.prototype.enhanceWithin(d.target)})})(h);(function(b,a){b.mobile.listview.prototype.options.autodividers=false;b.mobile.listview.prototype.options.autodividersSelector=function(d){var c=d.text()||null;if(!c){return null}c=c.slice(0,1).toUpperCase();return c};b(f).delegate("ul,ol","listviewcreate",function(){var c=b(this),d=c.data("listview");if(!d||!d.options.autodividers){return}var k=function(){c.find("li:jqmData(role='list-divider')").remove();var i=c.find("li"),j=null,q,r;for(var t=0;t<i.length;t++){q=i[t];r=d.options.autodividersSelector(b(q));if(r&&j!==r){var s=f.createElement("li");s.appendChild(f.createTextNode(r));s.setAttribute("data-"+b.mobile.ns+"role","list-divider");q.parentNode.insertBefore(s,q)}j=r}};var l=function(){c.unbind("listviewafterrefresh",l);k();d.refresh();c.bind("listviewafterrefresh",l)};l()})})(h);(function(b,a){b.widget("mobile.checkboxradio",b.mobile.widget,{options:{theme:null,initSelector:"input[type='checkbox'],input[type='radio']"},_create:function(){var H=this,L=this.element,z=function(i,j){return i.jqmData(j)||i.closest("form, fieldset").jqmData(j)},A=b(L).closest("label"),c=A.length?A:b(L).closest("form, fieldset, :jqmData(role='page'), :jqmData(role='dialog')").find("label").filter("[for='"+L[0].id+"']").first(),J=L[0].type,B=z(L,"mini"),I=J+"-on",K=J+"-off",x=L.parents(":jqmData(type='horizontal')").length?a:K,y=z(L,"iconpos"),F=x?"":" "+b.mobile.activeBtnClass,C="ui-"+I+F,D="ui-"+K,d="ui-icon-"+I,G="ui-icon-"+K;if(J!=="checkbox"&&J!=="radio"){return}b.extend(this,{label:c,inputtype:J,checkedClass:C,uncheckedClass:D,checkedicon:d,uncheckedicon:G});if(!this.options.theme){this.options.theme=b.mobile.getInheritedTheme(this.element,"c")}c.buttonMarkup({theme:this.options.theme,icon:x,shadow:false,mini:B,iconpos:y});var E=f.createElement("div");E.className="ui-"+J;L.add(c).wrapAll(E);c.bind({vmouseover:function(i){if(b(this).parent().is(".ui-disabled")){i.stopPropagation()}},vclick:function(i){if(L.is(":disabled")){i.preventDefault();return}H._cacheVals();L.prop("checked",J==="radio"&&true||!L.prop("checked"));L.triggerHandler("click");H._getInputSet().not(L).prop("checked",false);H._updateAll();return false}});L.bind({vmousedown:function(){H._cacheVals()},vclick:function(){var i=b(this);if(i.is(":checked")){i.prop("checked",true);H._getInputSet().not(i).prop("checked",false)}else{i.prop("checked",false)}H._updateAll()},focus:function(){c.addClass(b.mobile.focusClass)},blur:function(){c.removeClass(b.mobile.focusClass)}});this.refresh()},_cacheVals:function(){this._getInputSet().each(function(){b(this).jqmData("cacheVal",this.checked)})},_getInputSet:function(){if(this.inputtype==="checkbox"){return this.element}return this.element.closest("form, fieldset, :jqmData(role='page'), :jqmData(role='dialog')").find("input[name='"+this.element[0].name+"'][type='"+this.inputtype+"']")},_updateAll:function(){var c=this;this._getInputSet().each(function(){var d=b(this);if(this.checked||c.inputtype==="checkbox"){d.trigger("change")}}).checkboxradio("refresh")},refresh:function(){var j=this.element[0],d=this.label,c=d.find(".ui-icon");if(j.checked){d.addClass(this.checkedClass).removeClass(this.uncheckedClass);c.addClass(this.checkedicon).removeClass(this.uncheckedicon)}else{d.removeClass(this.checkedClass).addClass(this.uncheckedClass);c.removeClass(this.checkedicon).addClass(this.uncheckedicon)}if(j.disabled){this.disable()}else{this.enable()}},disable:function(){this.element.prop("disabled",true).parent().addClass("ui-disabled")},enable:function(){this.element.prop("disabled",false).parent().removeClass("ui-disabled")}});b(f).bind("pagecreate create",function(c){b.mobile.checkboxradio.prototype.enhanceWithin(c.target,true)})})(h);(function(b,a){b.widget("mobile.button",b.mobile.widget,{options:{theme:null,icon:null,iconpos:null,corners:true,shadow:true,iconshadow:true,initSelector:"button, [type='button'], [type='submit'], [type='reset']"},_create:function(){var c=this.element,v,t=this.options,d,u,o=t.inline||c.jqmData("inline"),q=t.mini||c.jqmData("mini"),s="",r;if(c[0].tagName==="A"){if(!c.hasClass("ui-btn")){c.buttonMarkup()}return}if(!this.options.theme){this.options.theme=b.mobile.getInheritedTheme(this.element,"c")}if(!!~c[0].className.indexOf("ui-btn-left")){s="ui-btn-left"}if(!!~c[0].className.indexOf("ui-btn-right")){s="ui-btn-right"}if(c.attr("type")==="submit"||c.attr("type")==="reset"){s?s+=" ui-submit":s="ui-submit"}b("label[for='"+c.attr("id")+"']").addClass("ui-submit");this.button=b("<div></div>")[c.html()?"html":"text"](c.html()||c.val()).insertBefore(c).buttonMarkup({theme:t.theme,icon:t.icon,iconpos:t.iconpos,inline:o,corners:t.corners,shadow:t.shadow,iconshadow:t.iconshadow,mini:q}).addClass(s).append(c.addClass("ui-btn-hidden"));v=this.button;d=c.attr("type");u=c.attr("name");if(d!=="button"&&d!=="reset"&&u){c.bind("vclick",function(){if(r===a){r=b("<input>",{type:"hidden",name:c.attr("name"),value:c.attr("value")}).insertBefore(c);b(f).one("submit",function(){r.remove();r=a})}})}c.bind({focus:function(){v.addClass(b.mobile.focusClass)},blur:function(){v.removeClass(b.mobile.focusClass)}});this.refresh()},enable:function(){this.element.attr("disabled",false);this.button.removeClass("ui-disabled").attr("aria-disabled",false);return this._setOption("disabled",false)},disable:function(){this.element.attr("disabled",true);this.button.addClass("ui-disabled").attr("aria-disabled",true);return this._setOption("disabled",true)},refresh:function(){var c=this.element;if(c.prop("disabled")){this.disable()}else{this.enable()}b(this.button.data("buttonElements").text)[c.html()?"html":"text"](c.html()||c.val())}});b(f).bind("pagecreate create",function(c){b.mobile.button.prototype.enhanceWithin(c.target,true)})})(h);(function(b,a){b.fn.controlgroup=function(d){function c(k,l){k.removeClass("ui-btn-corner-all ui-corner-top ui-corner-bottom ui-corner-left ui-corner-right ui-controlgroup-last ui-shadow").eq(0).addClass(l[0]).end().last().addClass(l[1]).addClass("ui-controlgroup-last")}return this.each(function(){var r=b(this),o=b.extend({direction:r.jqmData("type")||"vertical",shadow:false,excludeInvisible:true,mini:r.jqmData("mini")},d),u=r.children("legend"),v=r.children(".ui-controlgroup-label"),s=r.children(".ui-controlgroup-controls"),t=o.direction==="horizontal"?["ui-corner-left","ui-corner-right"]:["ui-corner-top","ui-corner-bottom"],q=r.find("input").first().attr("type");if(s.length){s.contents().unwrap()}r.wrapInner("<div class='ui-controlgroup-controls'></div>");if(u.length){b("<div role='heading' class='ui-controlgroup-label'>"+u.html()+"</div>").insertBefore(r.children(0));u.remove()}else{if(v.length){r.prepend(v)}}r.addClass("ui-corner-all ui-controlgroup ui-controlgroup-"+o.direction);c(r.find(".ui-btn"+(o.excludeInvisible?":visible":"")).not(".ui-slider-handle"),t);c(r.find(".ui-btn-inner"),t);if(o.shadow){r.addClass("ui-shadow")}if(o.mini){r.addClass("ui-mini")}})}})(h);(function(b,a){b(f).bind("pagecreate create",function(c){b(c.target).find("a").jqmEnhanceable().not(".ui-btn, .ui-link-inherit, :jqmData(role='none'), :jqmData(role='nojs')").addClass("ui-link")})})(h);(function(b,a){function c(q,o,n,p){var r=p;if(q<o){r=n+(q-o)/2}else{r=Math.min(Math.max(n,p-o/2),n+q-o)}return r}function d(){var j=b(e);return{x:j.scrollLeft(),y:j.scrollTop(),cx:(e.innerWidth||j.width()),cy:(e.innerHeight||j.height())}}b.widget("mobile.popup",b.mobile.widget,{options:{theme:null,overlayTheme:null,shadow:true,corners:true,transition:"none",positionTo:"origin",tolerance:null,initSelector:":jqmData(role='popup')",closeLinkSelector:"a:jqmData(rel='back')",closeLinkEvents:"click.popup",navigateEvents:"navigate.popup",closeEvents:"navigate.popup pagebeforechange.popup",history:!b.mobile.browser.ie},_eatEventAndClose:function(j){j.preventDefault();j.stopImmediatePropagation();this.close();return false},_resizeScreen:function(){var j=this._ui.container.outerHeight(true);this._ui.screen.removeAttr("style");if(j>this._ui.screen.height()){this._ui.screen.height(j)}},_handleWindowKeyUp:function(j){if(this._isOpen&&j.keyCode===b.mobile.keyCode.ESCAPE){return this._eatEventAndClose(j)}},_maybeRefreshTimeout:function(){var j=d();if(this._resizeData){if(j.x===this._resizeData.winCoords.x&&j.y===this._resizeData.winCoords.y&&j.cx===this._resizeData.winCoords.cx&&j.cy===this._resizeData.winCoords.cy){return false}else{clearTimeout(this._resizeData.timeoutId)}}this._resizeData={timeoutId:setTimeout(b.proxy(this,"_resizeTimeout"),200),winCoords:j};return true},_resizeTimeout:function(){if(!this._maybeRefreshTimeout()){this._trigger("beforeposition");this._ui.container.removeClass("ui-selectmenu-hidden").offset(this._placementCoords(this._desiredCoords(a,a,"window")));this._resizeScreen();this._resizeData=null;this._orientationchangeInProgress=false}},_handleWindowResize:function(j){if(this._isOpen){this._maybeRefreshTimeout()}},_handleWindowOrientationchange:function(j){if(!this._orientationchangeInProgress){this._ui.container.addClass("ui-selectmenu-hidden").removeAttr("style");this._orientationchangeInProgress=true}},_create:function(){var m={screen:b("<div class='ui-screen-hidden ui-popup-screen'></div>"),placeholder:b("<div style='display: none;'><!-- placeholder --></div>"),container:b("<div class='ui-popup-container ui-selectmenu-hidden'></div>")},n=this.element.closest(".ui-page"),o=this.element.attr("id"),p=this;this.options.history=this.options.history&&b.mobile.ajaxEnabled&&b.mobile.hashListeningEnabled;if(n.length===0){n=b("body")}this.options.container=this.options.container||b.mobile.pageContainer;n.append(m.screen);m.container.insertAfter(m.screen);m.placeholder.insertAfter(this.element);if(o){m.screen.attr("id",o+"-screen");m.container.attr("id",o+"-popup");m.placeholder.html("<!-- placeholder for "+o+" -->")}m.container.append(this.element);this.element.addClass("ui-popup");b.extend(this,{_page:n,_ui:m,_fallbackTransition:"",_currentTransition:false,_prereqs:null,_isOpen:false,_tolerance:null,_resizeData:null,_orientationchangeInProgress:false,_globalHandlers:[{src:b(e),handler:{orientationchange:b.proxy(this,"_handleWindowOrientationchange"),resize:b.proxy(this,"_handleWindowResize"),keyup:b.proxy(this,"_handleWindowKeyUp")}}]});b.each(this.options,function(i,j){p.options[i]=a;p._setOption(i,j,true)});m.screen.bind("vclick",b.proxy(this,"_eatEventAndClose"));b.each(this._globalHandlers,function(i,j){j.src.bind(j.handler)})},_applyTheme:function(v,w,q){var t=(v.attr("class")||"").split(" "),x=true,s=null,r,u=String(w);while(t.length>0){s=t.pop();r=(new RegExp("^ui-"+q+"-([a-z])$")).exec(s);if(r&&r.length>1){s=r[1];break}else{s=null}}if(w!==s){v.removeClass("ui-"+q+"-"+s);if(!(w===null||w==="none")){v.addClass("ui-"+q+"-"+u)}}},_setTheme:function(j){this._applyTheme(this.element,j,"body")},_setOverlayTheme:function(j){this._applyTheme(this._ui.screen,j,"overlay");if(this._isOpen){this._ui.screen.addClass("in")}},_setShadow:function(j){this.element.toggleClass("ui-overlay-shadow",j)},_setCorners:function(j){this.element.toggleClass("ui-corner-all",j)},_applyTransition:function(j){this._ui.container.removeClass(this._fallbackTransition);if(j&&j!=="none"){this._fallbackTransition=b.mobile._maybeDegradeTransition(j);this._ui.container.addClass(this._fallbackTransition)}},_setTransition:function(j){if(!this._currentTransition){this._applyTransition(j)}},_setTolerance:function(l){var n={t:30,r:15,b:30,l:15};if(l){var m=String(l).split(",");b.each(m,function(j,i){m[j]=parseInt(i,10)});switch(m.length){case 1:if(!isNaN(m[0])){n.t=n.r=n.b=n.l=m[0]}break;case 2:if(!isNaN(m[0])){n.t=n.b=m[0]}if(!isNaN(m[1])){n.l=n.r=m[1]}break;case 4:if(!isNaN(m[0])){n.t=m[0]}if(!isNaN(m[1])){n.r=m[1]}if(!isNaN(m[2])){n.b=m[2]}if(!isNaN(m[3])){n.l=m[3]}break;default:break}}this._tolerance=n},_setOption:function(o,n){var p,m="_set"+o.charAt(0).toUpperCase()+o.slice(1);if(this[m]!==a){this[m](n)}p=["initSelector","closeLinkSelector","closeLinkEvents","navigateEvents","closeEvents","history","container"];b.mobile.widget.prototype._setOption.apply(this,arguments);if(b.inArray(o,p)===-1){this.element.attr("data-"+(b.mobile.ns||"")+(o.replace(/([A-Z])/,"-$1").toLowerCase()),n)}},_placementCoords:function(q){var w=d(),x={x:this._tolerance.l,y:w.y+this._tolerance.t,cx:w.cx-this._tolerance.l-this._tolerance.r,cy:w.cy-this._tolerance.t-this._tolerance.b},s,t;this._ui.container.css("max-width",x.cx);s={cx:this._ui.container.outerWidth(true),cy:this._ui.container.outerHeight(true)};t={x:c(x.cx,s.cx,x.x,q.x),y:c(x.cy,s.cy,x.y,q.y)};t.y=Math.max(0,t.y);var v=f.documentElement,r=f.body,u=Math.max(v.clientHeight,r.scrollHeight,r.offsetHeight,v.scrollHeight,v.offsetHeight);t.y-=Math.min(t.y,Math.max(0,t.y+s.cy-u));return{left:t.x,top:t.y}},_createPrereqs:function(r,n,p){var q=this,o;o={screen:b.Deferred(),container:b.Deferred()};o.screen.then(function(){if(o===q._prereqs){r()}});o.container.then(function(){if(o===q._prereqs){n()}});b.when(o.screen,o.container).done(function(){if(o===q._prereqs){q._prereqs=null;p()}});q._prereqs=o},_animate:function(j){this._ui.screen.removeClass(j.classToRemove).addClass(j.screenClassToAdd);j.prereqs.screen.resolve();if(j.transition&&j.transition!=="none"){if(j.applyTransition){this._applyTransition(j.transition)}this._ui.container.animationComplete(b.proxy(j.prereqs.container,"resolve")).addClass(j.containerClassToAdd).removeClass(j.classToRemove)}else{j.prereqs.container.resolve()}},_desiredCoords:function(t,u,s){var v=null,p,q=d();if(s&&s!=="origin"){if(s==="window"){t=q.cx/2+q.x;u=q.cy/2+q.y}else{try{v=b(s)}catch(r){v=null}if(v){v.filter(":visible");if(v.length===0){v=null}}}}if(v){p=v.offset();t=p.left+v.outerWidth()/2;u=p.top+v.outerHeight()/2}if(b.type(t)!=="number"||isNaN(t)){t=q.cx/2+q.x}if(b.type(u)!=="number"||isNaN(u)){u=q.cy/2+q.y}return{x:t,y:u}},_openPrereqsComplete:function(){var j=this;j._ui.container.addClass("ui-popup-active");j._isOpen=true;j._resizeScreen();setTimeout(function(){j._ui.container.attr("tabindex","0").focus();j._trigger("afteropen")})},_open:function(p){var n,m,o=(function(){var v=e,t=navigator.userAgent,u=t.match(/AppleWebKit\/([0-9\.]+)/),j=!!u&&u[1],l=t.match(/Android (\d+(?:\.\d+))/),k=!!l&&l[1],i=t.indexOf("Chrome")>-1;if(l!==null&&k==="4.0"&&j&&j>534.13&&!i){return true}return false}());p=(p||{});m=p.transition||this.options.transition;this._trigger("beforeposition");n=this._placementCoords(this._desiredCoords(p.x,p.y,p.positionTo||this.options.positionTo||"origin"));this._createPrereqs(b.noop,b.noop,b.proxy(this,"_openPrereqsComplete"));if(m){this._currentTransition=m;this._applyTransition(m)}else{m=this.options.transition}if(!this.options.theme){this._setTheme(this._page.jqmData("theme")||b.mobile.getInheritedTheme(this._page,"c"))}this._ui.screen.removeClass("ui-screen-hidden");this._ui.container.removeClass("ui-selectmenu-hidden").offset(n);if(this.options.overlayTheme&&o){this.element.closest(".ui-page").addClass("ui-popup-open")}this._animate({additionalCondition:true,transition:m,classToRemove:"",screenClassToAdd:"in",containerClassToAdd:"in",applyTransition:false,prereqs:this._prereqs})},_closePrereqScreen:function(){this._ui.screen.removeClass("out").addClass("ui-screen-hidden")},_closePrereqContainer:function(){this._ui.container.removeClass("reverse out").addClass("ui-selectmenu-hidden").removeAttr("style")},_closePrereqsDone:function(){var l=this,k=l.options;l._ui.container.removeAttr("tabindex");k.container.unbind(k.closeEvents);l.element.undelegate(k.closeLinkSelector,k.closeLinkEvents);b.mobile.popup.active=a;l._trigger("afterclose")},_close:function(){this._ui.container.removeClass("ui-popup-active");this._page.removeClass("ui-popup-open");this._isOpen=false;this._createPrereqs(b.proxy(this,"_closePrereqScreen"),b.proxy(this,"_closePrereqContainer"),b.proxy(this,"_closePrereqsDone"));this._animate({additionalCondition:this._ui.screen.hasClass("in"),transition:(this._currentTransition||this.options.transition),classToRemove:"in",screenClassToAdd:"out",containerClassToAdd:"reverse out",applyTransition:true,prereqs:this._prereqs})},_destroy:function(){var j=this;j._close();j._setTheme("none");j.element.insertAfter(j._ui.placeholder).removeClass("ui-popup ui-overlay-shadow ui-corner-all");j._ui.screen.remove();j._ui.container.remove();j._ui.placeholder.remove();b.each(j._globalHandlers,function(i,l){b.each(l.handler,function(n,k){l.src.unbind(n,k)})})},_bindContainerClose:function(){var j=this;j.options.container.one(j.options.closeEvents,b.proxy(j._close,j))},open:function(s){var t=this,y=this.options,x,u,w,z,r,v;if(b.mobile.popup.active){return}b.mobile.popup.active=this;if(!(y.history)){t._open(s);t._bindContainerClose();t.element.delegate(y.closeLinkSelector,y.closeLinkEvents,function(i){t._close();return false});return}u=b.mobile.dialogHashKey;w=b.mobile.activePage;z=w.is(".ui-dialog");x=b.mobile.urlHistory.getActive().url;r=(x.indexOf(u)>-1)&&!z;v=b.mobile.urlHistory;if(r){t._open(s);t._bindContainerClose();return}if(x.indexOf(u)===-1&&!z){x=x+u}else{x=b.mobile.path.parseLocation().hash+u}if(v.activeIndex===0&&x===v.initialDst){x+=u}y.container.one(y.navigateEvents,function(i){i.preventDefault();t._open(s);t._bindContainerClose()});v.ignoreNextHashChange=z;v.addNew(x,a,a,a,"dialog");b.mobile.path.set(x)},close:function(){if(!b.mobile.popup.active){return}if(this.options.history){b.mobile.back()}else{this._close()}}});b.mobile.popup.handleLink=function(q){var o=q.closest(":jqmData(role='page')"),p=((o.length===0)?b("body"):o),r=b(b.mobile.path.parseUrl(q.attr("href")).hash,p[0]),n;if(r.data("popup")){n=q.offset();r.popup("open",{x:n.left+q.outerWidth()/2,y:n.top+q.outerHeight()/2,transition:q.jqmData("transition"),positionTo:q.jqmData("position-to"),link:q})}setTimeout(function(){q.removeClass(b.mobile.activeBtnClass)},300)};b(f).bind("pagebeforechange",function(k,l){if(l.options.role==="popup"){b.mobile.popup.handleLink(l.options.link);k.preventDefault()}});b(f).bind("pagecreate create",function(j){b.mobile.popup.prototype.enhanceWithin(j.target,true)})})(h);(function(d){var c=d("meta[name=viewport]"),k=c.attr("content"),a=k+",maximum-scale=1, user-scalable=no",b=k+",maximum-scale=10, user-scalable=yes",l=/(user-scalable[\s]*=[\s]*no)|(maximum-scale[\s]*=[\s]*1)[$,\s]/.test(k);d.mobile.zoom=d.extend({},{enabled:!l,locked:false,disable:function(i){if(!l&&!d.mobile.zoom.locked){c.attr("content",a);d.mobile.zoom.enabled=false;d.mobile.zoom.locked=i||false}},enable:function(i){if(!l&&(!d.mobile.zoom.locked||i===true)){c.attr("content",b);d.mobile.zoom.enabled=true;d.mobile.zoom.locked=false}},restore:function(){if(!l){c.attr("content",k);d.mobile.zoom.enabled=true}}})}(h));(function(b,a){b.widget("mobile.textinput",b.mobile.widget,{options:{theme:null,preventFocusZoom:/iPhone|iPad|iPod/.test(navigator.platform)&&navigator.userAgent.indexOf("AppleWebKit")>-1,initSelector:"input[type='text'], input[type='search'], :jqmData(type='search'), input[type='number'], :jqmData(type='number'), input[type='password'], input[type='email'], input[type='url'], input[type='tel'], textarea, input[type='time'], input[type='date'], input[type='month'], input[type='week'], input[type='datetime'], input[type='datetime-local'], input[type='color'], input:not([type])",clearSearchButtonText:"clear text",disabled:false},_create:function(){var D=this,o=this.element,A=this.options,y=A.theme||b.mobile.getInheritedTheme(this.element,"c"),C=" ui-body-"+y,v=o.jqmData("mini")===true,w=v?" ui-mini":"",x,d;function B(){setTimeout(function(){d.toggleClass("ui-input-clear-hidden",!o.val())},0)}b("label[for='"+o.attr("id")+"']").addClass("ui-input-text");x=o.addClass("ui-input-text ui-body-"+y);if(typeof o[0].autocorrect!=="undefined"&&!b.support.touchOverflow){o[0].setAttribute("autocorrect","off");o[0].setAttribute("autocomplete","off")}if(o.is("[type='search'],:jqmData(type='search')")){x=o.wrap("<div class='ui-input-search ui-shadow-inset ui-btn-corner-all ui-btn-shadow ui-icon-searchfield"+C+w+"'></div>").parent();d=b("<a href='#' class='ui-input-clear' title='"+A.clearSearchButtonText+"'>"+A.clearSearchButtonText+"</a>").bind("click",function(i){o.val("").focus().trigger("change");d.addClass("ui-input-clear-hidden");i.preventDefault()}).appendTo(x).buttonMarkup({icon:"delete",iconpos:"notext",corners:true,shadow:true,mini:v});B();o.bind("paste cut keyup focus change blur",B)}else{o.addClass("ui-corner-all ui-shadow-inset"+C+w)}o.focus(function(){x.addClass(b.mobile.focusClass)}).blur(function(){x.removeClass(b.mobile.focusClass)}).bind("focus",function(){if(A.preventFocusZoom){b.mobile.zoom.disable(true)}}).bind("blur",function(){if(A.preventFocusZoom){b.mobile.zoom.enable(true)}});if(o.is("textarea")){var z=15,u=100,c;this._keyup=function(){var i=o[0].scrollHeight,j=o[0].clientHeight;if(j<i){o.height(i+z)}};o.keyup(function(){clearTimeout(c);c=setTimeout(D._keyup,u)});this._on(b(f),{pagechange:"_keyup"});if(b.trim(o.val())){this._on(b(e),{load:"_keyup"})}}if(o.attr("disabled")){this.disable()}},disable:function(){var c;if(this.element.attr("disabled",true).is("[type='search'], :jqmData(type='search')")){c=this.element.parent()}else{c=this.element}c.addClass("ui-disabled");return this._setOption("disabled",true)},enable:function(){var c;if(this.element.attr("disabled",false).is("[type='search'], :jqmData(type='search')")){c=this.element.parent()}else{c=this.element}c.removeClass("ui-disabled");return this._setOption("disabled",false)}});b(f).bind("pagecreate create",function(c){b.mobile.textinput.prototype.enhanceWithin(c.target,true)})})(h);(function(b,a){b.mobile.listview.prototype.options.filter=false;b.mobile.listview.prototype.options.filterPlaceholder="Filter items...";b.mobile.listview.prototype.options.filterTheme="c";var c=function(d,k,l){return d.toString().toLowerCase().indexOf(k)===-1};b.mobile.listview.prototype.options.filterCallback=c;b(f).delegate(":jqmData(role='listview')","listviewcreate",function(){var l=b(this),m=l.data("listview");if(!m.options.filter){return}var d=b("<form>",{"class":"ui-listview-filter ui-bar-"+m.options.filterTheme,role:"search"}),n=b("<input>",{placeholder:m.options.filterPlaceholder}).attr("data-"+b.mobile.ns+"type","search").jqmData("lastval","").bind("keyup change",function(){var z=b(this),v=this.value.toLowerCase(),u=null,w=z.jqmData("lastval")+"",j=false,i="",y,x=m.options.filterCallback!==c;m._trigger("beforefilter","beforefilter",{input:this});z.jqmData("lastval",v);if(x||v.length<w.length||v.indexOf(w)!==0){u=l.children()}else{u=l.children(":not(.ui-screen-hidden)")}if(v){for(var k=u.length-1;k>=0;k--){y=b(u[k]);i=y.jqmData("filtertext")||y.text();if(y.is("li:jqmData(role=list-divider)")){y.toggleClass("ui-filter-hidequeue",!j);j=false}else{if(m.options.filterCallback(i,v,y)){y.toggleClass("ui-filter-hidequeue",true)}else{j=true}}}u.filter(":not(.ui-filter-hidequeue)").toggleClass("ui-screen-hidden",false);u.filter(".ui-filter-hidequeue").toggleClass("ui-screen-hidden",true).toggleClass("ui-filter-hidequeue",false)}else{u.toggleClass("ui-screen-hidden",false)}m._refreshCorners()}).appendTo(d).textinput();if(m.options.inset){d.addClass("ui-listview-filter-inset")}d.bind("submit",function(){return false}).insertBefore(l)})})(h);(function(b,a){b.widget("mobile.slider",b.mobile.widget,{widgetEventPrefix:"slide",options:{theme:null,trackTheme:null,disabled:false,initSelector:"input[type='range'], :jqmData(type='range'), :jqmData(role='slider')",mini:false},_create:function(){var Y=this,ae=this.element,O=b.mobile.getInheritedTheme(ae,"c"),P=this.options.theme||O,U=this.options.trackTheme||O,ac=ae[0].nodeName.toLowerCase(),T=(ac==="select")?"ui-slider-switch":"",al=ae.attr("id"),d=b("[for='"+al+"']"),aa=d.attr("id")||al+"-label",ag=d.attr("id",aa),c=function(){return ac==="input"?parseFloat(ae.val()):ae[0].selectedIndex},Q=ac==="input"?parseFloat(ae.attr("min")):0,ad=ac==="input"?parseFloat(ae.attr("max")):ae.find("option").length-1,ai=e.parseFloat(ae.attr("step")||1),W=(this.options.inline||ae.jqmData("inline")===true)?" ui-slider-inline":"",j=(this.options.mini||ae.jqmData("mini"))?" ui-slider-mini":"",V=f.createElement("a"),S=b(V),ap=f.createElement("div"),R=b(ap),X=ae.jqmData("highlight")&&ac!=="select"?(function(){var k=f.createElement("div");k.className="ui-slider-bg "+b.mobile.activeBtnClass+" ui-btn-corner-all";return b(k).prependTo(R)})():false,am;this._type=ac;V.setAttribute("href","#");ap.setAttribute("role","application");ap.className=["ui-slider ",T," ui-btn-down-",U," ui-btn-corner-all",W,j].join("");V.className="ui-slider-handle";ap.appendChild(V);S.buttonMarkup({corners:true,theme:P,shadow:true}).attr({role:"slider","aria-valuemin":Q,"aria-valuemax":ad,"aria-valuenow":c(),"aria-valuetext":c(),title:c(),"aria-labelledby":aa});b.extend(this,{slider:R,handle:S,valuebg:X,dragging:false,beforeStart:null,userModified:false,mouseMoved:false});if(ac==="select"){var ak=f.createElement("div");ak.className="ui-slider-inneroffset";for(var ah=0,an=ap.childNodes.length;ah<an;ah++){ak.appendChild(ap.childNodes[ah])}ap.appendChild(ak);S.addClass("ui-slider-handle-snapping");am=ae.find("option");for(var af=0,i=am.length;af<i;af++){var ao=!af?"b":"a",aj=!af?" ui-btn-down-"+U:(" "+b.mobile.activeBtnClass),Z=f.createElement("div"),ab=f.createElement("span");ab.className=["ui-slider-label ui-slider-label-",ao,aj," ui-btn-corner-all"].join("");ab.setAttribute("role","img");ab.appendChild(f.createTextNode(am[af].innerHTML));b(ab).prependTo(R)}Y._labels=b(".ui-slider-label",R)}ag.addClass("ui-slider");ae.addClass(ac==="input"?"ui-slider-input":"ui-slider-switch").change(function(){if(!Y.mouseMoved){Y.refresh(c(),true)}}).keyup(function(){Y.refresh(c(),true,true)}).blur(function(){Y.refresh(c(),true)});this._preventDocumentDrag=function(k){if(Y.dragging&&!Y.options.disabled){Y.mouseMoved=true;if(ac==="select"){S.removeClass("ui-slider-handle-snapping")}Y.refresh(k);Y.userModified=Y.beforeStart!==ae[0].selectedIndex;return false}};this._on(b(f),{vmousemove:this._preventDocumentDrag});ae.bind("vmouseup",b.proxy(Y._checkedRefresh,Y));R.bind("vmousedown",function(k){if(Y.options.disabled){return false}Y.dragging=true;Y.userModified=false;Y.mouseMoved=false;if(ac==="select"){Y.beforeStart=ae[0].selectedIndex}Y.refresh(k);Y._trigger("start");return false}).bind("vclick",false);this._sliderMouseUp=function(){if(Y.dragging){Y.dragging=false;if(ac==="select"){S.addClass("ui-slider-handle-snapping");if(Y.mouseMoved){if(Y.userModified){Y.refresh(Y.beforeStart===0?1:0)}else{Y.refresh(Y.beforeStart)}}else{Y.refresh(Y.beforeStart===0?1:0)}}Y.mouseMoved=false;Y._trigger("stop");return false}};this._on(R.add(f),{vmouseup:this._sliderMouseUp});R.insertAfter(ae);if(ac==="select"){this.handle.bind({focus:function(){R.addClass(b.mobile.focusClass)},blur:function(){R.removeClass(b.mobile.focusClass)}})}this.handle.bind({vmousedown:function(){b(this).focus()},vclick:false,keydown:function(k){var l=c();if(Y.options.disabled){return}switch(k.keyCode){case b.mobile.keyCode.HOME:case b.mobile.keyCode.END:case b.mobile.keyCode.PAGE_UP:case b.mobile.keyCode.PAGE_DOWN:case b.mobile.keyCode.UP:case b.mobile.keyCode.RIGHT:case b.mobile.keyCode.DOWN:case b.mobile.keyCode.LEFT:k.preventDefault();if(!Y._keySliding){Y._keySliding=true;b(this).addClass("ui-state-active")}break}switch(k.keyCode){case b.mobile.keyCode.HOME:Y.refresh(Q);break;case b.mobile.keyCode.END:Y.refresh(ad);break;case b.mobile.keyCode.PAGE_UP:case b.mobile.keyCode.UP:case b.mobile.keyCode.RIGHT:Y.refresh(l+ai);break;case b.mobile.keyCode.PAGE_DOWN:case b.mobile.keyCode.DOWN:case b.mobile.keyCode.LEFT:Y.refresh(l-ai);break}},keyup:function(k){if(Y._keySliding){Y._keySliding=false;b(this).removeClass("ui-state-active")}}});this.refresh(a,a,true)},_checkedRefresh:function(){if(this.value!=this._value()){this.refresh(this._value())}},_value:function(){return this._type==="input"?parseFloat(this.element.val()):this.element[0].selectedIndex},refresh:function(c,y,H){if(this.options.disabled||this.element.attr("disabled")){this.disable()}this.value=this._value();var G=this.element,M,F=G[0].nodeName.toLowerCase(),B=F==="input"?parseFloat(G.attr("min")):0,z=F==="input"?parseFloat(G.attr("max")):G.find("option").length-1,J=(F==="input"&&parseFloat(G.attr("step"))>0)?parseFloat(G.attr("step")):1;if(typeof c==="object"){var d=c,D=8;if(!this.dragging||d.pageX<this.slider.offset().left-D||d.pageX>this.slider.offset().left+this.slider.width()+D){return}M=Math.round(((d.pageX-this.slider.offset().left)/this.slider.width())*100)}else{if(c==null){c=F==="input"?parseFloat(G.val()||0):G[0].selectedIndex}M=(parseFloat(c)-B)/(z-B)*100}if(isNaN(M)){return}if(M<0){M=0}if(M>100){M=100}var E=(M/100)*(z-B)+B;var A=(E-B)%J;var I=E-A;if(Math.abs(A)*2>=J){I+=(A>0)?J:(-J)}E=parseFloat(I.toFixed(5));if(E<B){E=B}if(E>z){E=z}this.handle.css("left",M+"%");this.handle.attr({"aria-valuenow":F==="input"?E:G.find("option").eq(E).attr("value"),"aria-valuetext":F==="input"?E:G.find("option").eq(E).getEncodedText(),title:F==="input"?E:G.find("option").eq(E).getEncodedText()});if(this.valuebg){this.valuebg.css("width",M+"%")}if(this._labels){var C=this.handle.width()/this.slider.width()*100,N=M&&C+(100-C)*M/100,L=M===100?0:Math.min(C+100-N,100);this._labels.each(function(){var i=b(this).is(".ui-slider-label-a");b(this).width((i?N:L)+"%")})}if(!H){var K=false;if(F==="input"){K=G.val()!==E;G.val(E)}else{K=G[0].selectedIndex!==E;G[0].selectedIndex=E}if(!y&&K){G.trigger("change")}}},enable:function(){this.element.attr("disabled",false);this.slider.removeClass("ui-disabled").attr("aria-disabled",false);return this._setOption("disabled",false)},disable:function(){this.element.attr("disabled",true);this.slider.addClass("ui-disabled").attr("aria-disabled",true);return this._setOption("disabled",true)}});b(f).bind("pagecreate create",function(c){b.mobile.slider.prototype.enhanceWithin(c.target,true)})})(h);(function(b,a){b.widget("mobile.selectmenu",b.mobile.widget,{options:{theme:null,disabled:false,icon:"arrow-d",iconpos:"right",inline:false,corners:true,shadow:true,iconshadow:true,overlayTheme:"a",hidePlaceholderMenuItems:true,closeText:"Close",nativeMenu:true,preventFocusZoom:/iPhone|iPad|iPod/.test(navigator.platform)&&navigator.userAgent.indexOf("AppleWebKit")>-1,initSelector:"select:not( :jqmData(role='slider') )",mini:false},_button:function(){return b("<div/>")},_setDisabled:function(c){this.element.attr("disabled",c);this.button.attr("aria-disabled",c);return this._setOption("disabled",c)},_focusButton:function(){var c=this;setTimeout(function(){c.button.focus()},40)},_selectOptions:function(){return this.select.find("option")},_preExtension:function(){var c="";if(!!~this.element[0].className.indexOf("ui-btn-left")){c=" ui-btn-left"}if(!!~this.element[0].className.indexOf("ui-btn-right")){c=" ui-btn-right"}this.select=this.element.wrap("<div class='ui-select"+c+"'>");this.selectID=this.select.attr("id");this.label=b("label[for='"+this.selectID+"']").addClass("ui-select");this.isMultiple=this.select[0].multiple;if(!this.options.theme){this.options.theme=b.mobile.getInheritedTheme(this.select,"c")}},_create:function(){this._preExtension();this._trigger("beforeCreate");this.button=this._button();var q=this,p=this.options,c=p.inline||this.select.jqmData("inline"),n=p.mini||this.select.jqmData("mini"),d=p.icon?(p.iconpos||this.select.jqmData("iconpos")):false,r=this.select[0].selectedIndex===-1?0:this.select[0].selectedIndex,o=this.button.insertBefore(this.select).buttonMarkup({theme:p.theme,icon:p.icon,iconpos:d,inline:c,corners:p.corners,shadow:p.shadow,iconshadow:p.iconshadow,mini:n});this.setButtonText();if(p.nativeMenu&&e.opera&&e.opera.version){o.addClass("ui-select-nativeonly")}if(this.isMultiple){this.buttonCount=b("<span>").addClass("ui-li-count ui-btn-up-c ui-btn-corner-all").hide().appendTo(o.addClass("ui-li-has-count"))}if(p.disabled||this.element.attr("disabled")){this.disable()}this.select.change(function(){q.refresh()});this.build()},build:function(){var c=this;this.select.appendTo(c.button).bind("vmousedown",function(){c.button.addClass(b.mobile.activeBtnClass)}).bind("focus",function(){c.button.addClass(b.mobile.focusClass)}).bind("blur",function(){c.button.removeClass(b.mobile.focusClass)}).bind("focus vmouseover",function(){c.button.trigger("vmouseover")}).bind("vmousemove",function(){c.button.removeClass(b.mobile.activeBtnClass)}).bind("change blur vmouseout",function(){c.button.trigger("vmouseout").removeClass(b.mobile.activeBtnClass)}).bind("change blur",function(){c.button.removeClass("ui-btn-down-"+c.options.theme)});c.button.bind("vmousedown",function(){if(c.options.preventFocusZoom){b.mobile.zoom.disable(true)}}).bind("mouseup",function(){if(c.options.preventFocusZoom){setTimeout(function(){b.mobile.zoom.enable(true)},0)}})},selected:function(){return this._selectOptions().filter(":selected")},selectedIndices:function(){var c=this;return this.selected().map(function(){return c._selectOptions().index(this)}).get()},setButtonText:function(){var l=this,d=this.selected(),c=this.placeholder,k=b(f.createElement("span"));this.button.find(".ui-btn-text").html(function(){if(d.length){c=d.map(function(){return b(this).text()}).get().join(", ")}else{c=l.placeholder}return k.text(c).addClass(l.select.attr("class")).addClass(d.attr("class"))})},setButtonCount:function(){var c=this.selected();if(this.isMultiple){this.buttonCount[c.length>1?"show":"hide"]().text(c.length)}},refresh:function(){this.setButtonText();this.setButtonCount()},open:b.noop,close:b.noop,disable:function(){this._setDisabled(true);this.button.addClass("ui-disabled")},enable:function(){this._setDisabled(false);this.button.removeClass("ui-disabled")}});b(f).bind("pagecreate create",function(c){b.mobile.selectmenu.prototype.enhanceWithin(c.target,true)})})(h);(function(b,a){var c=function(E){var I=E.select,C=E.selectID,J=E.label,K=E.select.closest(".ui-page"),H=E._selectOptions(),D=E.isMultiple=E.select[0].multiple,y=C+"-button",N=C+"-menu",M=b("<div data-"+b.mobile.ns+"role='dialog' data-"+b.mobile.ns+"theme='"+E.options.theme+"' data-"+b.mobile.ns+"overlay-theme='"+E.options.overlayTheme+"'><div data-"+b.mobile.ns+"role='header'><div class='ui-title'>"+J.getEncodedText()+"</div></div><div data-"+b.mobile.ns+"role='content'></div></div>"),G=b("<div>",{"class":"ui-selectmenu"}).insertAfter(E.select).popup({theme:"a"}),z=b("<ul>",{"class":"ui-selectmenu-list",id:N,role:"listbox","aria-labelledby":y}).attr("data-"+b.mobile.ns+"theme",E.options.theme).appendTo(G),F=b("<div>",{"class":"ui-header ui-bar-"+E.options.theme}).prependTo(G),A=b("<h1>",{"class":"ui-title"}).appendTo(F),B,d,L;if(E.isMultiple){L=b("<a>",{text:E.options.closeText,href:"#","class":"ui-btn-left"}).attr("data-"+b.mobile.ns+"iconpos","notext").attr("data-"+b.mobile.ns+"icon","delete").appendTo(F).buttonMarkup()}b.extend(E,{select:E.select,selectID:C,buttonId:y,menuId:N,thisPage:K,menuPage:M,label:J,selectOptions:H,isMultiple:D,theme:E.options.theme,listbox:G,list:z,header:F,headerTitle:A,headerClose:L,menuPageContent:B,menuPageClose:d,placeholder:"",build:function(){var i=this;i.refresh();i.select.attr("tabindex","-1").focus(function(){b(this).blur();i.button.focus()});i.button.bind("vclick keydown",function(j){if(j.type==="vclick"||j.keyCode&&(j.keyCode===b.mobile.keyCode.ENTER||j.keyCode===b.mobile.keyCode.SPACE)){i.open();j.preventDefault()}});i.list.attr("role","listbox").bind("focusin",function(j){b(j.target).attr("tabindex","0").trigger("vmouseover")}).bind("focusout",function(j){b(j.target).attr("tabindex","-1").trigger("vmouseout")}).delegate("li:not(.ui-disabled, .ui-li-divider)","click",function(m){var l=i.select[0].selectedIndex,k=i.list.find("li:not(.ui-li-divider)").index(this),j=i._selectOptions().eq(k)[0];j.selected=i.isMultiple?!j.selected:true;if(i.isMultiple){b(this).find(".ui-icon").toggleClass("ui-icon-checkbox-on",j.selected).toggleClass("ui-icon-checkbox-off",!j.selected)}if(i.isMultiple||l!==k){i.select.trigger("change")}if(i.isMultiple){i.list.find("li:not(.ui-li-divider)").eq(k).addClass("ui-btn-down-"+E.options.theme).find("a").first().focus()}else{i.close()}m.preventDefault()}).keydown(function(m){var k=b(m.target),l=k.closest("li"),n,j;switch(m.keyCode){case 38:n=l.prev().not(".ui-selectmenu-placeholder");if(n.is(".ui-li-divider")){n=n.prev()}if(n.length){k.blur().attr("tabindex","-1");n.addClass("ui-btn-down-"+E.options.theme).find("a").first().focus()}return false;case 40:j=l.next();if(j.is(".ui-li-divider")){j=j.next()}if(j.length){k.blur().attr("tabindex","-1");j.addClass("ui-btn-down-"+E.options.theme).find("a").first().focus()}return false;case 13:case 32:k.trigger("click");return false}});i.menuPage.bind("pagehide",function(){i.list.appendTo(i.listbox);i._focusButton();b.mobile._bindPageRemove.call(i.thisPage)});i.listbox.bind("popupafterclose",function(j){i.close()});if(i.isMultiple){i.headerClose.click(function(){if(i.menuType==="overlay"){i.close();return false}})}i.thisPage.addDependents(this.menuPage)},_isRebuildRequired:function(){var i=this.list.find("li"),j=this._selectOptions();return j.text()!==i.text()},selected:function(){return this._selectOptions().filter(":selected:not( :jqmData(placeholder='true') )")},refresh:function(i,j){var l=this,n=this.element,m=this.isMultiple,k;if(i||this._isRebuildRequired()){l._buildList()}k=this.selectedIndices();l.setButtonText();l.setButtonCount();l.list.find("li:not(.ui-li-divider)").removeClass(b.mobile.activeBtnClass).attr("aria-selected",false).each(function(p){if(b.inArray(p,k)>-1){var o=b(this);o.attr("aria-selected",true);if(l.isMultiple){o.find(".ui-icon").removeClass("ui-icon-checkbox-off").addClass("ui-icon-checkbox-on")}else{if(o.is(".ui-selectmenu-placeholder")){o.next().addClass(b.mobile.activeBtnClass)}else{o.addClass(b.mobile.activeBtnClass)}}}})},close:function(){if(this.options.disabled||!this.isOpen){return}var i=this;if(i.menuType==="page"){b.mobile.back()}else{i.listbox.popup("close");i.list.appendTo(i.listbox);i._focusButton()}i.isOpen=false},open:function(){if(this.options.disabled){return}var o=this,k=b(e),r=o.list.parent(),i=r.outerHeight(),q=r.outerWidth(),l=b("."+b.mobile.activePageClass),j=k.scrollTop(),p=o.button.offset().top,m=k.height(),n=k.width();o.button.addClass(b.mobile.activeBtnClass);setTimeout(function(){o.button.removeClass(b.mobile.activeBtnClass)},300);function s(){var t=o.list.find("."+b.mobile.activeBtnClass+" a");if(t.length===0){t=o.list.find("li.ui-btn:not( :jqmData(placeholder='true') ) a")}t.first().focus().closest("li").addClass("ui-btn-down-"+E.options.theme)}if(i>m-80||!b.support.scrollTop){o.menuPage.appendTo(b.mobile.pageContainer).page();o.menuPageContent=M.find(".ui-content");o.menuPageClose=M.find(".ui-header a");o.thisPage.unbind("pagehide.remove");if(j===0&&p>m){o.thisPage.one("pagehide",function(){b(this).jqmData("lastScroll",p)})}o.menuPage.one("pageshow",function(){s();o.isOpen=true});o.menuType="page";o.menuPageContent.append(o.list);o.menuPage.find("div .ui-title").text(o.label.text());b.mobile.changePage(o.menuPage,{transition:b.mobile.defaultDialogTransition})}else{o.menuType="overlay";o.listbox.one("popupafteropen",s).popup("open",{x:o.button.offset().left+o.button.outerWidth()/2,y:o.button.offset().top+o.button.outerHeight()/2});o.isOpen=true}},_buildList:function(){var ab=this,t=this.options,ak=this.placeholder,al=true,p=[],ac=[],ah=ab.isMultiple?"checkbox-off":"false";ab.list.empty().filter(".ui-listview").listview("destroy");var r=ab.select.find("option"),af=r.length,u=this.select[0],j="data-"+b.mobile.ns,n=j+"option-index",i=j+"icon",aj=j+"role",s=j+"placeholder",aa=f.createDocumentFragment(),o=false,w;for(var m=0;m<af;m++,o=false){var ad=r[m],q=b(ad),ag=ad.parentNode,ae=q.text(),ai=f.createElement("a"),k=[];ai.setAttribute("href","#");ai.appendChild(f.createTextNode(ae));if(ag!==u&&ag.nodeName.toLowerCase()==="optgroup"){var x=ag.getAttribute("label");if(x!==w){var v=f.createElement("li");v.setAttribute(aj,"list-divider");v.setAttribute("role","option");v.setAttribute("tabindex","-1");v.appendChild(f.createTextNode(x));aa.appendChild(v);w=x}}if(al&&(!ad.getAttribute("value")||ae.length===0||q.jqmData("placeholder"))){al=false;o=true;ad.setAttribute(s,true);if(t.hidePlaceholderMenuItems){k.push("ui-selectmenu-placeholder")}if(!ak){ak=ab.placeholder=ae}}var l=f.createElement("li");if(ad.disabled){k.push("ui-disabled");l.setAttribute("aria-disabled",true)}l.setAttribute(n,m);l.setAttribute(i,ah);if(o){l.setAttribute(s,true)}l.className=k.join(" ");l.setAttribute("role","option");ai.setAttribute("tabindex","-1");l.appendChild(ai);aa.appendChild(l)}ab.list[0].appendChild(aa);if(!this.isMultiple&&!ak.length){this.header.hide()}else{this.headerTitle.text(this.placeholder)}ab.list.listview()},_button:function(){return b("<a>",{href:"#",role:"button",id:this.buttonId,"aria-haspopup":"true","aria-owns":this.menuId})}})};b(f).bind("selectmenubeforecreate",function(d){var j=b(d.target).data("selectmenu");if(!j.options.nativeMenu&&j.element.parents(":jqmData(role='popup')").length===0){c(j)}})})(h);(function(b,a){b.widget("mobile.fixedtoolbar",b.mobile.widget,{options:{visibleOnPageShow:true,disablePageZoom:true,transition:"slide",fullscreen:false,tapToggle:true,tapToggleBlacklist:"a, button, input, select, textarea, .ui-header-fixed, .ui-footer-fixed, .ui-popup",hideDuringFocus:"input, textarea, select",updatePagePadding:true,trackPersistentToolbars:true,supportBlacklist:function(){var c=e,u=navigator.userAgent,s=navigator.platform,d=u.match(/AppleWebKit\/([0-9]+)/),p=!!d&&d[1],t=u.match(/Fennec\/([0-9]+)/),r=!!t&&t[1],q=u.match(/Opera Mobi\/([0-9]+)/),v=!!q&&q[1];if(((s.indexOf("iPhone")>-1||s.indexOf("iPad")>-1||s.indexOf("iPod")>-1)&&p&&p<534)||(c.operamini&&({}).toString.call(c.operamini)==="[object OperaMini]")||(q&&v<7458)||(u.indexOf("Android")>-1&&p&&p<533)||(r&&r<6)||("palmGetResource" in e&&p&&p<534)||(u.indexOf("MeeGo")>-1&&u.indexOf("NokiaBrowser/8.5.0")>-1)){return true}return false},initSelector:":jqmData(position='fixed')"},_create:function(){var n=this,c=n.options,l=n.element,d=l.is(":jqmData(role='header')")?"header":"footer",m=l.closest(".ui-page");if(c.supportBlacklist()){n.destroy();return}l.addClass("ui-"+d+"-fixed");if(c.fullscreen){l.addClass("ui-"+d+"-fullscreen");m.addClass("ui-page-"+d+"-fullscreen")}else{m.addClass("ui-page-"+d+"-fixed")}n._addTransitionClass();n._bindPageEvents();n._bindToggleHandlers()},_addTransitionClass:function(){var c=this.options.transition;if(c&&c!=="none"){if(c==="slide"){c=this.element.is(".ui-header")?"slidedown":"slideup"}this.element.addClass(c)}},_bindPageEvents:function(){var j=this,c=j.options,d=j.element;d.closest(".ui-page").bind("pagebeforeshow",function(){if(c.disablePageZoom){b.mobile.zoom.disable(true)}if(!c.visibleOnPageShow){j.hide(true)}}).bind("webkitAnimationStart animationstart updatelayout",function(){var i=this;if(c.updatePagePadding){j.updatePagePadding(i)}}).bind("pageshow",function(){var i=this;j.updatePagePadding(i);if(c.updatePagePadding){b(e).bind("throttledresize."+j.widgetName,function(){j.updatePagePadding(i)})}}).bind("pagebeforehide",function(i,p){if(c.disablePageZoom){b.mobile.zoom.enable(true)}if(c.updatePagePadding){b(e).unbind("throttledresize."+j.widgetName)}if(c.trackPersistentToolbars){var s=b(".ui-footer-fixed:jqmData(id)",this),t=b(".ui-header-fixed:jqmData(id)",this),q=s.length&&p.nextPage&&b(".ui-footer-fixed:jqmData(id='"+s.jqmData("id")+"')",p.nextPage)||b(),r=t.length&&p.nextPage&&b(".ui-header-fixed:jqmData(id='"+t.jqmData("id")+"')",p.nextPage)||b();if(q.length||r.length){q.add(r).appendTo(b.mobile.pageContainer);p.nextPage.one("pageshow",function(){q.add(r).appendTo(this)})}}})},_visible:true,updatePagePadding:function(d){var j=this.element,c=j.is(".ui-header");if(this.options.fullscreen){return}d=d||j.closest(".ui-page");b(d).css("padding-"+(c?"top":"bottom"),j.outerHeight())},_useTransition:function(o){var t=b(e),p=this.element,s=t.scrollTop(),r=p.height(),c=p.closest(".ui-page").height(),q=b.mobile.getScreenHeight(),d=p.is(":jqmData(role='header')")?"header":"footer";return !o&&(this.options.transition&&this.options.transition!=="none"&&((d==="header"&&!this.options.fullscreen&&s>r)||(d==="footer"&&!this.options.fullscreen&&s+q<c-r))||this.options.fullscreen)},show:function(d){var c="ui-fixed-hidden",j=this.element;if(this._useTransition(d)){j.removeClass("out "+c).addClass("in")}else{j.removeClass(c)}this._visible=true},hide:function(k){var c="ui-fixed-hidden",l=this.element,d="out"+(this.options.transition==="slide"?" reverse":"");if(this._useTransition(k)){l.addClass(d).removeClass("in").animationComplete(function(){l.addClass(c).removeClass(d)})}else{l.addClass(c).removeClass(d)}this._visible=false},toggle:function(){this[this._visible?"hide":"show"]()},_bindToggleHandlers:function(){var j=this,c=j.options,d=j.element;d.closest(".ui-page").bind("vclick",function(i){if(c.tapToggle&&!b(i.target).closest(c.tapToggleBlacklist).length){j.toggle()}}).bind("focusin focusout",function(i){if(screen.width<500&&b(i.target).is(c.hideDuringFocus)&&!b(i.target).closest(".ui-header-fixed, .ui-footer-fixed").length){j[(i.type==="focusin"&&j._visible)?"hide":"show"]()}})},destroy:function(){this.element.removeClass("ui-header-fixed ui-footer-fixed ui-header-fullscreen ui-footer-fullscreen in out fade slidedown slideup ui-fixed-hidden");this.element.closest(".ui-page").removeClass("ui-page-header-fixed ui-page-footer-fixed ui-page-header-fullscreen ui-page-footer-fullscreen")}});b(f).bind("pagecreate create",function(c){if(b(c.target).jqmData("fullscreen")){b(b.mobile.fixedtoolbar.prototype.options.initSelector,c.target).not(":jqmData(fullscreen)").jqmData("fullscreen",true)}b.mobile.fixedtoolbar.prototype.enhanceWithin(c.target)})})(h);(function(p,o){if(!(/iPhone|iPad|iPod/.test(navigator.platform)&&navigator.userAgent.indexOf("AppleWebKit")>-1)){return}var a=p.mobile.zoom,b,c,d,n,r;function q(i){b=i.originalEvent;r=b.accelerationIncludingGravity;c=Math.abs(r.x);d=Math.abs(r.y);n=Math.abs(r.z);if(!o.orientation&&(c>7||((n>6&&d<8||n<8&&d>6)&&c>5))){if(a.enabled){a.disable()}}else{if(!a.enabled){a.enable()}}}p(o).bind("orientationchange.iosorientationfix",a.enable).bind("devicemotion.iosorientationfix",q)}(h,this));(function(d,l,a){var m=d("html"),n=d("head"),b=d(l);function c(){m.removeClass("ui-mobile-rendering")}d(l.document).trigger("mobileinit");if(!d.mobile.gradeA()){return}if(d.mobile.ajaxBlacklist){d.mobile.ajaxEnabled=false}m.addClass("ui-mobile ui-mobile-rendering");setTimeout(c,5000);d.extend(d.mobile,{initializePage:function(){var k=d(":jqmData(role='page'), :jqmData(role='dialog')"),i=d.mobile.path.parseLocation().hash.replace("#",""),j=f.getElementById(i);if(!k.length){k=d("body").wrapInner("<div data-"+d.mobile.ns+"role='page'></div>").children(0)}k.each(function(){var p=d(this);if(!p.jqmData("url")){p.attr("data-"+d.mobile.ns+"url",p.attr("id")||location.pathname+location.search)}});d.mobile.firstPage=k.first();d.mobile.pageContainer=k.first().parent().addClass("ui-mobile-viewport");b.trigger("pagecontainercreate");d.mobile.showPageLoadingMsg();c();if(!(d.mobile.hashListeningEnabled&&d.mobile.path.isHashValid(location.hash)&&(d(j).is(':jqmData(role="page")')||d.mobile.path.isPath(i)||i===d.mobile.dialogHashKey))){if(d.mobile.path.isHashValid(location.hash)){d.mobile.urlHistory.initialDst=i.replace("#","")}d.mobile.changePage(d.mobile.firstPage,{transition:"none",reverse:true,changeHash:false,fromHashChange:true})}else{b.trigger("hashchange",[true])}}});d.mobile.navreadyDeferred.resolve();d(function(){l.scrollTo(0,1);d.mobile.defaultHomeScroll=(!d.support.scrollTop||d(l).scrollTop()===1)?0:1;if(d.fn.controlgroup){d(f).bind("pagecreate create",function(i){d(":jqmData(role='controlgroup')",i.target).jqmEnhanceable().controlgroup({excludeInvisible:false})})}if(d.mobile.autoInitializePage){d.mobile.initializePage()}b.load(d.mobile.silentScroll);if(!d.support.cssPointerEvents){d(f).delegate(".ui-disabled","vclick",function(i){i.preventDefault();i.stopImmediatePropagation()})}})}(h,this))}));
/*!
 * jQuery Double Tap Plugin.
 * 
 * Copyright (c) 2010 Raul Sanchez (http://www.sanraul.com)
 * 
 * Dual licensed under the MIT and GPL licenses:
 * http://www.opensource.org/licenses/mit-license.php
 * http://www.gnu.org/licenses/gpl.html
 */
(function(f){var d=/android|iphone|ipad/i.test(navigator.userAgent.toLowerCase()),e=d?"touchend":"click";f.fn.doubletap=function(a,b){b=(b==null)?300:b;this.bind("touchstart",function(c){f(this).data("touchStarted",new Date().getTime())});this.bind(e,function(l){var n=new Date().getTime();var k=d&&f(this).data("touchStarted");if(!d||(k&&(n-k<b))){f(this).data("touchStarted",null);var m=f(this).data("lastTouch")||n+1;var c=n-m;if(c<b&&0<c){f(this).data("lastTouch",null);if(a!==null&&typeof a==="function"){a(l)}}else{f(this).data("lastTouch",n)}}})}})(jQuery);(function(){var i=$.support.touch,j="touchmove scroll",g=i?"touchstart":"mousedown",h=i?"touchend":"mouseup",f=i?"touchmove":"mousemove";$.event.special.swipeupdown={setup:function(){var b=this;var a=$(b);a.bind(g,function(o){var e=o.originalEvent.touches?o.originalEvent.touches[0]:o,c={time:(new Date).getTime(),coords:[e.pageX,e.pageY],origin:$(o.target)},p;function n(l){if(!c){return}var k=l.originalEvent.touches?l.originalEvent.touches[0]:l;p={time:(new Date).getTime(),coords:[k.pageX,k.pageY]};if(Math.abs(c.coords[1]-p.coords[1])>10){l.preventDefault()}}function d(k){a.unbind(f,n);if(c&&p){if(p.time-c.time<1000&&Math.abs(c.coords[1]-p.coords[1])>5&&Math.abs(c.coords[0]-p.coords[0])<75){c.origin.trigger("swipeupdown").trigger(c.coords[1]>p.coords[1]?"swipeup":"swipedown")}}c=p=undefined}a.bind(f,n).one(h,d)})}};$.each({swipedown:"swipeupdown",swipeup:"swipeupdown"},function(a,b){$.event.special[a]={setup:function(){$(this).bind(b,$.noop)}}})})();jQuery.easing.jswing=jQuery.easing.swing;jQuery.extend(jQuery.easing,{def:"easeOutQuad",swing:function(j,i,b,c,d){return jQuery.easing[jQuery.easing.def](j,i,b,c,d)},easeInQuad:function(j,i,b,c,d){return c*(i/=d)*i+b},easeOutQuad:function(j,i,b,c,d){return -c*(i/=d)*(i-2)+b},easeInOutQuad:function(j,i,b,c,d){if((i/=d/2)<1){return c/2*i*i+b}return -c/2*((--i)*(i-2)-1)+b},easeInCubic:function(j,i,b,c,d){return c*(i/=d)*i*i+b},easeOutCubic:function(j,i,b,c,d){return c*((i=i/d-1)*i*i+1)+b},easeInOutCubic:function(j,i,b,c,d){if((i/=d/2)<1){return c/2*i*i*i+b}return c/2*((i-=2)*i*i+2)+b},easeInQuart:function(j,i,b,c,d){return c*(i/=d)*i*i*i+b},easeOutQuart:function(j,i,b,c,d){return -c*((i=i/d-1)*i*i*i-1)+b},easeInOutQuart:function(j,i,b,c,d){if((i/=d/2)<1){return c/2*i*i*i*i+b}return -c/2*((i-=2)*i*i*i-2)+b},easeInQuint:function(j,i,b,c,d){return c*(i/=d)*i*i*i*i+b},easeOutQuint:function(j,i,b,c,d){return c*((i=i/d-1)*i*i*i*i+1)+b},easeInOutQuint:function(j,i,b,c,d){if((i/=d/2)<1){return c/2*i*i*i*i*i+b}return c/2*((i-=2)*i*i*i*i+2)+b},easeInSine:function(j,i,b,c,d){return -c*Math.cos(i/d*(Math.PI/2))+c+b},easeOutSine:function(j,i,b,c,d){return c*Math.sin(i/d*(Math.PI/2))+b},easeInOutSine:function(j,i,b,c,d){return -c/2*(Math.cos(Math.PI*i/d)-1)+b},easeInExpo:function(j,i,b,c,d){return(i==0)?b:c*Math.pow(2,10*(i/d-1))+b},easeOutExpo:function(j,i,b,c,d){return(i==d)?b+c:c*(-Math.pow(2,-10*i/d)+1)+b},easeInOutExpo:function(j,i,b,c,d){if(i==0){return b}if(i==d){return b+c}if((i/=d/2)<1){return c/2*Math.pow(2,10*(i-1))+b}return c/2*(-Math.pow(2,-10*--i)+2)+b},easeInCirc:function(j,i,b,c,d){return -c*(Math.sqrt(1-(i/=d)*i)-1)+b},easeOutCirc:function(j,i,b,c,d){return c*Math.sqrt(1-(i=i/d-1)*i)+b},easeInOutCirc:function(j,i,b,c,d){if((i/=d/2)<1){return -c/2*(Math.sqrt(1-i*i)-1)+b}return c/2*(Math.sqrt(1-(i-=2)*i)+1)+b},easeInElastic:function(o,m,p,a,b){var d=1.70158;var c=0;var n=a;if(m==0){return p}if((m/=b)==1){return p+a}if(!c){c=b*0.3}if(n<Math.abs(a)){n=a;var d=c/4}else{var d=c/(2*Math.PI)*Math.asin(a/n)}return -(n*Math.pow(2,10*(m-=1))*Math.sin((m*b-d)*(2*Math.PI)/c))+p},easeOutElastic:function(o,m,p,a,b){var d=1.70158;var c=0;var n=a;if(m==0){return p}if((m/=b)==1){return p+a}if(!c){c=b*0.3}if(n<Math.abs(a)){n=a;var d=c/4}else{var d=c/(2*Math.PI)*Math.asin(a/n)}return n*Math.pow(2,-10*m)*Math.sin((m*b-d)*(2*Math.PI)/c)+a+p},easeInOutElastic:function(o,m,p,a,b){var d=1.70158;var c=0;var n=a;if(m==0){return p}if((m/=b/2)==2){return p+a}if(!c){c=b*(0.3*1.5)}if(n<Math.abs(a)){n=a;var d=c/4}else{var d=c/(2*Math.PI)*Math.asin(a/n)}if(m<1){return -0.5*(n*Math.pow(2,10*(m-=1))*Math.sin((m*b-d)*(2*Math.PI)/c))+p}return n*Math.pow(2,-10*(m-=1))*Math.sin((m*b-d)*(2*Math.PI)/c)*0.5+a+p},easeInBack:function(l,k,b,c,d,j){if(j==undefined){j=1.70158}return c*(k/=d)*k*((j+1)*k-j)+b},easeOutBack:function(l,k,b,c,d,j){if(j==undefined){j=1.70158}return c*((k=k/d-1)*k*((j+1)*k+j)+1)+b},easeInOutBack:function(l,k,b,c,d,j){if(j==undefined){j=1.70158}if((k/=d/2)<1){return c/2*(k*k*(((j*=(1.525))+1)*k-j))+b}return c/2*((k-=2)*k*(((j*=(1.525))+1)*k+j)+2)+b},easeInBounce:function(j,i,b,c,d){return c-jQuery.easing.easeOutBounce(j,d-i,0,c,d)+b},easeOutBounce:function(j,i,b,c,d){if((i/=d)<(1/2.75)){return c*(7.5625*i*i)+b}else{if(i<(2/2.75)){return c*(7.5625*(i-=(1.5/2.75))*i+0.75)+b}else{if(i<(2.5/2.75)){return c*(7.5625*(i-=(2.25/2.75))*i+0.9375)+b}else{return c*(7.5625*(i-=(2.625/2.75))*i+0.984375)+b}}}},easeInOutBounce:function(j,i,b,c,d){if(i<d/2){return jQuery.easing.easeInBounce(j,i*2,0,c,d)*0.5+b}return jQuery.easing.easeOutBounce(j,i*2-d,0,c,d)*0.5+c*0.5+b}});(function(m,n,i,k){jQuery.widget("mobile.scrollview",jQuery.mobile.widget,{options:{fps:60,direction:null,scrollDuration:2000,overshootDuration:250,snapbackDuration:500,moveThreshold:10,moveIntervalThreshold:150,scrollMethod:"translate",startEventName:"scrollstart",updateEventName:"scrollupdate",stopEventName:"scrollstop",showScrollBars:true,pagingEnabled:false,delayedClickSelector:"a,input,textarea,select,button,.ui-btn",delayedClickEnabled:false,rotate:0},_makePositioned:function(a){if(a.css("position")=="static"){a.css("position","relative")}},_create:function(){this._$clip=m(this.element).addClass("ui-scrollview-clip");var b=this._$clip.children();if(b.length>1){b=this._$clip.wrapInner("<div></div>").children()}this._$view=b.addClass("ui-scrollview-view");this._$clip.css("overflow",this.options.scrollMethod==="scroll"?"scroll":"hidden");this._makePositioned(this._$clip);this._$view.css("overflow","hidden");this.options.showScrollBars=this.options.scrollMethod==="scroll"?false:this.options.showScrollBars;this._makePositioned(this._$view);this._$view.css({left:0,top:0});this._sx=0;this._sy=0;var a=this.options.direction;this._hTracker=(a!=="y")?new l(this.options):null;this._vTracker=(a!=="x")?new l(this.options):null;this._timerInterval=1000/this.options.fps;this._timerID=0;var c=this;this._timerCB=function(){c._handleMomentumScroll()};this._addBehaviors()},_startMScroll:function(b,c){this._stopMScroll();this._showScrollBars();var h=false;var a=this.options.scrollDuration;this._$clip.trigger(this.options.startEventName);var d=this._hTracker;if(d){var f=this._$clip.width();var e=this._$view.width();d.start(this._sx,b,a,(e>f)?-(e-f):0,0);h=!d.done()}var g=this._vTracker;if(g){var f=this._$clip.height();var e=this._$view.height();g.start(this._sy,c,a,(e>f)?-(e-f):0,0);h=h||!g.done()}if(h){this._timerID=setTimeout(this._timerCB,this._timerInterval)}else{this._stopMScroll()}},_stopMScroll:function(){if(this._timerID){this._$clip.trigger(this.options.stopEventName);clearTimeout(this._timerID)}this._timerID=0;if(this._vTracker){this._vTracker.reset()}if(this._hTracker){this._hTracker.reset()}this._hideScrollBars()},_handleMomentumScroll:function(){var b=false;var d=this._$view;var e=0,f=0;var a=this._vTracker;if(a){a.update();f=a.getPosition();b=!a.done()}var c=this._hTracker;if(c){c.update();e=c.getPosition();b=b||!c.done()}this._setScrollPosition(e,f);this._$clip.trigger(this.options.updateEventName,[{x:e,y:f}]);if(b){this._timerID=setTimeout(this._timerCB,this._timerInterval)}else{this._stopMScroll()}},_setScrollPosition:function(e,f){this._sx=e;this._sy=f;var a=this._$view;var g=this.options.scrollMethod;switch(g){case"translate":p(a,e+"px",f+"px");break;case"position":a.css({left:e+"px",top:f+"px"});break;case"scroll":var h=this._$clip[0];h.scrollLeft=-e;h.scrollTop=-f;break}var d=this._$vScrollBar;var c=this._$hScrollBar;if(d){var b=d.find(".ui-scrollbar-thumb");if(g==="translate"){p(b,"0px",-f/a.height()*b.parent().height()+"px")}else{b.css("top",-f/a.height()*100+"%")}}if(c){var b=c.find(".ui-scrollbar-thumb");if(g==="translate"){p(b,-e/a.width()*b.parent().width()+"px","0px")}else{b.css("left",-e/a.width()*100+"%")}}},scrollTo:function(c,f,h){this._stopMScroll();if(!h){return this._setScrollPosition(c,f)}c=-c;f=-f;var a=this;var u=o();var g=m.easing.easeOutQuad;var d=this._sx;var e=this._sy;var v=c-d;var b=f-e;var t=function(){var r=o()-u;if(r>=h){a._timerID=0;a._setScrollPosition(c,f)}else{var q=g(r/h,r,0,1,h);a._setScrollPosition(d+(v*q),e+(b*q));a._timerID=setTimeout(t,a._timerInterval)}};this._timerID=setTimeout(t,this._timerInterval)},getScrollPosition:function(){return{x:-this._sx,y:-this._sy}},_getScrollHierarchy:function(){var a=[];this._$clip.parents(".ui-scrollview-clip").each(function(){var b=m(this).jqmData("scrollview");if(b){a.unshift(b)}});return a},_getAncestorByDirection:function(c){var d=this._getScrollHierarchy();var a=d.length;while(0<a--){var e=d[a];var b=e.options.direction;if(!b||b==c){return e}}return null},_handleDragStart:function(f,d,e){m.each(this._getScrollHierarchy(),function(q,r){r._stopMScroll()});this._stopMScroll();var c=this._$clip;var a=this._$view;if(this.options.delayedClickEnabled){this._$clickEle=m(f.target).closest(this.options.delayedClickSelector)}this._lastX=d;this._lastY=e;this._doSnapBackX=false;this._doSnapBackY=false;this._speedX=0;this._speedY=0;this._directionLock="";this._didDrag=false;if(this._hTracker){var s=parseInt(c.css("width"),10);var b=parseInt(a.css("width"),10);this._maxX=s-b;if(this._maxX>0){this._maxX=0}if(this._$hScrollBar){this._$hScrollBar.find(".ui-scrollbar-thumb").css("width",(s>=b?"100%":Math.floor(s/b*100)+"%"))}}if(this._vTracker){var t=parseInt(c.css("height"),10);var h=parseInt(a.css("height"),10);this._maxY=t-h;if(this._maxY>0){this._maxY=0}if(this._$vScrollBar){this._$vScrollBar.find(".ui-scrollbar-thumb").css("height",(t>=h?"100%":Math.floor(t/h*100)+"%"))}}var g=this.options.direction;this._pageDelta=0;this._pageSize=0;this._pagePos=0;if(this.options.pagingEnabled&&(g==="x"||g==="y")){this._pageSize=g==="x"?s:t;this._pagePos=g==="x"?this._sx:this._sy;this._pagePos-=this._pagePos%this._pageSize}this._lastMove=0;this._enableTracking();if(!/touch/.test(f.type)||this.options.delayedClickEnabled){f.preventDefault()}f.stopPropagation()},_propagateDragMove:function(e,a,b,c,d){this._hideScrollBars();this._disableTracking();e._handleDragStart(a,b,c);e._directionLock=d;e._didDrag=this._didDrag},_handleDragMove:function(r,v,a){this._lastMove=o();var G=this._$view;var H=v-this._lastX;var I=a-this._lastY;var L=this.options.direction;var x=this.options.rotate/90;switch(x){case 1:case -1:var M=I;I=-1*H*x;H=M*x;break;case 2:I*=-1;break}if(!this._directionLock){var J=Math.abs(H);var K=Math.abs(I);var b=this.options.moveThreshold;if(J<b&&K<b){return false}var d=null;var g=0;if(J<K&&(J/K)<0.5){d="y"}else{if(J>K&&(K/J)<0.5){d="x"}}if(L&&d&&L!=d){var f=this._getAncestorByDirection(d);if(f){this._propagateDragMove(f,r,v,a,d);return false}}this._directionLock=L?L:(d?d:"none")}var e=this._sx;var h=this._sy;if(this._directionLock!=="y"&&this._hTracker){var J=this._sx;this._speedX=H;e=J+H;this._doSnapBackX=false;if(e>0||e<this._maxX){if(this._directionLock==="x"){var f=this._getAncestorByDirection("x");if(f){this._setScrollPosition(e>0?0:this._maxX,h);this._propagateDragMove(f,r,v,a,d);return false}}e=J+(H/2);this._doSnapBackX=true}}if(this._directionLock!=="x"&&this._vTracker){var K=this._sy;this._speedY=I;h=K+I;this._doSnapBackY=false;if(h>0||h<this._maxY){if(this._directionLock==="y"){var f=this._getAncestorByDirection("y");if(f){this._setScrollPosition(e,h>0?0:this._maxY);this._propagateDragMove(f,r,v,a,d);return false}}h=K+(I/2);this._doSnapBackY=true}}if(this.options.pagingEnabled&&(L==="x"||L==="y")){if(this._doSnapBackX||this._doSnapBackY){this._pageDelta=0}else{var y=this._pagePos;var N=L==="x"?e:h;var c=L==="x"?H:I;this._pageDelta=(y>N&&c<0)?this._pageSize:((y<N&&c>0)?-this._pageSize:0)}}this._didDrag=true;this._lastX=v;this._lastY=a;this._setScrollPosition(e,h);this._showScrollBars();return false},_handleDragStop:function(f){var s=this._lastMove;var a=o();var h=s&&(a-s)<=this.options.moveIntervalThreshold;var c=(this._hTracker&&this._speedX&&h)?this._speedX:(this._doSnapBackX?1:0);var d=(this._vTracker&&this._speedY&&h)?this._speedY:(this._doSnapBackY?1:0);var g=this.options.direction;if(this.options.pagingEnabled&&(g==="x"||g==="y")&&!this._doSnapBackX&&!this._doSnapBackY){var b=this._sx;var e=this._sy;if(g==="x"){b=-this._pagePos+this._pageDelta}else{e=-this._pagePos+this._pageDelta}this.scrollTo(b,e,this.options.snapbackDuration)}else{if(c||d){this._startMScroll(c,d)}else{this._hideScrollBars()}}this._disableTracking();if(!this._didDrag&&this.options.delayedClickEnabled&&this._$clickEle.length){this._$clickEle.trigger("mousedown").trigger("mouseup").trigger("click")}return this._didDrag?false:k},_enableTracking:function(){m(i).bind("touchmove",this._dragMoveCB);m(i).bind("mousemove",this._dragMoveCB);m(i).bind("touchend",this._dragStopCB);m(i).bind("mouseup",this._dragStopCB)},_disableTracking:function(){m(i).unbind("touchmove",this._dragMoveCB);m(i).unbind("mousemove",this._dragMoveCB);m(i).unbind("touchend",this._dragStopCB);m(i).unbind("mouseup",this._dragStopCB)},_showScrollBars:function(){var a="ui-scrollbar-visible";if(this._$vScrollBar){this._$vScrollBar.addClass(a)}if(this._$hScrollBar){this._$hScrollBar.addClass(a)}},_hideScrollBars:function(){var a="ui-scrollbar-visible";if(this._$vScrollBar){this._$vScrollBar.removeClass(a)}if(this._$hScrollBar){this._$hScrollBar.removeClass(a)}},_addBehaviors:function(){var d=this;this._dragStartCB=function(e){var f=/touch/.test(e.type)?e.originalEvent.touches[0]:e;return d._handleDragStart(e,f.clientX,f.clientY)};this._dragMoveCB=function(e){var f=/touch/.test(e.type)?e.originalEvent.touches[0]:e;return d._handleDragMove(e,f.clientX,f.clientY)};this._dragStopCB=function(e){return d._handleDragStop(e)};this._$view.bind("mousedown",this._dragStartCB);this._$view.bind("touchstart",this._dragStartCB);if(this.options.showScrollBars){var c=this._$clip;var b='<div class="ui-scrollbar ui-scrollbar-';var a='"><div class="ui-scrollbar-track"><div class="ui-scrollbar-thumb"></div></div></div>';if(this._vTracker){c.append(b+"y"+a);this._$vScrollBar=c.children(".ui-scrollbar-y")}if(this._hTracker){c.append(b+"x"+a);this._$hScrollBar=c.children(".ui-scrollbar-x")}}}});function p(b,d,a){var c="translate3d("+d+","+a+", 0px)";b.css({"-moz-transform":c,"-webkit-transform":c,transform:c})}function l(a){this.options=m.extend({},a);this.easing="easeOutQuad";this.reset()}var j={scrolling:0,overshot:1,snapback:2,done:3};function o(){return(new Date()).getTime()}m.extend(l.prototype,{start:function(a,c,b,d,e){this.state=(c!=0)?((a<d||a>e)?j.snapback:j.scrolling):j.done;this.pos=a;this.speed=c;this.duration=(this.state==j.snapback)?this.options.snapbackDuration:b;this.minPos=d;this.maxPos=e;this.fromPos=(this.state==j.snapback)?this.pos:0;this.toPos=(this.state==j.snapback)?((this.pos<this.minPos)?this.minPos:this.maxPos):0;this.startTime=o()},reset:function(){this.state=j.done;this.pos=0;this.speed=0;this.minPos=0;this.maxPos=0;this.duration=0},update:function(){var a=this.state;if(a==j.done){return this.pos}var f=this.duration;var d=o()-this.startTime;d=d>f?f:d;if(a==j.scrolling||a==j.overshot){var c=this.speed*(1-m.easing[this.easing](d/f,d,0,1,f));var e=this.pos+c;var b=(a==j.scrolling)&&(e<this.minPos||e>this.maxPos);if(b){e=(e<this.minPos)?this.minPos:this.maxPos}this.pos=e;if(a==j.overshot){if(d>=f){this.state=j.snapback;this.fromPos=this.pos;this.toPos=(e<this.minPos)?this.minPos:this.maxPos;this.duration=this.options.snapbackDuration;this.startTime=o();d=0}}else{if(a==j.scrolling){if(b){this.state=j.overshot;this.speed=c/2;this.duration=this.options.overshootDuration;this.startTime=o()}else{if(d>=f){this.state=j.done}}}}}else{if(a==j.snapback){if(d>=f){this.pos=this.toPos;this.state=j.done}else{this.pos=this.fromPos+((this.toPos-this.fromPos)*m.easing[this.easing](d/f,d,0,1,f))}}}return this.pos},done:function(){return this.state==j.done},getPosition:function(){return this.pos}});jQuery.widget("mobile.scrolllistview",jQuery.mobile.scrollview,{options:{direction:"y"},_create:function(){m.mobile.scrollview.prototype._create.call(this);this._$dividers=this._$view.find(":jqmData(role='list-divider')");this._lastDivider=null},_setScrollPosition:function(y,a){m.mobile.scrollview.prototype._setScrollPosition.call(this,y,a);a=-a;var d=this._$dividers;var h=d.length;var c=null;var w=0;var g=null;for(var f=0;f<h;f++){g=d.get(f);var x=g.offsetTop;if(a>=x){c=g;w=x}else{if(c){break}}}if(c){var e=c.offsetHeight;var b=(c!=g)?g.offsetTop:(this._$view.get(0).offsetHeight);if(a+e>=b){a=(b-e)-w}else{a=a-w}var t=this._lastDivider;if(t&&c!=t){p(m(t),0,0)}p(m(c),0,a+"px");this._lastDivider=c}}})})(jQuery,window,document);